﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_stock_import.aspx.cs" Inherits="VA.Modules.JDingMember.gift.gift_stock_import" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>礼品库存导入</title>
    <!--#include virtual="/modules/member/include/css/edit.aspx"-->
    <!--#include virtual="/modules/member/include/js/edit.aspx"-->     
    <script type="text/javascript">
        function viewerrors() {
            openFrameWindow("导入失败明细", 660, 400, "gift_stock_importerrors.aspx");
        }
    </script>
    <style type="text/css">
        ul.desc {
            margin:0px;
            padding:0px;
            list-style-type:none;
        }
        ul.desc li {
            line-height:28px;
            border-bottom:solid 1px #dddddd;
        }
        ul.desc li:last-child {            
            border-bottom:0px;
        }

        a.error {
            color:red;
        }
    </style>
</head>
<body>
<form id="Form1" encType="multipart/form-data" method="post" runat="server">

<div class="editPageWrapper" style="width:700px;">

<%
    if (VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLevel == VA.Modules.JDingMember.Core.Enums.SoftLevel.Free ||
        VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLevel == VA.Modules.JDingMember.Core.Enums.SoftLevel.Basic)
    {
        base.ShowSoftFunctionLimitNote(VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLevelName);
    }
%>

<div class="centerFormTitle">
   <h1>礼品库存导入</h1>
</div>

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th" style="font-weight:bold;text-align:left;">导入说明</td>
</tr>
<tr>
<td>    
	<ul class="desc">
        <li>1）在礼品初始入库完成前，可以批量导入库存，入库价格默认0；</li>
        <li>2）请先下载模板，严格按照模板格式整理礼品库存数据；</li>
        <li>3）点击“浏览/选择文件”按钮，选择已整理好数据的Excel文件；</li>
        <li>4）点击“校验数据”按钮，校验Excel中的数据是否符合要求；</li>
        <li>5）点击“导入”按钮，导入礼品库存；</li>
	</ul>
</td>
</tr>
</table>   

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th" style="font-weight:bold;text-align:left;">导入操作</td>
</tr>
<tr>
<td>    
	<ul class="desc">
        <li>1）下载模板：<a href="../templates/import/礼品库存导入模板.xls" style="font-weight:bold;text-decoration:underline;">[点此下载模板]</a> </li>
        <li>2）选择文件：<asp:FileUpload ID="fuFile" runat="server" />                        
        </li>
	</ul>
</td>
</tr>
<tr id="tr_note" runat="server" visible="false">
<td>    
	<asp:Label ID="lblNote" runat="server"
         ></asp:Label>
</td>
</tr>
<tr>
<td colspan="2" class="footer">

    <asp:Button ID="btnCheckData" Runat="server" 
        Text=" 校验数据 " 
        OnClick="btnCheckData_Click"
        CssClass="btn" />

    <asp:Button ID="btnSubmit" Runat="server" 
        Text=" 导入 " 
        Width="80px"
        OnClick="btnSubmit_Click"
        CssClass="btn" />
 
</td>
</tr>
</table>

</div><!--editPageWrapper.END-->

</form>
</body>
</html>

