﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_stock_list.aspx.cs" Inherits="VA.Modules.JDingMember.gift.chargeitem_stocklist" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>礼品库存</title>    
    <!--#include virtual="/modules/member/include/css/editlist.aspx"-->
    <!--#include virtual="/modules/member/include/js/editlist.aspx"--> 
    <script type="text/javascript">  

        //库存流水；
        function stockbook(itemCode, itemName) {
            itemName = itemName.replace(/{单引号}/g, "'");
            itemName = itemName.replace(/{双引号}/g, "\"");
            openTopestWindow("礼品库存流水账(" + itemName + ")", "/modules/member/gift/gift_stock_book.aspx?itemcode=" + itemCode + "&canedit=0");
        }

        //导入；
        function dataImport() {
            openListSingleEditWindow(false, "礼品库存导入", "/modules/member/gift/gift_stock_import.aspx");
        }

        $(function () {
            initListPage();
        });
    </script>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   
    
    <div id="toolBar">                                         
        <a href="javascript:dataImport()" class="jtongui-toolbarbutton" icon="icon-import">导入</a>                   
        <asp:LinkButton ID="lbnExportToExcel" runat="server" CssClass="jtongui-toolbarbutton" icon="icon-export" OnClick="lbnExportToExcel_Click">导出</asp:LinkButton>
        <a href="javascript:refresh()" class="jtongui-toolbarbutton" icon="icon-reload">刷新</a>          
    </div><!--toolBar.END-->   
                     
    <div id="searchBar">
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>

        <asp:DropDownList ID="ddlSearchField" runat="server" EnableViewState="false">
        <asp:ListItem Value="">检索字段</asp:ListItem>
        <asp:ListItem Value="1">礼品名称</asp:ListItem>
        <asp:ListItem Value="2">礼品代码</asp:ListItem>
        </asp:DropDownList>               
                 
      <%--  <asp:DropDownList ID="ddlSearchType" runat="server" EnableViewState="false">
        <asp:ListItem Value="1">模糊匹配</asp:ListItem>
        <asp:ListItem Value="2">精确匹配</asp:ListItem>
        </asp:DropDownList>         --%>      

        <asp:TextBox ID="txtKeyWords" runat="server"
            CssClass="input keywords"
            Width="150px" />
   
        <asp:Button ID="btnSearch" runat="server" 
             CssClass="simpleBtn"
             Text="查询" 
             Onclick="btnSearch_Click" />
        
        </ContentTemplate>
        </asp:UpdatePanel>

    </div><!--searchBar.END-->    

    <div id="dataBar">

    <!--MainList.Start-->    
    <div class="jtongui-smartlisttable" id="jtongui-smartlisttable">

    <table cellpadding="3" cellspacing="0" class="tableheader" id="tb1_header" >
    <thead>
    <tr>
        <td style="width:30px;text-align:center;"><input type="checkbox" id="ckb_selectAll"/></td>
        <td style="width:30px;text-align:center;">No.</td>
        <td style="width:70px;text-align:center;">礼品代码</td>
        <td style="width:200px;text-align:center;">礼品名称</td>        
        <td style="width:70px;text-align:center;">当前库存</td>	    	       	    
        <td style="width:70px;text-align:center;">库存流水</td>
        <td></td>
    </tr>    
    </thead>
    </table>

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>    
    <table cellpadding="3" cellspacing="0" class="tablebody" tbHeader="tb1_header">
    </HeaderTemplate>
    <ItemTemplate>
    <tr>
        <td style="text-align:center;"><input type="checkbox" name="ckb_dataItem" value="<%# Eval("RID")%>" /></td>
        <td align="center"><%# (base.currPage - 1)*base.PageSize + Container.ItemIndex + 1%></td>
        <td align="center"><%# Eval("Item_Code")%></td>
        <td align="left"><%# Eval("Item_Name")%></td>        
        <td align="center"><%# Eval("Stock_Count")%></td>               	     
        <td align="center"><a href="javascript:stockbook('<%# Eval("Item_Code")%>','<%# Eval("Item_Name").ToString().Replace("'", "{单引号}").Replace("\"", "{双引号}")%>')">[查看]</a></td>
        <td></td>
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    </div><!--bodyContainer.END-->        

    <div id="divPagerInfo" style="display:none">
        <%=base.pageInfo%>
    </div>

    <input type="hidden" id="hidden_pageCnt" value="<% = base.PageCnt%>" />
    <input type="hidden" id="hidden_rdCnt" value="<% = base.RdCnt%>" />
    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->

    </div><!--jtongui-smartlisttable.END-->        
    <!--MainList.End-->  

    </div><!--dataBar.END-->

    <div id="pagerBar">
       ……
    </div><!--pageNavBar.END-->
    
    <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
    
</div>

<!--添加窗口-->
<div id="winAdd" style="display:none;"></div> 

</form>
</body>
</html> 