﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="supplier_editlist.aspx.cs" Inherits="VA.Modules.JDingMember.goods.supplier_editlist" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>往来单位管理</title>    
    <!--#include virtual="/modules/member/include/css/editlist.aspx"-->
    <!--#include virtual="/modules/member/include/js/editlist.aspx"--> 
    <script type="text/javascript">
        
        //添加；
        function add() {
            openFrameWindow("添加往来单位", 540, 180, "supplier_edit.aspx");
        }

        //单条修改；
        function smodify(keyValue) {
            openFrameWindow("修改往来单位", 540, 180, "supplier_edit.aspx?suppliercode=" + keyValue);
            event.stopPropagation();  //阻止事件冒泡，避免行被选中；
        }

        //单条删除；
        function sdel(keyValue) {
            singleActWrapper("Del", keyValue, "确定要删除该项吗？", "");
        }
       
        //启用；
        function enable() {
            batchllyActWrapper("Enable", "", "");
        }

        //停用；
        function disable() {
            batchllyActWrapper("Disable", "", "");
        }

        $(function () {
            initListPage();
        });
    </script>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   
    
    <div id="toolBar">                          
        <a href="javascript:add()" class="jtongui-toolbarbutton" icon="icon-add">添加</a>  
        <a href="javascript:enable()" class="jtongui-toolbarbutton" icon="icon-enable">启用</a>        
        <a href="javascript:disable()" class="jtongui-toolbarbutton" icon="icon-disable">停用</a>        
        <a href="javascript:refresh()" class="jtongui-toolbarbutton" icon="icon-reload">刷新</a>            
        <asp:LinkButton ID="lbnExportToExcel" runat="server" CssClass="jtongui-toolbarbutton" icon="icon-export" OnClick="lbnExportToExcel_Click">导出</asp:LinkButton>
    </div><!--toolBar.END-->  
    
    <div id="noteBar"> 
        <p>说明：往来单位字典为所有连锁门店共享。</p>
    </div>   
                     
    <div id="searchBar">
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>

        <asp:DropDownList ID="ddlSearchField" runat="server" EnableViewState="false">
        <asp:ListItem Value="">检索字段</asp:ListItem>
        <asp:ListItem Value="1">名称</asp:ListItem>
        <asp:ListItem Value="2">代码</asp:ListItem>
        </asp:DropDownList>    

        <asp:TextBox ID="txtKeyWords" runat="server"
            CssClass="input"
            Width="100px" />
   
        <asp:Button ID="btnSearch" runat="server" 
             CssClass="simpleBtn"
             Text="查询" 
             Onclick="btnSearch_Click" />
        
        </ContentTemplate>
        </asp:UpdatePanel>

    </div><!--searchBar.END-->    

    <div id="dataBar">

    <!--MainList.Start-->    
    <div class="jtongui-smartlisttable" id="jtongui-smartlisttable">

    <table cellpadding="3" cellspacing="0" class="tableheader" id="tb1_header" >
    <thead>
    <tr>
        <td style="width:30px;text-align:center;"><input type="checkbox" id="ckb_selectAll"/></td>
<%--        <td style="width:30px;text-align:center;">No.</td>--%>
        <td style="width:50px;text-align:center;">代码</td>
        <td style="width:200px;text-align:center;">往来单位名称</td>        
        <td style="width:100px;text-align:center;">输入码</td>        
        <td style="width:70px;text-align:center;">状态</td>
        <td style="width:30px;text-align:center;">修改</td>	    	 
        <td style="width:30px;text-align:center;">删除</td>	    	  	       	    
        <td></td>
    </tr>    
    </thead>
    </table>

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>    
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>
    <table cellpadding="3" cellspacing="0" class="tablebody" tbHeader="tb1_header">
    </HeaderTemplate>
    <ItemTemplate>
    <tr>
        <td style="text-align:center;"><input type="checkbox" name="ckb_dataItem" value="<%# Eval("Supplier_Code")%>" /></td>
<%--        <td align="center"><%# (base.currPage - 1)*base.PageSize + Container.ItemIndex + 1%></td>--%>
        <td align="center"><%# Eval("Supplier_Code")%></td>
        <td align="left"><%# Eval("Supplier_Name")%></td>        
        <td align="center"><%# Eval("Input_Code")%></td>   
        <td align="center"><%# VA.Modules.JDingMember.Core.Enums.DictDataStatusConverter.Convert_Value_ToText(Eval("Status").ToString(),true)%></td>                     	       	        
        <td align="center">
            <a href="#" onclick="javascript:smodify('<%# Eval("Supplier_Code")%>');"><img src="/admin/icons/edit.png" alt="修改"/>  </a>
        </td>              	       	     
        <td align="center">
            <a href="#" onclick="javascript:sdel('<%# Eval("Supplier_Code")%>');"><img src="/admin/icons/delete.png" alt="删除"/>  </a>
        </td>                	       	     
        <td></td>
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    </div><!--bodyContainer.END-->        

    <div id="divPagerInfo" style="display:none">
        <%=base.pageInfo%>
    </div>

    <input type="hidden" id="hidden_pageCnt" value="<% = base.PageCnt%>" />
    <input type="hidden" id="hidden_rdCnt" value="<% = base.RdCnt%>" />
    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->

    </div><!--jtongui-smartlisttable.END-->        
    <!--MainList.End-->  

    </div><!--dataBar.END-->

    <div id="pagerBar">
       ……
    </div><!--pageNavBar.END-->
    
    <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
    
</div>

<!--添加窗口-->
<div id="winAdd" style="display:none;"></div> 

</form>
</body>
</html> 