﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="uc_chargeitem_book.ascx.cs" Inherits="VA.Modules.JDingMember.goods.uc_chargeitem_book" %>

    <div style="height:<%=base.MainHeight.ToString()%>px;border:solid 0px red;">
        <div class="jtongui-accordion">
            <asp:Repeater ID="rpChargeItemCategory" runat="server" OnItemDataBound="rpChargeItemCategory_ItemDataBound">
            <ItemTemplate>                
                <div class="submenu <%# Container.ItemIndex == 0 ? " selected":"" %>">
		            <h1 class="head icon-ok"><%# Eval("Category_Name")%></h1>
		            <div class="body">
			            <ul>
                            <!--2级节点权限-->
                            <asp:Repeater ID="rpChargeItemDict" runat="server">
                            <ItemTemplate>    
                                <li onclick="takeChargeItem_editQuantity('<%# Eval("Item_Type")%>', '<%# Eval("Category_Code")%>' ,'<%# Eval("Item_Code")%>','<%# Eval("Item_Name")%>','<%# Eval("Unit")%>');"><%# base.ShowLetterIndex(Eval("Input_Code").ToString())%> <%# Eval("Item_Name")%></li>
                            </ItemTemplate>
                            </asp:Repeater>
                        </ul>
		            </div>
	            </div> 
            </ItemTemplate>
            </asp:Repeater>
        </div> <!--jtongui-accordion.END-->
    </div>                   

    <style type="text/css"> 
    .jtongui-accordion .submenu .head{
        line-height:25px;
        padding-left:5px;
        font-size:12px;
        background-color:#F0F9FD;
    }
    .jtongui-accordion .submenu .head:hover{	
	    background-color:#d4e7f0;
    }
    .jtongui-accordion .submenu .body{	
	    background-color:#ffffff;
    }
    .jtongui-accordion .submenu .body ul li{
	    line-height:28px;    
        padding-left:15px;        
        font-size:12px;
        cursor:pointer;
        background-color:#ffffff;
    }
    </style>

    <script type="text/javascript">
        var current_itemType;
        var current_itemCategory;
        var current_itemCode;
        var current_itemName;
        var current_unit;
        var current_price;
        function takeChargeItem_editQuantity(itemType, itemCategory, itemCode, itemName, unit) {
            current_itemType = itemType;
            current_itemCategory = itemCategory;
            current_itemCode = itemCode;
            current_itemName = itemName;
            current_unit = unit;

            var currentValue = 1;
            openDivWindow2("", 320, 194, "winEditor");

            $("#spanItemName").html(current_itemName);
            $("#spanUnit").html(current_unit);
            $("#txtQuantity2").select();
        }
        function takeChargeItem_takeValue() {
            closeFrameWindow();
            var itemType, itemCategory, itemCode, itemName, unit, price, quantity;
            itemType = current_itemType;
            itemCategory = current_itemCategory;
            itemCode = current_itemCode;
            itemName = current_itemName;
            unit = current_unit;
            price = $("#txtPrice2").val();
            quantity = $("#txtQuantity2").val();

            addNewRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity);
        }
        function takeChargeItem_cancel() {
            closeWindow("winEditor");
        }
        function addNewRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity) {
            formEditListTable_addRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity);
            closeWindow("winEditor");

            $("#txtPrice2").val("0.00");
            $("#txtQuantity2").val("1")
        }

        $(function () {
            $("#txtQuantity2").keydown(function (event) {
                var keyCode = event.keyCode;
                if (keyCode == 13) {
                    if ($("#txtQuantity2").val().trim() != "") {
                        $("#txtPrice2").select();
                    }
                }
            });
            $("#txtPrice2").keydown(function (event) {
                var keyCode = event.keyCode;
                if (keyCode == 13) {
                    if ($("#txtPrice2").val().trim() != "") {
                        takeChargeItem_takeValue();
                    }
                }
            });
        });
        
    </script>

