/*******************************************************************************
//  Ȩ  (C) 2015 ̿
//    MCMaster.cs
//  ļ˵ޣ
//      
//
//  ʶ־ 2016-01-07 10:41:35
//
//  ޸ıʶ
//  ޸˵
*******************************************************************************/

using System;
using System.Collections.Generic;
using System.Data;

using VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.Model;

namespace VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.Business
{
    /// <summary>
    /// Աҵࣻ
    /// </summary>
    public class MCMaster
    {
        const string CODE_PATH = "Core.MCMaster.";
        DataAccess.MCMaster mCMasterObj = null;
        DataAccess.MCItem mCItemObj = null;
        DataAccess.MCPayment mCPaymentObj = null;

        public MCMaster()
        {
            mCMasterObj = new DataAccess.MCMaster();
            mCItemObj = new DataAccess.MCItem();
            mCPaymentObj = new DataAccess.MCPayment();
        }

        #region Add 
        /// <summary>
        /// ӣ
        /// </summary>
        /// <param name="entity">Աʵ</param>
        /// <param name="errorMsg">ʧܵԭ򣨽ʧʱЧ</param>
        /// <param name="args">չҵӰ죩</param>
        /// <returns>ɹ򷵻true򣬷false</returns>
        public bool Add(MCMasterInfo entity, out string errorMsg, params object[] args)
        {
            errorMsg = null;

            try
            {
                return this.mCMasterObj.Insert(entity);
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.Add(...):" + ex.Message);
            }
        }
        #endregion

        #region DeleteByBizNo ɾ
        /// <summary>
        /// ɾ
        /// </summary>
        /// <param name="rID">¼ID</param>
        /// <param name="errorMsg">ɾʧܵԭ򣨽ɾʧʱЧ</param>
        /// <param name="args">չҵӰ죩</param>
        /// <returns>ɾɹ򷵻ػԱѴ룬򣬷ؿַ</returns>
        public bool DeleteByBizNo(string bizNo, out string errorMsg, params object[] args)
        {
            errorMsg = null;

            try
            {
                return mCMasterObj.DeleteByBizNo(bizNo);
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.Delete(...):" + ex.Message);
            }
        }
        #endregion

        #region GetEntityByBizNo õʵ
        /// <summary>
        /// õʵ壻
        /// </summary>
        /// <param name="rID">¼ID</param>
        /// <returns>Աʵ</returns>
        public MCMasterInfo GetEntityByBizNo(string bizNo)
        {
            try
            {
                return mCMasterObj.GetEntityByBizNo(bizNo);
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.GetEntity(...):" + ex.Message);
            }
        }
        #endregion

        #region GetDataList õݼ
        /// <summary>
        /// õݼ
        /// </summary>		
        /// <param name="sqlFilter">SQLɸѡ磺"NAME LIKE'%%' AND SEX='1'"</param>
        /// <param name="orderBy">ݡ磺"ID DESC"</param>
        /// <returns>ݼDataTable</returns>
        public DataTable GetDataList(string sqlFilter, string orderBy)
        {
            try
            {
                return mCMasterObj.GetDataList(sqlFilter, orderBy);
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.GetDataList(...):" + ex.Message);
            }
        }

        /// <summary>
        /// õݼ
        /// </summary>
        /// <param name="currPage">ǰҳ</param>
        /// <param name="pageSize">ÿҳʾļ¼</param>
        /// <param name="sqlFilter">SQLɸѡ磺"NAME LIKE'%%' AND SEX='1'"</param>
        /// <param name="orderBy">磺SaleState ASC,CarID DESC</param>        
        /// <returns>ݼDataTable</returns>
        public DataTable GetDataList(int currPage, int pageSize, string sqlFilter, string orderBy)
        {
            try
            {
                return mCMasterObj.GetDataList(currPage, pageSize, sqlFilter, orderBy);
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.GetDataList(...):" + ex.Message);
            }
        }
        #endregion

        #region GetDataListCnt
        /// <summary>
        /// õ¼
        /// </summary>
        /// <param name="sqlCondition">ѯ(WHERE)</param>
        /// <returns>int</returns>
        public int GetDataListCnt(string sqlFilter)
        {
            try
            {
                return mCMasterObj.GetDataListCnt(sqlFilter);
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.GetDataListCnt(...):" + ex.Message);
            }
        }
        #endregion

        #region GetList õԱʵ弯
        /// <summary>
        /// õԱʵ弯
        /// </summary>
        /// <param name="sqlCondition">ѯ</param>
        /// <param name="orderBy">ݣ磺ORDER BY ID DESC</param>
        /// <returns>Աʵ弯</returns>
        public List<MCMasterInfo> GetList(string sqlCondition, string orderBy)
        {
            try
            {
                DataTable dtb = mCMasterObj.GetDataList(sqlCondition, orderBy);
                List<MCMasterInfo> mCMasterEntities = ConvertDataTableToEntityList(dtb);

                return mCMasterEntities;
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.GetList(...):" + ex.Message);
            }
        }

        /// <summary>
        /// õԱʵ弯
        /// </summary>
        /// <param name="currPage">ǰҳ</param>
        /// <param name="pageSize">ÿҳʾļ¼</param>
        /// <param name="sqlFilter">SQLɸѡ磺"NAME LIKE'%%' AND SEX='1'"</param>
        /// <param name="orderBy">ݣ磺"ID DESC"</param>
        /// <returns>Աʵ弯</returns>
        public List<MCMasterInfo> GetList(int currPage, int pageSize, string sqlFilter, string orderBy)
        {
            try
            {
                DataTable dtb = mCMasterObj.GetDataList(currPage, pageSize, sqlFilter, orderBy);
                List<MCMasterInfo> mCMasterEntities = ConvertDataTableToEntityList(dtb);

                return mCMasterEntities;
            }
            catch (Exception ex)
            {
                throw new Exception(CODE_PATH + "MCMaster.GetList(...):" + ex.Message);
            }
        }
        #endregion

        #region ConvertDataTableToEntityList DataTableתΪMCMasterInfo
        /// <summary>
        /// DataTableתΪArticleEntity
        /// </summary>
        /// <param name="dtb"></param>
        /// <returns></returns>
        List<MCMasterInfo> ConvertDataTableToEntityList(DataTable dtb)
        {
            List<MCMasterInfo> mCMasterEntities = new List<MCMasterInfo>();

            MCMasterInfo mCMasterInfo = null;

            for (int i = 0; i < dtb.Rows.Count; i++)
            {
                mCMasterInfo = new MCMasterInfo();

                DataRow row = dtb.Rows[i];

                if (row["RID"] != DBNull.Value)
                {
                    mCMasterInfo.RID = Convert.ToInt32(row["RID"]);
                }

                if (row["Shop_Code"] != DBNull.Value)
                {
                    mCMasterInfo.Shop_Code = row["Shop_Code"].ToString();
                }

                if (row["BizNo"] != DBNull.Value)
                {
                    mCMasterInfo.BizNo = row["BizNo"].ToString();
                }

                if (row["CardNo"] != DBNull.Value)
                {
                    mCMasterInfo.CardNo = row["CardNo"].ToString();
                }

                if (row["MemberID"] != DBNull.Value)
                {
                    mCMasterInfo.MemberID = row["MemberID"].ToString();
                }

                if (row["Name"] != DBNull.Value)
                {
                    mCMasterInfo.Name = row["Name"].ToString();
                }

                if (row["Sex"] != DBNull.Value)
                {
                    mCMasterInfo.Sex = row["Sex"].ToString();
                }

                if (row["MobileNo"] != DBNull.Value)
                {
                    mCMasterInfo.MobileNo = row["MobileNo"].ToString();
                }

                if (row["Operate_Date"] != DBNull.Value)
                {
                    mCMasterInfo.Operate_Date = Convert.ToDateTime(row["Operate_Date"]);
                }

                if (row["Operator_Code"] != DBNull.Value)
                {
                    mCMasterInfo.Operator_Code = row["Operator_Code"].ToString();
                }

                if (row["Operator_Name"] != DBNull.Value)
                {
                    mCMasterInfo.Operator_Name = row["Operator_Name"].ToString();
                }

                if (row["Costs"] != DBNull.Value)
                {
                    mCMasterInfo.Costs = Convert.ToDecimal(row["Costs"]);
                }

                if (row["Charges"] != DBNull.Value)
                {
                    mCMasterInfo.Charges = Convert.ToDecimal(row["Charges"]);
                }

                if (row["Discounts"] != DBNull.Value)
                {
                    mCMasterInfo.Discounts = Convert.ToDecimal(row["Discounts"]);
                }

                if (row["PayAmount"] != DBNull.Value)
                {
                    mCMasterInfo.PayAmount = Convert.ToDecimal(row["PayAmount"]);
                }

                if (row["Remark"] != DBNull.Value)
                {
                    mCMasterInfo.Remark = row["Remark"].ToString();
                }

                if (row["DataFrom"] != DBNull.Value)
                {
                    mCMasterInfo.DataFrom = row["DataFrom"].ToString();
                }

                mCMasterEntities.Add(mCMasterInfo);
            }

            return mCMasterEntities;
        }
        #endregion

    } //class end.
} //namespace end.

