using System;
using System.Web;
using System.Data.SqlClient;
using System.Configuration;

using VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.Config;

namespace VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.DataAccess
{
	/// <summary>
	/// DbHelperConfig ժҪ˵
	/// </summary>
	public class DAOBase
	{
		public string ConnectionString = String.Empty;

		public string _langVersion;
		public string LangVersion
		{
			get { return _langVersion; }
			set { _langVersion = value; }
		}

        /// <summary>
        /// ǰ׺
        /// </summary>
        protected string Tb_Prefix
        {
            get { return DBConfig.Tb_Prefix; }
        }

        /// <summary>
        /// ͼǰ׺
        /// </summary>
        protected string View_Prefix
        {
            get { return DBConfig.View_Prefix; }
        }

        /// <summary>
        /// ǰ׺
        /// </summary>
        protected string Function_Prefix
        {
            get { return DBConfig.Function_Prefix; }
        }

        /// <summary>
        /// 洢ǰ׺
        /// </summary>
        protected string Sp_Prefix
        {
            get { return DBConfig.Sp_Prefix; }
        }

		public DAOBase()
		{
            this.ConnectionString = DBConfig.ConnectionString;
		}

		public DAOBase(string connectionString)
		{			
			this.ConnectionString = connectionString;
		}	
	}
}
