﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="memberpointcard_remaining_list.aspx.cs" Inherits="VA.Modules.JDingMember.leaderquery.memberpointcard_remaining_list" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>会员计次卡余次统计</title>    
    <!--#include virtual="/modules/member/include/css/editlist.aspx"-->
    <!--#include virtual="/modules/member/include/js/editlist_s.aspx"--> 
    <script type="text/javascript">

        //单条查看详细信息；
        function sviewDetail(shopCode, pointCardID, pointCardName) {            
            openTopestWindow("店长查询/计次卡余次明细(" + pointCardName + ")", "/modules/member/leaderquery/memberpointcard_remaining_detail_list.aspx?pointcardname=" + pointCardName + "&shopCode=" + shopCode + "&pointcardID=" + pointCardID);
            event.stopPropagation();  //阻止事件冒泡，避免行被选中；
        }

        $(function () {
            initListPage();
        });

    </script>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   

    <div id="titleBar">
        <h1>计次卡余次查询</h1>
    </div>  
    
    <div id="toolBar">                          
        <asp:LinkButton ID="lbnExportToExcel" runat="server" CssClass="jtongui-toolbarbutton" icon="icon-export" OnClick="lbnExportToExcel_Click">导出</asp:LinkButton>
        <a href="javascript:refresh()" class="jtongui-toolbarbutton" icon="icon-reload">刷新</a>                   
    </div><!--toolBar.END-->    

    
    <div id="noteBar">
        <p>注：此处列出的为本店会员（在本店办理的会员）的计次卡余次汇总信息；</p>
    </div>

    <div id="dataBar" style="margin-top:-1px;">

    <!--MainList.Start-->    
    <div class="jtongui-smartlisttable" id="jtongui-smartlisttable">

    <table cellpadding="3" cellspacing="0" class="tableheader" id="tb1_header" >
    <thead>
    <tr>
        <td style="width:30px;text-align:center;">No.</td>
        <td style="width:60px;text-align:center;">计次卡ID</td>
        <td style="width:70px;text-align:center;">计次卡类型</td>
        <td style="width:200px;text-align:center;">计次卡名称</td>
        <td style="width:60px;text-align:center;">剩余次数</td>	    	 
        <td style="width:80px;text-align:center;">合计金额</td>	    	 
        <td style="width:50px;text-align:center;">明细</td>	    	 
        <td></td>
    </tr>    
    </thead>
    </table>

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>    
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>
    <table cellpadding="3" cellspacing="0" class="tablebody" tbHeader="tb1_header">
    </HeaderTemplate>
    <ItemTemplate>
    <tr>
        <td align="center"><%# Container.ItemIndex + 1%></td>
        <td align="center"><%# Eval("PointCard_ID")%></td>
        <td align="center"><%# VA.Modules.JDingMember.Core.Enums.PointCardTypeConverter.Convert_Value_ToText(Eval("PointCard_Type").ToString(),true)%></td>                
        <td align="left"><%# Eval("PointCard_Name")%></td>
        <td align="right"><%# Eval("PointCard_RemainingCount")%></td>        
        <td align="right"><%# Convert.ToDecimal(Eval("PointCard_RemainingAmount")).ToString("F2")%></td>
        <td align="center">
            <a href="#" onclick="javascript:sviewDetail('<%# Eval("Member_Shop_Code")%>','<%# Eval("PointCard_ID")%>', '<%# Eval("PointCard_Name")%>');"><img src="/admin/icons/detail.png" alt="详情"/>  </a>
        </td>   
        <td></td>
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    </div><!--bodyContainer.END-->        

    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->

    </div><!--jtongui-smartlisttable.END-->        
    <!--MainList.End-->  

    </div><!--dataBar.END-->

</div>

</form>
</body>
</html> 