﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_change_level.aspx.cs" Inherits="VA.Modules.JDingMember.member.member_change_level" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--#include virtual="/modules/member/include/css/edit.aspx"-->
    <!--#include virtual="/modules/member/include/js/edit.aspx"-->     
    <script type="text/javascript">
    function save() {
        JTongAlertConfirm("确定要更改吗？", function () {

            var requestType = "POST";
            var url = pageName + "?act=save";  //pageName在BasePage中注册到的客户端；
            var dataType = "html";
            var data = $("form").eq(0).serialize();
            var successFN = function (data, textStatus) {
                var logID = "";
                if (data.substring(0, 2) == "ok") {
                    logID = data.split("|")[1];
                    showActResult("更改成功！", true, logID);
                } else if (data.indexOf("01|") != -1) {
                    showActResult(data.substring(3), false, logID);
                }
                else {
                    showActResult("更改失败：" + data, false, logID);
                }
            };
            ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );                   

        });
    }

    //显示操作结果；
    function showActResult(sMsg, actResult, logID) {
        if (actResult) {
            JTongAlert('操作结果', sMsg, 'info', function () {

                if ($("#ckbNotify")[0].checked == true) {
                    var memberID = $("#hfMemberID").val();
                    ajaxExecute("get", "../notification/biztransaction_notify.aspx", { "biztype": "membermanage", "bizno": logID, "act": "changelevel" });
                }

                resetPage();
            });
        } else {
            JTongAlert('操作结果', sMsg, 'error');
        }
    }

    function resetPage() {

        clearMemberInfo();

        $("#ddlMemberLevel").attr("disabled", "disabled");
        $("#btnSubmit").attr("disabled", "disabled");

        $("#ddlMemberLevel")[0].options[0].selected = true;
        
        //清除错误提示样式；
        clearInputValidatorError();
    }   

    //会员信息加载成功时调用的方法；            
    function doWhenMemberInfoLoadSuc() {
        $("#ddlMemberLevel").removeAttr("disabled");
        $("#btnSubmit").removeAttr("disabled");

        $("#ddlMemberLevel").focus();
    }

    //会员信息加载失败时调用的方法；
    function doWhenMemberInfoLoadFail() {
        $("#ddlMemberLevel").focus();
    }
    
    $(function () {
        if ($("#hfMemberID").val() == "") {
            $("#ddlMemberLevel").attr("disabled", "disabled");
            $("#btnSubmit").attr("disabled", "disabled");
        }        
    });

    </script>

</head>
<body>
<form id="Form1" method="post" runat="server">

<div class="editPageWrapper" style="width:700px;">

<div class="centerFormTitle">
   <h1>更改会员级别</h1>
</div>

<!--#include file="../include/memberinfo.aspx"-->     

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th" colspan="2" style="font-weight:bold;text-align:left;">更换级别信息</td>
</tr>
<tr>
<td class="th">当前日期：</td>
<td>    
	<% = DateTime.Now %>
</td>
</tr>
<tr>
<td class="th">操作员：</td>
<td>    
	<% = base.EmployeeName %>
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)新级别：</td>
<td>
     <asp:DropDownList ID="ddlMemberLevel" Runat="server" Width="104px" >    
    </asp:DropDownList>
</td>
</tr>
<tr>
<td colspan="2" class="footer">
    <asp:CheckBox ID="ckbNotify" runat="server"
             Text="短信通知" />    
    <input type="button" id="btnSubmit" class="btn" style="width:80px" onclick="save()" value="更改" />
    <input type="button" id="btnClear" class="btn" style="width:80px" onclick="resetPage()" value="重置" />
    
</td>
</tr>
</table>

</div><!--editPageWrapper.END-->

</form>
</body>
</html>

