﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="pointcard_info.aspx.cs" Inherits="VA.Modules.JDingMember.pointcard.pointcard_info" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--#include virtual="/modules/member/include/css/edit.aspx"-->
    <!--#include virtual="/modules/member/include/js/edit.aspx"-->     
    <script type="text/javascript">
        function ok() {
            window.parent.closeFrameWindow();
        }
    </script>    
</head>
<body>
<form id="Form1" method="post" runat="server">

<div class="editPageWrapper" style="width:700px;">

<div class="centerFormTitle">
   <h1><asp:Label ID="lblFormTitle" runat="server">计次卡详情</asp:Label></h1>
</div>

<table cellspacing="0" cellpadding="3" class="editTable">
<tr>
<td class="th">卡 类 型：</td>
<td colspan="3">
    <% = VA.Modules.JDingMember.Core.Enums.PointCardTypeConverter.Convert_Value_ToText(base.cardInfo.PointCard_Type) %>    
</td>
</tr>
<tr>
<td class="th">卡 名 称：</td>
<td colspan="3">
    <% = base.cardInfo.PointCard_Name %>    
</td>
</tr>
<tr id="tr_ValidTerm">
<td class="th">有 效 期：</td>
<td>             
    <%  = base.cardInfo.PointCard_ValidTerm_Number %>  <%  = base.cardInfo.PointCard_ValidTerm_Unit %>    
</td>
<td class="th">生效规则：</td>
<td>              
    <%  = VA.Modules.JDingMember.Core.Enums.PointCardEnableRuleConverter.Convert_Value_ToText(base.cardInfo.PointCard_Enable_Rule) %>    
</td>
</tr>
<tr>
<td class="th">可用次数：</td>
<td>              
    <% = base.cardInfo.PointCard_SrvCount %>  
</td>
<td class="th">售价：</td>
<td>              
    <% = base.cardInfo.PointCard_Price.ToString("F2") %> 
</td>
</tr>
<tr>
<td class="th">备注：</td>
<td>
    <% = base.cardInfo.Remark %>
</td>
<td class="th">卡状态：</td>
<td>  
    <%  = VA.Modules.JDingMember.Core.Enums.PointCardStatusConverter.Convert_Value_ToText(base.cardInfo.Status) %>
</td>
</tr>
</table>
<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th" style="font-weight:bold;text-align:left;">单次消费包含的商品/服务项目</td>
</tr>
</table>

<asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False">
<HeaderTemplate>
<table cellspacing="0" class="listTable" id="srcTable" style="width:700px;margin-top:-1px;">
<thead>
<tr>
<td style="width:30px;text-align:center;">No.</td>
<td style="width:70px;text-align:center;">项目代码</td>
<td style="width:200px;text-align:center;">项目品名</td>
<td style="width:50px;text-align:center;">单位</td>
<td style="width:70px;text-align:center;">单价</td>
<td style="width:70px;text-align:center;">折后单价</td>    
<td style="width:50px;text-align:center;">数量</td>
<td style="width:70px;text-align:center;">折后金额</td>
</tr>    
</thead>    
<tbody>
</HeaderTemplate>
<ItemTemplate>
<tr>
<td align="center"><%# Container.ItemIndex + 1 %></td>
<td align="center"><%# Eval("Item_Code")%></td>
<td align="left"><%# Eval("Item_Name")%></td>
<td align="center"><%# Eval("Unit")%></td>
<td align="center"><%# Eval("Price")%></td>
<td align="center"><%# Eval("Discounted_Price")%></td>
<td align="center"><%# Eval("Quantity")%></td>
<td align="center"><%# (Convert.ToDecimal(Eval("Discounted_Price")) * Convert.ToDecimal(Eval("Quantity"))).ToString("F2")%></td>
</tr>
</ItemTemplate>
<FooterTemplate>
</tbody>
</table>
</FooterTemplate>
</asp:Repeater>

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="footer">    
    <input type="button" id="btnOk" class="btn" style="width:100px" onclick="ok()" value="确定" />
</td>
</tr>
</table>

</div><!--editPageWrapper.END-->

</form>
</body>
</html>

