﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="pointcard_sale_list.aspx.cs" Inherits="VA.Modules.JDingMember.query.pointcard_sale_list" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>充次记录查询</title>    
    <!--#include virtual="/modules/member/include/css/editlist.aspx"-->
    <!--#include virtual="/modules/member/include/js/statquery.aspx"--> 
    <script type="text/javascript">  
    
        //显示汇总金额；
        function afterDataListLoaded() {
            $("#statBar").html($("#divStatInfo").html());
        }

        //设置结账输入框的行为；
        function setDayAccountControlBehavior() {
            var keywords_ToolTip = "结账ID";
            var $txtDayAccountID = $("#txtDayAccountID");
            var $ddlDayAccountFlag = $("#ddlDayAccountFlag");
            $ddlDayAccountFlag.change(function () {
                var flag = $(this).val();
                if (flag == "2") { //已结账
                    $txtDayAccountID.removeAttr("disabled", "disabled");
                    $txtDayAccountID.val(keywords_ToolTip);
                } else {
                    $txtDayAccountID.attr("disabled", "disabled");
                    $txtDayAccountID.val("");
                }
            });

            var flag = $ddlDayAccountFlag.val();
            if (flag == "2") { //已结账
                $txtDayAccountID.removeAttr("disabled", "disabled");
                if ($txtDayAccountID.val() == "") {
                    $txtDayAccountID.val(keywords_ToolTip);
                }
            } else {
                $txtDayAccountID.attr("disabled", "disabled");
                $txtDayAccountID.val("");
            }

            $txtDayAccountID.addClass("keywords-toolTip");

            $txtDayAccountID.focus(function () {
                var keywords = $(this).val();
                if (keywords == keywords_ToolTip) {
                    $txtDayAccountID.val("");
                    $txtDayAccountID.removeClass("keywords-toolTip");
                }
            });

            $txtDayAccountID.focusout(function () {
                var keywords = $(this).val();
                if (keywords == "") {
                    $txtDayAccountID.val(keywords_ToolTip);
                    $txtDayAccountID.addClass("keywords-toolTip");
                }
            });
        }

        $(function () {
            initListPage();
            setDayAccountControlBehavior();
        });
    </script>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   
    
    <div id="toolBar">          
   <%--     <a href="javascript:add()" class="jtongui-toolbarbutton" icon="icon-add">计次卡销售</a> --%>               
        <a href="javascript:refresh()" class="jtongui-toolbarbutton" icon="icon-reload">刷新</a>            
        <asp:LinkButton ID="lbnExportToExcel" runat="server" CssClass="jtongui-toolbarbutton" icon="icon-export" OnClick="lbnExportToExcel_Click">导出</asp:LinkButton>
    </div><!--toolBar.END-->   

    <div id="shopBar">                            
        <div class="title">门店</div>
        <div class="textBox">
            <VACTL:TextBox runat="server" ID="txtShop" 
                CssClass="input" 
                onfocus="JTongSmartDropDownList_OnfocusHandler(this, '../smartdropdownlist_datasrc/get_shops.aspx',true,true,300,400);"
                />
            <asp:HiddenField runat="server" id="txtShop_hiddenValue" />
        </div>
        <div class="showAll"><asp:Button ID="btnViewAllShop" runat="server" Text="全部门店" onClientclick="showAll();" /></div>                
    </div>  
                     
    <div id="searchBar">
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>

        <asp:DropDownList ID="ddlPointCardType" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlPointCardType_SelectedIndexChanged">           
        </asp:DropDownList>

        <asp:DropDownList ID="ddlPointCards" Runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlPointCards_SelectedIndexChanged">
            <asp:ListItem Value="">==计次卡==</asp:ListItem>
        </asp:DropDownList>

        <asp:DropDownList ID="ddlSearchField" runat="server" EnableViewState="false">
        <asp:ListItem Value="">检索字段</asp:ListItem>
        <asp:ListItem Value="1">会员姓名</asp:ListItem>
        <asp:ListItem Value="2">会员卡号</asp:ListItem>
        <asp:ListItem Value="3">计次卡名称</asp:ListItem>
        <asp:ListItem Value="4">操作员姓名</asp:ListItem>
        <asp:ListItem Value="5">充次单号</asp:ListItem>
        <asp:ListItem Value="6">付款方式</asp:ListItem>
        </asp:DropDownList>               
                 
      <%--  <asp:DropDownList ID="ddlSearchType" runat="server" EnableViewState="false">
        <asp:ListItem Value="1">模糊匹配</asp:ListItem>
        <asp:ListItem Value="2">精确匹配</asp:ListItem>
        </asp:DropDownList>         --%>      

        <asp:TextBox ID="txtKeyWords" runat="server"
            CssClass="input"
            Width="100px" />
   
        <asp:DropDownList ID="ddlDateRule" runat="server" EnableViewState="false">
        <asp:ListItem Value="" Selected="True">充次日期</asp:ListItem>
        <asp:ListItem Value="1">今天</asp:ListItem>
            <asp:ListItem Value="2">昨天</asp:ListItem>
            <asp:ListItem Value="3">前天</asp:ListItem>
            <asp:ListItem Value="4">近两天</asp:ListItem>
            <asp:ListItem Value="5">近三天</asp:ListItem>
            <asp:ListItem Value="6">近一周</asp:ListItem>
            <asp:ListItem Value="7">近一月</asp:ListItem>
            <asp:ListItem Value="8">上月</asp:ListItem>
            <asp:ListItem Value="9">本月</asp:ListItem>
            <asp:ListItem Value="10">自定义</asp:ListItem>
        </asp:DropDownList>    

        <VACTL:TextBox ID="txtBeginDate" Runat="server"
            EnableViewState="False"
            CssClass="input keywords"
            Width="80px"            
            onfocus="laydate()"
            MaxLength="20" />  
        -      
        <VACTL:TextBox ID="txtEndDate" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="80px"            
            onfocus="laydate()"
            MaxLength="20" />       
        
        <asp:DropDownList ID="ddlDayAccountFlag" runat="server" EnableViewState="false">
        <asp:ListItem Value="" Selected="True">是否结账</asp:ListItem>
        <asp:ListItem Value="1">未结账</asp:ListItem>
        <asp:ListItem Value="2">已结账</asp:ListItem>
        </asp:DropDownList>         
         
        <VACTL:TextBox ID="txtDayAccountID" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="80px"            
            MaxLength="20" /> 
         
        <asp:Button ID="btnSearch" runat="server" 
             CssClass="simpleBtn"
             Text="查询" 
             Onclick="btnSearch_Click" />
        
        </ContentTemplate>
        </asp:UpdatePanel>

    </div><!--searchBar.END-->    

    <div id="dataBar">

    <!--MainList.Start-->    
    <div class="jtongui-smartlisttable" id="jtongui-smartlisttable">

    <table cellpadding="3" cellspacing="0" class="tableheader" id="tb1_header" >
    <thead>
    <tr>
        <%--<td style="width:30px;text-align:center;"><input type="checkbox" id="ckb_selectAll"/></td>--%>
        <td style="width:30px;text-align:center;">No.</td>
         <td style="width:80px;text-align:center;">充次单号</td>          
        <td style="width:70px;text-align:center;">计次卡类型</td>	 	    
        <td style="width:70px;text-align:center;">计次卡编号</td>     	       
        <td style="width:200px;text-align:center;">计次卡名称</td>
        <%--<td style="width:70px;text-align:center;">计次卡价格</td>--%>        
        <td style="width:70px;text-align:center;">卡生效日期</td>	 	         
        <td style="width:70px;text-align:center;">卡过期日期</td>	 	         
        <td style="width:70px;text-align:center;">金额</td>
        <td style="width:70px;text-align:center;">付款方式</td>
        <td style="width:70px;text-align:center;">会员卡号</td>
        <td style="width:70px;text-align:center;">会员姓名</td>
        <td style="width:100px;text-align:center;">充次时间</td>	         
        <td style="width:150px;text-align:center;">备注</td> 
        <td style="width:70px;text-align:center;">操作员</td>
        <td style="width:100px;text-align:center;">门店</td>     
        <td style="width:60px;text-align:center;">结账ID</td>              	    
        <td></td>
    </tr>    
    </thead>
    </table>

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>    
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>
    <table cellpadding="3" cellspacing="0" class="tablebody" tbHeader="tb1_header">
    </HeaderTemplate>
    <ItemTemplate>
    <tr>
       <%-- <td style="text-align:center;"><input type="checkbox" name="ckb_dataItem" value="<%# Eval("RID")%>" /></td>--%>
        <td align="center"><%# (base.currPage - 1)*base.PageSize + Container.ItemIndex + 1%></td>
        <td align="center"<%# ShowBillStyle(Eval("Bill_Status").ToString(), Eval("Bill_Type").ToString())%>><%# Eval("BizNo")%></td>        
        <td align="center"><%# VA.Modules.JDingMember.Core.Enums.PointCardTypeConverter.Convert_Value_ToText(Eval("PointCard_Type").ToString(),true)%></td>                
        <td align="center"><%# Eval("PointCard_ID")%></td>    
        <td align="left"><%# Eval("PointCard_Name")%></td>        
        <%--<td align="center"><%# Eval("PointCard_Price")%></td>--%>        
        <td align="center"><%# String.Format("{0:yyyy-MM-dd}", Eval("PointCard_Begin_Date"))%></td>        
        <td align="center"><%# String.Format("{0:yyyy-MM-dd}", Eval("PointCard_End_Date"))%></td>        
        <td align="center"><%# Eval("Pay_Amount")%></td>
        <td align="center"><%# Eval("PayType_Name")%></td> 
        <td align="center"><%# Eval("CardNo")%></td>
        <td align="center"><%# Eval("Name")%></td>               
        <td align="center"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Charge_Date"))%></td>                
        <td align="left"><%# Eval("Remark")%></td>     
        <td align="center"><%# Eval("Operator_Name")%></td> 
        <td align="center"><%# Eval("Shop_Name")%></td>     
        <td align="center"><%# Eval("Settle_Account_ID")%></td> 	       	     
        <td></td>
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    </div><!--bodyContainer.END-->        

    <div id="divPagerInfo" style="display:none">
        <%=base.pageInfo%>
    </div>

    <div id="divStatInfo" style="display:none">
        共 <span style="font-weight:bold;"><%=base.RdCnt%></span> 条记录，充次金额合计：<span style="font-weight:bold;"><%= base.TotalCharges.ToString("F2")%></span>&nbsp;&nbsp;
    </div>

    <input type="hidden" id="hidden_pageCnt" value="<% = base.PageCnt%>" />
    <input type="hidden" id="hidden_rdCnt" value="<% = base.RdCnt%>" />
    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->

    </div><!--jtongui-smartlisttable.END-->        
    <!--MainList.End-->  

    </div><!--dataBar.END-->

    <div id="statBar">
       
    </div><!--statBar.END-->

    <div id="pagerBar">
       ……
    </div><!--pageNavBar.END-->
    
    <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
    
</div>

<!--每个页面上只能有一个该控件实例-->
<VACTL:SmartDropDownList ID="SmartDropDownList1" runat="server"></VACTL:SmartDropDownList>  

</form>
</body>
</html> 