﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="voucher_selectvoucher_step2.aspx.cs" Inherits="VA.Modules.JDingMember.sale.voucher_selectvoucher_step2" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>代金券明细</title>    
    <!--#include virtual="/modules/member/include/css/editlist.aspx"-->
    <link href="/app_themes/default/css/modules/voucher.css" type="text/css" rel="Stylesheet" />
    <!--#include virtual="/modules/member/include/js/editlist.aspx"-->         
    <script type="text/javascript">  
        
        function JTongSmartListTable_trClick(trObj) {
            var voucherNo = trObj.cells[1].innerHTML;
            window.parent.finishTakeVoucher(voucherNo);
        }

        $(function () {
            initListPage();         
        });
    </script>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   

    <div id="noteBar">
        <div style="height:1%;overflow:hidden;">
            <div style="float:left;padding-left:10px;"> 代金券名称：<% = base.voucherInfo.Voucher_Name %>，面值：<% = base.voucherInfo.Face_Value.ToString("F2") %></div>
            <div style="float:right"><a href="javascript:window.history.go(-1);">[ 返回 ]</a></div>
        </div>   
    </div>
                         
    <div id="searchBar" runat="server" visible="false">
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>

        <asp:DropDownList ID="ddlDonateFlag" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlDonateFlag_SelectedIndexChanged">        
            <asp:ListItem Value="" Selected="True">分发标志</asp:ListItem>
            <asp:ListItem Value="0">未分发</asp:ListItem>
            <asp:ListItem Value="1">已分发</asp:ListItem>
        </asp:DropDownList>

        <asp:DropDownList ID="ddlUsingFlag" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlUsingFlag_SelectedIndexChanged">        
        </asp:DropDownList>     

        <asp:DropDownList ID="ddlCustomerType" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlCustomerType_SelectedIndexChanged">        
        </asp:DropDownList>     

        <asp:DropDownList ID="ddlSearchField" runat="server" EnableViewState="false">
        <asp:ListItem Value="">检索字段</asp:ListItem>
        <asp:ListItem Value="1">代金券编号</asp:ListItem>
        <asp:ListItem Value="2">使用门店</asp:ListItem>            
        </asp:DropDownList>            

        <asp:TextBox ID="txtKeyWords" runat="server"
            CssClass="input keywords"
            Width="100px" />                          
        
        <asp:Button ID="btnSearch" runat="server" 
             CssClass="simpleBtn"
             Text="查询" 
             Onclick="btnSearch_Click" />
        
        </ContentTemplate>
        </asp:UpdatePanel>

    </div><!--searchBar.END-->    

    <div id="dataBar" style="margin-top:-1px;">

    <!--MainList.Start-->    
    <div class="jtongui-smartlisttable" id="jtongui-smartlisttable">

    <table cellpadding="3" cellspacing="0" class="tableheader" id="tb1_header" >
    <thead>
    <tr>
        <%--<td style="width:30px;text-align:center;"><input type="checkbox" id="ckb_selectAll"/></td>--%>
        <td style="width:30px;text-align:center;">No.</td>
        <td style="width:80px;text-align:center;">代金券编号</td>
        <td style="width:230px;text-align:center;">有效期</td>	                 
        <td style="width:70px;text-align:center;">使用标志</td>
        <td></td>
    </tr>    
    </thead>
    </table>

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>    
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>
    <table cellpadding="3" cellspacing="0" class="tablebody" tbHeader="tb1_header">
    </HeaderTemplate>
    <ItemTemplate>
    <tr>
       <%-- <td style="text-align:center;"><input type="checkbox" name="ckb_dataItem" value="<%# Eval("Voucher_Code")%>" /></td>--%>
        <td align="center"><%# (base.currPage - 1)*base.PageSize + Container.ItemIndex + 1%></td>
        <td align="center"><%# Eval("VoucherNo")%></td>
        <td align="center"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Voucher_TakeEffect_Date"))%> 至 <%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Voucher_Expire_Date"))%></td>
        <td align="center"><%# VA.Modules.JDingMember.Core.Enums.VoucherConverter.VoucherUsingFlagConverter.Convert_Value_ToText(Eval("Using_Flag").ToString())%></td>           
        <td></td>
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    </div><!--bodyContainer.END-->        

    <div id="divPagerInfo" style="display:none">
        <%=base.pageInfo%>
    </div>

    <input type="hidden" id="hidden_pageCnt" value="<% = base.PageCnt%>" />
    <input type="hidden" id="hidden_rdCnt" value="<% = base.RdCnt%>" />
    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->

    </div><!--jtongui-smartlisttable.END-->        
    <!--MainList.End-->  

    </div><!--dataBar.END-->

    <div id="pagerBar">
       ……
    </div><!--pageNavBar.END-->
    
    <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
    
</div>

</form>
</body>
</html> 