﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="change_password.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter.change_password" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>修改登录密码</title>
    <!--#include virtual="/modules/mycenter/include/css/edit.aspx"-->
    <!--#include virtual="/modules/mycenter/include/js/edit.aspx"-->     
    <script type="text/javascript">    
    function save() {

        //调用asp.net验证控件自带的js数据验证脚本对控件进行验证；
        var validationResult = Page_ClientValidate('');
        if (!validationResult) {
            return;
        }

        add();
    }

    function add() {
        var requestType = "POST";
        var url = pageName + "?act=changepwd";  //pageName在BasePage中注册到的客户端；
        var dataType = "html";
        var data = $("form").eq(0).serialize();
        var successFN = function (data, textStatus) {
            if (data == "ok") {
                showActResult("密码修改成功！", true, doAfterAdd);
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterAdd);
            }
            else {
                showActResult("密码修改失败：" + data, false, doAfterAdd);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }

    function doAfterAdd(actResult) {
        if (actResult) {
            try {
                if (window.parent != window.self) {
                    window.parent.reload();
                }
            } catch (e) { }
            resetPage();
        }
    }

    function resetPage() {

        clearInputValidatorError();

        $("#txtOldPassword").val("");
        $("#txtNewPassword").val("");
        $("#txtNewPasswordConfirm").val("");
        $("#txtOldPassword").focus();
        window.parent.closeFrameWindow();
    }

    $(function () {
        $("#txtOldPassword").focus();

        //焦点控制
        $("input").keydown(function (event) {
            if (event.keyCode == 13) {
                var targetID = event.target.id;
                switch (targetID) {
                    case "txtOldPassword":
                        $("#txtNewPassword").select();
                        break;
                    case "txtNewPassword":
                        $("#txtNewPasswordConfirm").select();
                        break;
                    case "txtNewPasswordConfirm":
                        save();
                        break;
                    default:
                        break;
                }
                return false;
            }
        });
    });

    </script>
    <style type="text/css">
        .editTable .th {
            width:120px;
        }
    </style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div class="editPageWrapper" style="width:500px;">

<div class="centerFormTitle">
   <h1>修改登录密码</h1>
</div>

<table cellspacing="0" cellpadding="3" class="editTable">
<tr id="trEditResult" runat="server" visible="false">
<td colspan="2" style="text-align:center;">
    <div class="editResult">
    <asp:Literal id="litEditResult" runat="server" />
    </div>
</td>
</tr>
<tr>
<td class="th">姓名：</td>
<td>              
    <% = base.MemberName %>
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)旧密码：</td>
<td>              
    <VACTL:TextBox ID="txtOldPassword" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="100px"
            FieldName="旧密码"
            TextMode="Password"
            MaxLength="20" /> <span class="note">注：如果之前未设置密码，则不用填写</span>
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)新密码：</td>
<td>
    <VACTL:TextBox ID="txtNewPassword" runat="server"
            EnableViewState="False"
		    CssClass="input"
            Width="100px"
            CanBeNull="No"
            FieldName="新密码"
            TextMode="Password"
            MaxLength="20" /> 
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)新密码确认：</td>
<td>
    <VACTL:TextBox ID="txtNewPasswordConfirm" runat="server"
            EnableViewState="False"
		    CssClass="input"
            Width="100px"
            CanBeNull="No"
            FieldName="新密码确认"
            TextMode="Password"
            MaxLength="20"
            /> 
</td>
</tr>
<tr>
<td colspan="2" class="footer">

    <input type="button" id="btnSubmit" class="btn" style="width:100px" onclick="save()" value="保存" />

    <asp:HiddenField ID="hfKey" runat="server" />
    
    <VACTL:Hint ID="Hint1" runat="server" HintImageUrl="/admin/app_themes/default/images/control" />
    <VACTL:ValidationSummary ID="ValidationSummary1" runat="server"
            DisplayMode="List"
            EnableClientScript="true" />
    
    <!--注意：这个文件一定要放到页面底部，以便覆盖asp.net验证脚本中的同名函数-->
    <script type="text/javascript" src="/scripts/utils/aspnet_validator_extend.js"></script>
</td>
</tr>
</table>

</div><!--editPageWrapper.END-->

</form>
</body>
</html>

