﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter._default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>会员自助平台</title>
    <!--#include virtual="/modules/mycenter/include/css/common.aspx"-->
    <!--#include virtual="/modules/mycenter/include/css/easyui.aspx"-->
    <link href="/admin/app_themes/default/css/edit.css" type="text/css" rel="Stylesheet" />
    <link href="app_themes/default/css/pages/main.css" type="text/css" rel="Stylesheet" />
    <link rel="stylesheet" type="text/css" href="/scripts/jquery/plugins/simplemodal-1.4.4/css/basic.css" />
    <!--#include virtual="/modules/mycenter/include/js/common.aspx"-->  
    <!--#include virtual="/modules/mycenter/include/js/easyui.aspx"-->  
    <script type="text/javascript" src="/scripts/jquery/plugins/simplemodal-1.4.4/js/jquery.simplemodal.js"></script>   
    <script type="text/javascript" src="scripts/page/defaultpage.js"></script>   
    <style type="text/css">
        .editTable .th {
            width:60px;
            border-left:0px;
        }
        .editTable .noRightBorder {
            border-right:0px;
        }        
    </style>
</head>
<body>
<form id="Form1" method="post" runat="server">
<div id="header">
    
    <a href="http://member.jdingsoft.com" id="logo" target="_blank">
        <img src="/admin/images/logo.png" alt="金鼎会员通" style="margin-top:6px;" />
    </a>

    <div id="companyName"><h3>单位：<% = VA.Modules.JDingMember.Core.SystemInfo.CompanyName %></h3></div>
    <div id="headerRight">
        <div class="topmenu"><%--<a href="javascript:help();" class="help">帮助</a> | --%><a href="javascript:logout();">退出</a> | <a href="javascript:changePassword();">修改密码</a> | <a href="javascript:showAbout()">关于</a></div>
        <div class="userinfo"><% = base.MemberName %>/<% = base.MemberID %></div>
    </div>
</div>

<table id="tbMainLayout" border="0" cellpadding="0" cellspacing="0">
<tr>
<td id="tdSideBar">   
        
    <div id="memberInfo" class="memberInfo">
        <p>
            <b><% = base.memberInfo.MemberName %></b>，<% = base.memberLevelName %>
        </p>
        <p>
            账户：<% = base.memberInfo.Account_Balance.ToString("F2") %>        
        </p>
        <p>
            积分：<% = base.memberInfo.Account_Points.ToString() %>
        </p>
    </div>

    <div id="mainNav">
        <ul>            
            <li class="icon-announcement" onclick="openWindow('活动通知','activity/announcement_list.aspx')">活动通知</li>         
            <li class="icon-memberinfo" onclick="openWindow('基本信息','memberinfo/member_basicinfo.aspx')">基本信息</li>         
            <li class="icon-walletcharge" onclick="openWindow('充值记录','memberinfo/member_walletcharge_list.aspx')">充值记录</li>                         
            <li class="icon-consume" onclick="openWindow('消费记录','memberinfo/member_consume_nav.aspx')">消费记录</li>                                              
            <li class="icon-withdraw" onclick="openWindow('提现记录','memberinfo/member_walletwithdraw_list.aspx')">提现记录</li>         
            <li class="icon-pointcard" onclick="openWindow('充次记录','memberinfo/member_pointcard_nav.aspx')">充次记录</li>                                                                      
            <li class="icon-voucher" onclick="openWindow('代金券','memberinfo/member_voucher_list.aspx')">代 金 券</li>                                              
            <li class="icon-donate" onclick="openWindow('受赠项目','memberinfo/member_chargeitem_bedonated_nav.aspx')">受赠项目</li>                                              
            <li class="icon-accountbook" onclick="openWindow('账户流水','memberinfo/member_accountbook_list.aspx')">账户流水</li>                                              
            <li class="icon-pointbook" onclick="openWindow('积分流水','memberinfo/member_pointbook_list.aspx')">积分流水</li>                                              
            <li class="icon-gift" onclick="openWindow('礼品兑换','giftshop/gift_list.aspx')">礼品兑换</li>                                              
            <li class="icon-giftorder" onclick="openWindow('我的礼品兑换订单','giftshop/myorder_list.aspx')">我的订单</li>                                              
        </ul>
    </div>
</td>
<td id="tdMain" style="vertical-align:top;">  
    <div id="tabsPanel">
        <div class="easyui-tabs" style="width:300px;border-bottom:0px;overflow:hidden;" fit=true id="tabs1" >
            <%--<div title="点餐台" data-options="closable:false">            
                <iframe src="chargeitem_list.aspx" style="width:100%;height:100%;border:0px;margin:0px;padding:0px;"></iframe>                                
            </div>--%>
        </div>  
    </div>
</td>
</tr>
</table>

<div id="footer">
    <div class="dateinfo">&nbsp;<% = base.MemberName %> &nbsp;&nbsp;<% = DateTime.Now.ToString("yyyy年MM月dd日") %>&nbsp;&nbsp;<% = System.Globalization.CultureInfo.CurrentCulture.DateTimeFormat.GetDayName(DateTime.Now.DayOfWeek) %></div>
    <div class="copyright">
        版本号：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftVesion %>
            <% if (VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseType == VA.Modules.JDingMember.Core.Enums.SoftLicenseType.Trial)
            {
                Response.Write("<span style='color:red;'>(" + VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseTypeName + ")</span>");
                //Response.Write("<span style='color:red;'>(试用)</span>");
            }       
            %>
        网址：<a href="<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %>" target="_blank"><% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %></a></div>
</div>

<div id="divAboutPanel">
    <div class="box-title-bar">
        <div class="title-container"></div>
        <div class="close-container"><a href="#" class="simplemodal-close">×</a></div>
    </div>
    <div id="versionInfo">        
        版本号：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftVesion %>
        <br />

        版本级别：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLevelName %>
        <br />
        授权类型：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseTypeName %>
        <br />
        QQ:<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Contact_QQ %>
        &nbsp;
        Email:<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Contact_Email %>
        <br />
        (C)<% = DateTime.Now.Year %> <a href="<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %>" target="_blank"><% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Company %></a>. All rights reserved                
    </div>             
</div>

<div id="contextMenu" class="easyui-menu" data-options="onClick:menuHandler" style="width:120px;">
    <div data-options="name:'refresh'">刷新</div>
	<div data-options="name:'closeCurrent'">关闭</div>
	<div data-options="name:'closeAll'">关闭全部</div>
    <div data-options="name:'closeAllExceptCurrent'">除此之外全部关闭</div>
</div>

</form>
</body>
</html>

