﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="settle.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter.giftshop.settle" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>结算</title>
    <!--#include virtual="/modules/mycenter/include/css/edit.aspx"-->
    <!--#include virtual="/modules/mycenter/include/js/edit.aspx"-->     
    <script type="text/javascript">

        function goShopping() {
            window.location.href = "gift_list.aspx";
        }

        function toShoppingCart() {
            window.location.href = "shoppingcart.aspx";
        }

        function cancel() {
            JTongAlertConfirm("确定要放弃礼品兑换吗？", function () {
                clearItems_();
                setTimeout("window.location.href = 'gift_list.aspx'", 1000);
            });
        }

        function clearItems_(){
            var storage = getStorage();
            var storageKey = getStorageKey();
            storage.removeItem(storageKey);
            clearItems();
        }

        function save() {

            if (!formEditListTable_checkTableData()) {
                return;
            }

            $("#btnSubmit").attr("disabled", "disabled");

            var requestType = "POST";
            var url = pageName + "?act=save";  //pageName在BasePage中注册到的客户端；
            var dataType = "html";
            var data = $("form").eq(0).serialize();
            var successFN = function (data, textStatus) {
                var bizNo = "";
                if (data.substring(0, 2) == "ok") {
                    bizNo = data.split("|")[1];
                    showActResult("订单提交成功！", true, doAfterAdd, bizNo);
                } else if (data.indexOf("01|") != -1) {
                    showActResult(data.substring(3), false, doAfterAdd, bizNo);
                }
                else {
                    showActResult("订单提交失败：" + data, false, doAfterAdd, bizNo);
                }
            };
            ajaxRequest(requestType,
                url,
                dataType,
                data,
                successFN,
                errorFN
                );
        }

        function doAfterAdd(actResult, bizNo) {
            if (actResult) {
                window.location.href = "settle_suc.aspx?orderid=" + bizNo;
                resetPage();
            }
        }

        //显示操作结果；
        function showActResult(sMsg, actResult, callback, bizNo) {

            $("#btnSubmit").removeAttr("disabled");

            var icon = "info";
            if (!actResult) {
                icon = "error";
            }

            JTongAlert('操作结果', sMsg, icon, function () {
                if (callback != null && callback != undefined) {
                    callback(actResult, bizNo);
                }
            });
        }

        function resetPage() {        
            clearInputValidatorError();
            clearItems_();
        }
     
       //加载购物篮中的项；
       function loadShoppingCart() {
            var storage = getStorage();
            var storageKey = getStorageKey();
            var itemString = storage.getItem(storageKey);
            if (itemString != null) {
                itemArray = JSON.parse(itemString);
            }

            for (var i = 0; i < itemArray.length; i++) {
                var item = itemArray[i];

                var itemType = item.itemType;
                var itemCategory = item.itemCategory;
                var itemCode = item.itemCode;
                var itemName = item.itemName;
                var unit = item.unit;
                var price = item.price;
                var quantity = item.quantity;
                var itemPic = item.itemPic;
                
                formEditListTable_addRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity, itemPic);
            }
        }

        function getStorageKey() {
            return "JDingMember_GiftShoppingCart";
        }

        function getStorage() {
            return window.localStorage;
        }

        $(function () {
            loadShoppingCart();

            //焦点控制
            //$("input:not(#txtUnit),select").keydown(function (event) {
            $("input,select").keydown(function (event) {
                if (event.keyCode == 13) {
                    var targetID = event.target.id;
                    switch (targetID) {
                        case "txtName":
                            $("#txtMobileNo").focus();              
                            break;
                        case "txtMobileNo":
                            $("#province1").focus();
                            break;
                        case "txtMobileNo":
                            $("#province1").focus();
                            break;
                        case "province1":
                            $("#city1").focus();
                            break;
                        case "city1":
                            $("#zone1").focus();
                            break;
                        case "zone1":
                            $("#txtAddress").focus();
                            break;
                        case "txtAddress":
                            save();
                            break;
                        default:
                            break;
                    }
                }
            });
        });

    </script>
    <script type="text/javascript">

        var formEditListTable_RowCounter = 0;

        function formEditListTable_addRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity, itemPic) {

            formEditListTable_RowCounter++;

            var $srcTable = $("#srcTable");
            var srcTableID = $srcTable.attr("id");

            //如果找到相同数据行，并进行了数量的合并，则不再添加新的行；
            if (formEditListTable_dataMerge($srcTable, itemCode, quantity)) {
                return;
            }

            var rowHtml = '';
            var $row = null;
            var rowCnt = $srcTable[0].rows.length;
            var rowID = formEditListTable_RowCounter;

            itemName = itemName.replace(/'/g, "‘");
            unit = unit.replace(/'/g, "‘");

            var amount = (price * quantity).toString(); //优惠前金额

            rowHtml += '<tr id="tr_' + rowID + '">';

            rowHtml += '<td style="text-align:center;" class="tdRowNo"></td>';

            rowHtml += '<td style="text-align:center;">';
            if (itemPic != '') {
                rowHtml += '<img src="/resources/pics/gift/s/' + itemPic + '" width="60" height="40" />';
            }
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:left;padding-left:5px;">';
            rowHtml += '<span>' + itemName + '</span>';
            rowHtml += '<input type="hidden" name="hfItemType" value="' + itemType + '" />';
            rowHtml += '<input type="hidden" name="hfItemCategory" value="' + itemCategory + '" />';
            rowHtml += '<input type="hidden" name="hfItemName" value="' + itemName + '" />';
            rowHtml += '<input type="hidden" name="hfItemCode" value="' + itemCode + '" id="hfItemCode_' + rowID + '" />';
            rowHtml += '<input type="hidden" name="hfUnit" value="' + unit + '" />';
            rowHtml += '<input type="hidden" name="hfPrice" value="' + price + '" id="hfPrice_' + rowID + '" />';
            rowHtml += '<input type="hidden" name="hfAmount" value="' + amount + '" id="hfAmount_' + rowID + '" />';
            rowHtml += '<input type="hidden" name="hfItemPic" value="' + itemPic + '" id="hfItemPic_' + rowID + '" />';
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:center;">';
            rowHtml += '<span>' + unit + '</span>';
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:center;">';
            rowHtml += '<span>' + price + '</span>';
            rowHtml += '</td>';

            rowHtml += '<td><input type="text" name="txtQuantity" value="' + quantity + '" id="txtQuantity_' + rowID + '" onkeyup="formEditListTable_caculateAmount(' + rowID + ')" /></td>';
            
            rowHtml += '<td style="text-align:right;padding-right:5px;">';
            rowHtml += '<span style="font-weight:bold;" id="spanAmount_' + rowID + '">' + amount + '</span>';
            rowHtml += '</td>';

            rowHtml += '</tr>';

            $row = $(rowHtml);
            $srcTable.append($row);

            formEditListTable_setRowNo();
            formEditListTable_setTotalAmount();
            formEditListTable_hideTbNoRecord();
        }

        function formEditListTable_setTotalAmount() {
            var $srcTable = $("#srcTable");
            $srcTable.find("#trTotal").remove();

            var totalRowHtml = '';
            var total = 0;
            var $hfAmountList = $srcTable.find("input[name=hfAmount]");

            $hfAmountList.each(function () {
                total += parseFloat($(this).val());
            });
            
            if ($hfAmountList.length > 0) {  //如果有数据行，则添加合计行
                totalRowHtml += '<tr id="trTotal">';

                totalRowHtml += '<td colspan="6" style="text-align:right;padding-right:5px;font-weight:bold;">合计</td>';

                totalRowHtml += '<td style="text-align:right;padding-right:5px;">';
                totalRowHtml += '<span style="font-weight:bold;" id="spanTotalAmount">' + total.toString() + '</span>';
                totalRowHtml += '<input type="hidden" name="hfTotalAmount" value="' + total.toString() + '" id="hfTotalAmount" />';
                totalRowHtml += '</td>';

                totalRowHtml += '</tr>';

                $srcTable.append($(totalRowHtml));
            }
        }

        function formEditListTable_caculateAmount(rowID) {
            var $txtQuantity = $("#txtQuantity_" + rowID);
            var $txtPrice = $("#hfPrice_" + rowID);
            var $spanDiscount = "";
            var sQuantity = $txtQuantity.val();
            var sPrice = $txtPrice.val();
            var amount = 0.00; //优惠前

            if (sQuantity == "") {
                sQuantity = "0";
            }
            if (sPrice == "") {
                sPrice = "0";
            }

            ////清除非数字字符；(会影响光标键输入，故不再使用，更改为判断如果为非数字，直接清空)
            //clearNoNum($txtQuantity[0]);
            //clearNoNum($txtPrice[0]);

            if (isNaN(sQuantity)) {
                alert("数量为无效数字！");
                $txtQuantity.val("");
                $txtQuantity.focus();
                return;
            }
            if (isNaN(sPrice)) {
                alert("单价为无效数字.");
                $txtPrice.val("");
                $txtPrice.focus();
                return;
            }
            if (parseFloat(sQuantity) > 100000 || parseFloat(sQuantity) < 0) {  //限制数量不能超过100000
                alert("数量不能小于0或超过100000.");
                $txtQuantity.val("");
                $txtQuantity.focus();
                return;
            }
            if (parseFloat(sPrice) > 100000 || parseFloat(sPrice) < 0) {  //单价不能超过100000
                alert("单价不能小于0或超过100000.");
                $txtPrice.val("");
                $txtPrice.focus();
                return;
            }

            if ($txtQuantity.hasClass("error")) {
                $txtQuantity.removeClass("error");
            }
            if ($txtPrice.hasClass("error")) {
                $txtPrice.removeClass("error");
            }

            amount = parseFloat(sQuantity) * parseFloat(sPrice);

            $("#hfAmount_" + rowID).val(amount.toString());
            $("#spanAmount_" + rowID).html(amount.toString());

            formEditListTable_setTotalAmount();
        }

        function formEditListTable_checkTableData() {

            var result = true;

            var dataRowCount = 0;
            var $srcTable = $("#srcTable");

            $srcTable.find("input[name=txtQuantity]").each(function () {
                dataRowCount++;
                var sQuantity = $(this).val();
                if ($.trim(sQuantity) == "" || $.trim(sQuantity) == "0") {
                    alert("数量不能为空或0！");
                    $(this).focus();
                    $(this).addClass("error");
                    result = false;
                    return;
                }
            });
            $srcTable.find("input[name=txtPrice]").each(function () {
                var sPrice = $(this).val();
                if ($.trim(sPrice) == "") {
                    alert("单价不能为空！");
                    $(this).focus();
                    $(this).addClass("error");
                    result = false;
                    return;
                }
            });

            if (dataRowCount == 0) {
                alert("礼品清单不能为空！");
                result = false;
            }

            return result;
        }

        function clearItems() {
            formEditListTable_clearRows();
        }

    </script>

     <style type="text/css">  
    .editTable .th{
        width:100px;
    }
    </style>

</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="wrapper" style="height:1%;overflow:hidden;">

<div class="editPageWrapper" style="width:700px;float:left;">

<div class="centerFormTitle">
   <h1><asp:Label ID="lblFormTitle" runat="server">结算</asp:Label></h1>
</div>

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th" style="font-weight:bold;text-align:left;">礼品清单</td>
</tr>
</table>
<div class="formEditListTableWrapper" style="min-height:223px;">
<table cellspacing="0" class="formEditListTable" id="srcTable" style="width:700px;margin-top:-1px;">
<thead>
<tr>
<td style="width:30px;text-align:center;">No.</td>
<%--<td style="width:70px;text-align:center;">代码</td>--%>
<td style="width:50px;text-align:center;">图片</td>
<td style="text-align:center;">礼品</td>
<td style="width:50px;text-align:center;">单位</td>
<td style="width:80px;text-align:center;">分值</td>
<td style="width:50px;text-align:center;">数量</td>
<td style="width:70px;text-align:center;">积分小计</td>
</tr>    
</thead>    
<tbody>
</tbody>
</table>

<table id="tbNoRecord" cellspacing="0" cellpadding="3" style="margin-top:-1px;width:100%;">
<tr>
<td style="text-align:center;height:190px;font-size:14px;">
    暂无数据
</td>
</tr>
</table>
</div>

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th" style="font-weight:bold;text-align:left;">填写收货信息</td>
</tr>
</table>
<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="th">(<span class="note mustfill">*</span>)收货人：</td>
<td>              
    <VACTL:TextBox ID="txtName" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="100px"
            CanBeNull="No"
            FieldName="收货人"
            MaxLength="10"
            />        
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)手机号：</td>
<td>
    <VACTL:TextBox ID="txtMobileNo" runat="server"
            EnableViewState="False"
		    CssClass="input"
            Width="100px"
            CanBeNull="No"
            FieldName="手机号"
            RequiredFieldType="Mobile"
            MaxLength="11" /> 
</td>
</tr>
<tr>
<td class="th">固定电话：</td>
<td>
    <VACTL:TextBox ID="txtPhone" runat="server"
            EnableViewState="False"
		    CssClass="input"
            Width="100px"
            CanBeNull="No"
            FieldName="固定电话"
            RequiredFieldType="txtPhone"
            MaxLength="20" /> 
</td>
</tr>
<tr>
<td class="th">所在地区：</td>
<td>
        <select id="province1" name="province1" onchange='javascript:provinceChange(this,document.getElementById("city1"),document.getElementById("zone1"));'></select>
    
        <select id="city1" name="city1" onchange='javascript:cityChange(this,document.getElementById("zone1"));'>
        <option value="">地级市</option>
        </select>
    
        <select id="zone1" name="zone1">
        <option value="">区、县级市、县</option>
        </select>
    
        <script language="javascript" type="text/javascript" src="/Scripts/utils/Citys.js"></script>                
        <script language="javascript" type="text/javascript" src="/Scripts/utils/CityOpr-hl.js"></script>
        <script type="text/javascript">
        
            <% if (!String.IsNullOrEmpty(base.memberInfo.Province_Name)) {%>
                setDefaultPlace("<% = base.memberInfo.Province_Name %>", "<% = base.memberInfo.City_Name %>", "<% = base.memberInfo.District_Name %>");
            <% } else {%>
                //setDefaultPlace("河南省", "郑州市", "二七区");
                setDefaultPlace("", "", "");
            <% }%>

            fillProvincObj(document.getElementById("province1"), document.getElementById("city1"), document.getElementById("zone1"));
        
        </script>
    
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)详细地址：</td>
<td>
      <VACTL:TextBox ID="txtAddress" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="358px"
            FieldName="地址"
            MaxLength="100"
            CanBeNull="No" />
</td>
</tr>

<tr>
<td colspan="2" class="footer">

    <input type="button" id="btnSubmit" class="btn" style="width:100px" onclick="save()" value="提交订单" />
    <input type="button" id="btnContinue" class="btn" style="width:120px" onclick="goShopping()" value="继续挑选礼品" />
    <input type="button" id="btnToShoppingCart" class="btn" style="width:110px" onclick="toShoppingCart()" value="返回礼品车" /> 
    <input type="button" id="btnCancel" class="btn" style="width:110px" onclick="cancel()" value="放弃" />    
   
    <VACTL:Hint ID="Hint1" runat="server" HintImageUrl="/admin/app_themes/default/images/control" />
    <VACTL:ValidationSummary ID="ValidationSummary1" runat="server"
            DisplayMode="List"
            EnableClientScript="true" />
    
    <!--注意：这个文件一定要放到页面底部，以便覆盖asp.net验证脚本中的同名函数-->
    <script type="text/javascript" src="/scripts/utils/aspnet_validator_extend.js"></script>
</td>
</tr>
</table>

</div><!--editPageWrapper.END-->

</div><!--"wrapper.END"-->


</form>
</body>
</html>

