﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="shoppingcart.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter.giftshop.shoppingcart" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--#include virtual="/modules/mycenter/include/css/edit.aspx"-->
    <!--#include virtual="/modules/mycenter/include/js/edit.aspx"-->     
    <script type="text/javascript">

        var itemArray = new Array();

        function goShopping() {
            window.location.href = "gift_list.aspx";
        }

        function settle() {
            window.location.href = "settle.aspx";
        }

        function clearShoppingCart() {
            JTongAlertConfirm("确定要清空礼品车吗？", function () {
                var storage = getStorage();
                var storageKey = getStorageKey();
                storage.removeItem(storageKey);
                clearItems();
                setTimeout("window.location.href = 'gift_list.aspx'",1000);
            });
        }
     
       //加载购物篮中的项；
       function loadShoppingCart() {
            var storage = getStorage();
            var storageKey = getStorageKey();
            var itemString = storage.getItem(storageKey);
            if (itemString != null) {
                itemArray = JSON.parse(itemString);
            }

            for (var i = 0; i < itemArray.length; i++) {
                var item = itemArray[i];

                var itemType = item.itemType;
                var itemCategory = item.itemCategory;
                var itemCode = item.itemCode;
                var itemName = item.itemName;
                var unit = item.unit;
                var price = item.price;
                var quantity = item.quantity;
                var itemPic = item.itemPic;
                
                formEditListTable_addRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity, itemPic);
            }
       }

       function changeQuantity(operator, rowNumber)
       {
           var $txtQuantity = $("#txtQuantity_" + rowNumber);
           var itemCode = $("#hfItemCode_" + rowNumber).val();
           var iCurrQuantity = parseFloat($txtQuantity.val());
           if (operator == "+") { //加菜
               iCurrQuantity++;
           } else if (operator == "-") { //减菜
               iCurrQuantity--;
               if (iCurrQuantity <= 0) { iCurrQuantity = 0; }
           }
           $txtQuantity.val(iCurrQuantity.toString()); //数量

           var exists = false;
           for (var i = 0; i < itemArray.length; i++) {
               var item = itemArray[i];
               if (itemCode == item.itemCode) { //如果已存在，则更新数量
                   if (iCurrQuantity > 0) { //更新数量
                       item.quantity = iCurrQuantity.toString();
                       formEditListTable_caculateAmount(rowNumber);
                   } else { //从数组中移除
                       itemArray.splice(i, 1);
                       formEditListTable_removeRow(rowNumber);
                   }
                   break;
               }
           }

           var itemString = JSON.stringify(itemArray);
           var storage = getStorage();
           storage.setItem(getStorageKey(), itemString);
       }

        function getStorageKey() {
            return "JDingMember_GiftShoppingCart";
        }

        function getStorage() {
            return window.localStorage;
        }

        $(function () {
            loadShoppingCart();
    });

    </script>
    <script type="text/javascript">

        var formEditListTable_RowCounter = 0;

        function formEditListTable_addRow(itemType, itemCategory, itemCode, itemName, unit, price, quantity, itemPic) {

            formEditListTable_RowCounter++;

            var $srcTable = $("#srcTable");
            var srcTableID = $srcTable.attr("id");

            //如果找到相同数据行，并进行了数量的合并，则不再添加新的行；
            if (formEditListTable_dataMerge($srcTable, itemCode, quantity)) {
                return;
            }

            var rowHtml = '';
            var $row = null;
            var rowCnt = $srcTable[0].rows.length;
            var rowID = formEditListTable_RowCounter;

            itemName = itemName.replace(/'/g, "‘");
            unit = unit.replace(/'/g, "‘");

            var amount = (price * quantity).toString(); //优惠前金额

            rowHtml += '<tr id="tr_' + rowID + '">';

            rowHtml += '<td style="text-align:center;" class="tdRowNo"></td>';

            rowHtml += '<td style="text-align:center;">';
            if (itemPic != '') {
                rowHtml += '<img src="/resources/pics/gift/s/'+ itemPic +'" width="60" height="40" />';
            }
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:left;padding-left:5px;">';
            rowHtml += '<span>' + itemName + '</span>';
            rowHtml += '<input type="hidden" name="hfItemType" value="' + itemType + '" />';
            rowHtml += '<input type="hidden" name="hfItemCategory" value="' + itemCategory + '" />';
            rowHtml += '<input type="hidden" name="hfItemName" value="' + itemName + '" />';
            rowHtml += '<input type="hidden" name="hfItemCode" value="' + itemCode + '" id="hfItemCode_' + rowID + '" />';
            rowHtml += '<input type="hidden" name="hfUnit" value="' + unit + '" />';
            rowHtml += '<input type="hidden" name="hfPrice" value="' + price + '" id="hfPrice_' + rowID + '" />';
            rowHtml += '<input type="hidden" name="hfAmount" value="' + amount + '" id="hfAmount_' + rowID + '" />';
            rowHtml += '<input type="hidden" name="hfItemPic" value="' + itemPic + '" id="hfItemPic_' + rowID + '" />';
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:center;">';
            rowHtml += '<span>' + unit + '</span>';
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:center;">';
            rowHtml += '<span>' + price + '</span>';
            rowHtml += '</td>';

            rowHtml += '<td><input type="text" name="txtQuantity" value="' + quantity + '" id="txtQuantity_' + rowID + '" onkeyup="formEditListTable_caculateAmount(' + rowID + ')" readonly="readonly" /></td>';
            
            rowHtml += '<td style="text-align:left;">';
            rowHtml += '<input type="button" value="+" onclick="changeQuantity(\'+\',' + rowID + ');" class="oprBtn" />';
            rowHtml += ' ';
            rowHtml += '<input type="button" value="-" onclick="changeQuantity(\'-\',' + rowID + ');" class="oprBtn" />';
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:right;padding-right:5px;">';
            rowHtml += '<span style="font-weight:bold;" id="spanAmount_' + rowID + '">' + amount + '</span>';
            rowHtml += '</td>';

            rowHtml += '<td style="text-align:center;"><a href="javascript:formEditListTable_removeRow(' + rowID + ')">删除</a></td>';
            
            rowHtml += '</tr>';

            $row = $(rowHtml);
            $srcTable.append($row);

            formEditListTable_setRowNo();
            formEditListTable_setTotalAmount();
            formEditListTable_hideTbNoRecord();
        }

        function formEditListTable_setTotalAmount() {
            var $srcTable = $("#srcTable");
            $srcTable.find("#trTotal").remove();

            var totalRowHtml = '';
            var total = 0;
            var $hfAmountList = $srcTable.find("input[name=hfAmount]");

            $hfAmountList.each(function () {
                total += parseFloat($(this).val());
            });
            
            if ($hfAmountList.length > 0) {  //如果有数据行，则添加合计行
                totalRowHtml += '<tr id="trTotal">';

                totalRowHtml += '<td colspan="7" style="text-align:right;padding-right:5px;font-weight:bold;">合计</td>';

                totalRowHtml += '<td style="text-align:right;padding-right:5px;">';
                totalRowHtml += '<span style="font-weight:bold;" id="spanTotalAmount">' + total.toString() + '</span>';
                totalRowHtml += '<input type="hidden" name="hfTotalAmount" value="' + total.toString() + '" id="hfTotalAmount" />';
                totalRowHtml += '</td>';

                totalRowHtml += '<td></td>';

                totalRowHtml += '</tr>';

                $srcTable.append($(totalRowHtml));
            }
        }

        function formEditListTable_caculateAmount(rowID) {
            var $txtQuantity = $("#txtQuantity_" + rowID);
            var $txtPrice = $("#hfPrice_" + rowID);
            var $spanDiscount = "";
            var sQuantity = $txtQuantity.val();
            var sPrice = $txtPrice.val();
            var amount = 0.00; //优惠前

            if (sQuantity == "") {
                sQuantity = "0";
            }
            if (sPrice == "") {
                sPrice = "0";
            }

            ////清除非数字字符；(会影响光标键输入，故不再使用，更改为判断如果为非数字，直接清空)
            //clearNoNum($txtQuantity[0]);
            //clearNoNum($txtPrice[0]);

            if (isNaN(sQuantity)) {
                alert("数量为无效数字！");
                $txtQuantity.val("");
                $txtQuantity.focus();
                return;
            }
            if (isNaN(sPrice)) {
                alert("单价为无效数字.");
                $txtPrice.val("");
                $txtPrice.focus();
                return;
            }
            if (parseFloat(sQuantity) > 100000 || parseFloat(sQuantity) < 0) {  //限制数量不能超过100000
                alert("数量不能小于0或超过100000.");
                $txtQuantity.val("");
                $txtQuantity.focus();
                return;
            }
            if (parseFloat(sPrice) > 100000 || parseFloat(sPrice) < 0) {  //单价不能超过100000
                alert("单价不能小于0或超过100000.");
                $txtPrice.val("");
                $txtPrice.focus();
                return;
            }

            if ($txtQuantity.hasClass("error")) {
                $txtQuantity.removeClass("error");
            }
            if ($txtPrice.hasClass("error")) {
                $txtPrice.removeClass("error");
            }

            amount = parseFloat(sQuantity) * parseFloat(sPrice);

            $("#hfAmount_" + rowID).val(amount.toString());
            $("#spanAmount_" + rowID).html(amount.toString());

            formEditListTable_setTotalAmount();
        }

        function formEditListTable_checkTableData() {

            var result = true;

            var dataRowCount = 0;
            var $srcTable = $("#srcTable");

            $srcTable.find("input[name=txtQuantity]").each(function () {
                dataRowCount++;
                var sQuantity = $(this).val();
                if ($.trim(sQuantity) == "" || $.trim(sQuantity) == "0") {
                    alert("数量不能为空或0！");
                    $(this).focus();
                    $(this).addClass("error");
                    result = false;
                    return;
                }
            });
            $srcTable.find("input[name=txtPrice]").each(function () {
                var sPrice = $(this).val();
                if ($.trim(sPrice) == "") {
                    alert("单价不能为空！");
                    $(this).focus();
                    $(this).addClass("error");
                    result = false;
                    return;
                }
            });

            if (dataRowCount == 0) {
                alert("消费清单不能为空！");
                result = false;
            }

            return result;
        }

        function clearItems() {
            formEditListTable_clearRows();
        }

    </script>

     <style type="text/css">  
    .editTable .th{
        width:100px;
    }
    </style>

</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="wrapper" style="height:1%;overflow:hidden;">

<div class="editPageWrapper" style="width:700px;float:left;">

<div class="centerFormTitle">
   <h1><asp:Label ID="lblFormTitle" runat="server">礼品车</asp:Label></h1>
</div>

<div class="formEditListTableWrapper" style="min-height:223px;">
<table cellspacing="0" class="formEditListTable" id="srcTable" style="width:700px;margin-top:-1px;">
<thead>
<tr>
<td style="width:30px;text-align:center;">No.</td>
<%--<td style="width:70px;text-align:center;">代码</td>--%>
<td style="width:50px;text-align:center;">图片</td>
<td style="width:220px;text-align:center;">礼品</td>
<td style="width:50px;text-align:center;">单位</td>
<td style="width:80px;text-align:center;">分值</td>
<td style="width:50px;text-align:center;">数量</td>
<td style="width:50px;text-align:center;">操作</td>
<td style="width:70px;text-align:center;">积分小计</td>
<td style="text-align:center;">操作</td>
</tr>    
</thead>    
<tbody>
</tbody>
</table>

<table id="tbNoRecord" cellspacing="0" cellpadding="3" style="margin-top:-1px;width:100%;">
<tr>
<td style="text-align:center;height:190px;font-size:14px;">
    暂无数据
</td>
</tr>
</table>
</div>

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td class="footer">
  
    <input type="button" id="btnContinue" class="btn" style="width:120px" onclick="goShopping()" value="继续挑选礼品" />
    <input type="button" id="btnSettle" class="btn" style="width:130px" onclick="settle()" value="挑选完毕，结算" />    
    <input type="button" id="btnClear" class="btn" style="width:110px" onclick="clearShoppingCart()" value="清空礼品车" />    
</td>
</tr>
</table>


</div><!--editPageWrapper.END-->

</div><!--"wrapper.END"-->


</form>
</body>
</html>

