﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="login.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter.login" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><% = base.webSiteConfig.WebSiteName %></title>
<link rel="stylesheet" type="text/css" href="/admin/app_themes/default/css/main.css" />
<link rel="stylesheet" type="text/css" href="app_themes/default/css/pages/login.css" />
<link rel="shortcut icon" type="image/x-icon" href="/logo.ico" />
<script type="text/javascript" src="/scripts/jquery/jquery-1.9.1.min.js"></script>
<script type="text/javascript">

    function setLayout() {
        var windowHeight = $(window).outerHeight();
        var mainHeight = $("#main").outerHeight();
        var mainTop = (windowHeight - mainHeight) / 2 - 20;
        $("#main").css("top", mainTop);
        $("#wrapper").height(windowHeight);
    }

    $(function () {

        $("#txtMobileNo").focus();

        $("#txtMobileNo").keydown(function (e) {
            if (e.keyCode == 13) {
                $("#txtPassword").focus();
            }
        });

        $("#txtPassword").keydown(function (e) {
            if (e.keyCode == 13) {
                $("#btnSubmit").click();
                return false;
            }
        });

        setLayout();

        //绑定窗体resize事件；
        $(window).resize(function () {
            setLayout();
        });
    });

</script>      
</head>
<body>   
<form id="form1" runat="server">
<div id="wrapper">
<%--<div id="toolbar">
    <ul id="themeList">
        <li class="default" onclick="setTheme('default')"></li>
        <li class="orange" onclick="setTheme('orange')"></li>
    </ul>
</div>--%>

<a href="http://member.jdingsoft.com" id="logo">
    <img src="/admin/images/logo.png" alt="金鼎会员通" />
</a>

<div id="main">    
    
    <p style="border:solid 0px red;text-align:center;line-height:70px;">
         <span style="font-size:30px;font-family:微软雅黑;color:#ffffff;text-shadow:1px 1px 1px #000;"><asp:Label ID="lblCompanyName" runat="server"></asp:Label></span>
    </p>    
    
    <div id="loginbox">
    
    <p style="left:365px;top:96px;border:solid 0px red;position:absolute;">
        <asp:TextBox ID="txtMobileNo" runat="server" 
             CssClass="input"
             Width="160px" />
        <asp:RequiredFieldValidator id="rfvUserID" runat="server" 
	         ErrorMessage="手机号不能为空！" 
	         ControlToValidate="txtMobileNo" 
	         Display="None" />	   
    </p>

    <p style="left:365px;top:159px;border:solid 0px red;position:absolute;">
        <asp:TextBox ID="txtPassword" runat="server" 
             CssClass="input" 
             TextMode="Password"            
             Width="160px" />
        <asp:RequiredFieldValidator id="rfvPassword" runat="server" 
	         ErrorMessage="密码不能为空！" 
	         ControlToValidate="txtPassword" 	         
	         Display="None" />
    </p>

    <p style="left:272px;top:220px;border:solid 0px red;position:absolute;">
        <asp:Button ID="btnSubmit" runat="server"
             Text=" 登录 "     
             CssClass="btn"        
             Width="150px"
             OnClick="btnSubmit_Click"
             />
        <asp:Label ID="lblLoginInfo" runat="server" ForeColor="Red"></asp:Label>
        <asp:ValidationSummary id="ValidationSummary1"  runat="server" 
	         ShowMessageBox="True" 
	         ShowSummary="False" />   
    </p>

    <p style="left:570px;top:88px;border:solid 0px red;position:absolute;">
        <a href="/modules/mycentermobile/login.aspx"><asp:Image ID="imgQRCode" runat="server" Width="160px" height="160px" /></a>
        <br />
        <span class="note">扫一扫，手机登录更方便.</span> 
    </p>

    <p style="left:292px;top:330px;border:solid 0px red;position:absolute;">
        <span class="note">注：初始密码为手机号后6位.</span> 
    </p>

    <p style="left:292px;top:330px;border:solid 0px red;position:absolute;color:#808080;text-align:right;width:390px;">
         版本号：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftVesion %>-<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLevelName %>
         <% if (VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseType == VA.Modules.JDingMember.Core.Enums.SoftLicenseType.Trial)
            {
                Response.Write("<span style='color:red;'>(" + VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseTypeName + ")</span>");
            }       
         %>
    </p>

    </div>

    <div id="copyright">
        <p>(C)<% = DateTime.Now.Year.ToString() %> <a href="<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %>" target="_blank"><span style="color:#ffffff"><% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Company %></span></a>. All rights reserved</p>
    </div>

</div>
</div><!--wrapper.END-->
</form>   
</body>  
</html>