using System;
using System.Xml;
using System.Collections;
using System.Configuration;

using VA.Modules.JDingMember.Core.Config;

namespace VA.Modules.JDingMember.MyCenterMobile.WebBase
{
    /// <summary>
    /// BasePage ժҪ˵
    /// </summary>
    public class BasePage_Admin : BasePage
    {
        string memberID = "";
        protected string MemberID
        {
            get { return memberID; }
        }

        string memberName = "";
        protected string MemberName
        {
            get { return memberName; }
        }

        #region OnInit

        protected override void OnInit(System.EventArgs e)
        {

#if Debug
            this.memberID = "0000000001";
            this.memberName = "";
#else
            if (Session["MemberInfo"] == null)
            {
                Response.Redirect("/modules/mycentermobile/login.aspx", true);
                return;
            }

            VA.Modules.JDingMember.Core.Model.MemberBasicInfo memberInfo = (VA.Modules.JDingMember.Core.Model.MemberBasicInfo)Session["MemberInfo"];
            this.memberID = memberInfo.MemberID;
            this.memberName = memberInfo.MemberName;
#endif

            base.OnInit(e);
        }

        #endregion 
    }
}
