﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="announcement_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.activity.announcement_list" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title>活动通知</title>   
<!--#include virtual="../include/css/editlist.aspx"-->     
<!--#include virtual="../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        initListPage(true);
    };

    function doSearch() {
        var $txtBeginDate = $("#txtBeginDate");
        var $txtEndDate = $("#txtEndDate");
        var beginDate = $txtBeginDate.val();
        var endDate = $txtEndDate.val();
        window.location.href = pageName + "?begindate=" + beginDate + "&endate=" + endDate;
    }
</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"--> 
<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>活动通知</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
            <a href="javascript:search();" class="icon"><i class="iconfont">&#xe610;</i></a>
        </div>          
    </div>     

    <div id="dataBar">
        
        <div class="list-group" id="dataBody" style="margin-bottom:0px;"></div>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <a class="list-group-item">
                    <p class="noRecord">暂无数据</p>
                </a>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <a class="list-group-item" href="announcement_view.aspx?RID=<%# Eval("RID")%>">
                    <div class="seqContainer"><h3 class="seqNum"><%# (base.currPage-1)*base.PageSize +Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# Eval("Title")%></h4>
                        <p class="list-group-item-text">发布时间：<%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Release_Date"))%></p>
                    </div>
                </a>
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
        
        <div class="searchPanel">
            <div class="searchFieldContainer">

            <label>起始日期：</label>
            <input type="date" id="txtBeginDate" value=<% = Request["begindate"] %> />
        
            <br /><br />

            <label>截止日期：</label>
            <input type="date" id="txtEndDate" value=<% = Request["enddate"] %> />

            </div>
        </div>
                     
    </div><!--dataBar.END-->        

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 