﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.giftshop.gift_list" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title>礼品兑换</title>   
<!--#include virtual="../include/css/editlist.aspx"-->     
<link href="../app_themes/default/css/shoppingcart.css" type="text/css" rel="Stylesheet" /> 
<!--#include virtual="../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        initListPage(true);
        loadShoppingCart();
    };

    var itemArray = new Array();

    //放入购物车
    function addToCart(key) {
        var itemCode = $("#hfItemCode_" + key).val();
        var exists = false;
        for (var i = 0; i < itemArray.length; i++) {
            var item = itemArray[i];
            if (itemCode == item.itemCode) { //如果已存在，则更新数量
                exists = true;
                item.quantity = item.quantity + 1;
                break;
            }
        }

        if (!exists) {
            addItem_(key);
        }

        updateShoppingCartInfo();

        var itemString = JSON.stringify(itemArray);
        var storage = getStorage();
        storage.setItem(getStorageKey(), itemString);

        JTongAlert_AutoClose("已加入礼品车.", 1);

        //event.stopPropagation();  //阻止事件冒泡，避免行被选中；        
    }

    function addItem_(key) {
        var item = new Object();
        item.itemType = $("#hfItemType_" + key).val();
        item.itemCategory = $("#hfItemCategory_" + key).val();
        item.itemCode = $("#hfItemCode_" + key).val();
        item.itemName = $("#hfItemName_" + key).val();
        item.unit = $("#hfUnit_" + key).val();
        item.price = $("#hfPrice_" + key).val();
        item.itemPic = $("#hfItemPic_" + key).val();
        item.quantity = 1;
        itemArray.push(item);
    }

    function updateShoppingCartInfo() {
        $("#productNum").html(itemArray.length);
    }

    //加载购物篮中的项；
    function loadShoppingCart() {
        var storage = getStorage();
        var storageKey = getStorageKey();
        var itemString = storage.getItem(storageKey);
        if (itemString != null) {
            itemArray = JSON.parse(itemString);
        }
        updateShoppingCartInfo();
    }

    function getStorageKey() {
        return "JDingMember_GiftShoppingCart";
    }

    function getStorage() {
        return window.localStorage;
    }  
</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"-->  
<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>礼品兑换</h1>
        <div class="leftToolBar">            
            <a href="../default.aspx" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
         <%--   <a href="javascript:search();" class="icon"><i class="iconfont">&#xe610;</i></a>--%>
        </div>          
    </div>     

    <div id="noteBar">
        <p>
            <a href="shoppingcart.aspx" class="shoppingCart"> <i class="iconfont" style="font-size:20px;">&#xe60b;</i> 礼品车 <span id="productNum" class="productNum">0</span></a>
        </p>
    </div>   

    <div id="dataBar">
        
        <ul class="productList" id="dataBody" style="margin-bottom:0px;"></ul>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <li class="item">
                    <p class="noRecord">暂无数据</p>
                </li>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <li class="item">       
                    <div class="seqContainer"><h3 class="seqNum"><%# (base.currPage-1)*base.PageSize + Container.ItemIndex + 1 %></h3></div>
                    <a href="gift_view.aspx?shopgiftid=<%# Eval("ShopGiftID")%>" style="display:block; margin-left:41px;"><%# ShowItemImage(Eval("Item_Pic").ToString().Trim(), "100px", "100px")%></a>
                    <h3><%# Eval("Item_Name")%></h3>
                    <div class="stock">库存：<%# Convert.ToInt32(Eval("Stock_Count")).ToString() %></div>
	                <div class="bottom">
                        <div class="price"><%# Eval("Cost_Points_OnShop")%></span> 积分</div>                        
		                <div class="actBar">
                            <a href="javascript:addToCart('<%# Eval("ShopGiftID")%>')"> <i class="iconfont" style="font-size:20px;">&#xe612;</i> <%--<img src="../icons/shoppingcart.png" alt="点击加入礼品车" />--%></a>
                        </div>
	                </div>  
                    
                    <input type="hidden" name="hfItemType" id='hfItemType_<%# Eval("ShopGiftID")%>' value="<%# Eval("Item_Type")%>" />
                    <input type="hidden" name="hfItemCategory" id='hfItemCategory_<%# Eval("ShopGiftID")%>' value="<%# Eval("Category_Code")%>" />
                    <input type="hidden" name="hfItemCode" id='hfItemCode_<%# Eval("ShopGiftID")%>' value="<%# Eval("Item_Code")%>"/>
                    <input type="hidden" name="hfItemName" id='hfItemName_<%# Eval("ShopGiftID")%>' value="<%# Eval("Item_Name")%>" />
                    <input type="hidden" name="hfUnit" id='hfUnit_<%# Eval("ShopGiftID")%>' value="<%# Eval("Unit")%>" />
                    <input type="hidden" name="hfPrice" id='hfPrice_<%# Eval("ShopGiftID")%>' value="<%# Eval("Cost_Points_OnShop")%>" />                    
                    <input type="hidden" name="hfItemPic" id='hfItemPic_<%# Eval("ShopGiftID")%>' value="<%# Eval("Item_Pic")%>" />                                               
                </li>		
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
        
        <div class="searchPanel">
            <div class="searchFieldContainer">

            <%--<label>起始日期：</label>
            <input type="date" id="txtBeginDate" value=<% = Request["begindate"] %> />
        
            <br /><br />

            <label>截止日期：</label>
            <input type="date" id="txtEndDate" value=<% = Request["enddate"] %> />--%>
            
            </div>

        </div>

    </div><!--dataBar.END-->

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 