﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_view.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.giftshop.gift_view" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!--#include virtual="../include/metas.aspx"-->
<title></title>
<!--#include virtual="../include/css/edit.aspx"-->
<link href="../app_themes/default/css/shoppingcart.css" type="text/css" rel="Stylesheet" /> 
<!--#include virtual="../include/js/edit.aspx"-->     
<script type="text/javascript">

    var itemArray = new Array();

    //放入购物车
    function addToCart(key) {
        var itemCode = $("#hfItemCode").val();
        var exists = false;
        for (var i = 0; i < itemArray.length; i++) {
            var item = itemArray[i];
            if (itemCode == item.itemCode) { //如果已存在，则更新数量
                exists = true;
                item.quantity = item.quantity + 1;
                break;
            }
        }

        if (!exists) {
            addItem_(key);
        }

        updateShoppingCartInfo();

        var itemString = JSON.stringify(itemArray);
        var storage = getStorage();
        storage.setItem(getStorageKey(), itemString);

        JTongAlert_AutoClose("已加入礼品车.", 1);

        //event.stopPropagation();  //阻止事件冒泡，避免行被选中；
    }

    function addItem_(key) {
        var item = new Object();
        item.itemType = $("#hfItemType").val();
        item.itemCategory = $("#hfItemCategory").val();
        item.itemCode = $("#hfItemCode").val();
        item.itemName = $("#hfItemName").val();
        item.unit = $("#hfUnit").val();
        item.price = $("#hfPrice").val();
        item.itemPic = $("#hfItemPic").val();
        item.quantity = 1;
        itemArray.push(item);
    }

    function updateShoppingCartInfo() {
        $("#productNum").html(itemArray.length);
    }

    //加载购物篮中的项；
    function loadShoppingCart() {
        var storage = getStorage();
        var storageKey = getStorageKey();
        var itemString = storage.getItem(storageKey);
        if (itemString != null) {
            itemArray = JSON.parse(itemString);
        }
        updateShoppingCartInfo();
    }

    function getStorageKey() {
        return "JDingMember_GiftShoppingCart";
    }

    function getStorage() {
        return window.localStorage;
    }

    $(function () {
        loadShoppingCart();
        initListPage();
    });

</script>

<style type="text/css">
.title h2{
    padding:10px;
    line-height:170%;
    font-size:16px;
}
.price h2{
    padding:10px;
    line-height:170%;
    font-size:16px;
    border-bottom:1px solid #dddddd;
}
.pic {
    padding:0px;
    text-align:center;    
}
.desc{
    padding:10px;
    padding-top:0px;
    line-height:170%;
    font-size:16px;
}
</style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>礼品详情</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
         <%--   <a href="javascript:search();" class="icon"><i class="iconfont">&#xe610;</i></a>--%>
        </div>          
    </div>   

    <div id="noteBar">
        <p>
            <a href="shoppingcart.aspx" class="shoppingCart">礼品车 <span id="productNum" class="productNum">0</span></a>
        </p>
    </div>   

    <div id="dataBar">

        <div class="title">
            <h2><% = base.giftDictInfo.Item_Name %></h2>
        </div>        

        <div class="pic">
            <img src="/resources/pics/gift/m/<% = base.giftDictInfo.Item_Pic %>" />
        </div>

        <div class="price">
            <h2>分值： <% = base.giftInfo.Cost_Points.ToString() %> &nbsp;&nbsp;&nbsp; 库存： <% = Convert.ToInt32(base.giftInfo.Stock_Count).ToString() %></h2>
        </div>

        <div class="desc">
            <% = base.giftDictInfo.Item_Desc %>
        </div>

        <input type="hidden" name="hfItemType" id="hfItemType" value="<% = base.giftDictInfo.Item_Type%>" />
        <input type="hidden" name="hfItemCategory" id="hfItemCategory" value="<% = base.giftDictInfo.Category_Code%>" />
        <input type="hidden" name="hfItemCode" id="hfItemCode" value="<% = base.giftDictInfo.Item_Code %>" />
        <input type="hidden" name="hfItemName" id="hfItemName" value="<% = base.giftDictInfo.Item_Name%>" />
        <input type="hidden" name="hfUnit" id="hfUnit" value="<% = base.giftDictInfo.Unit %>" />
        <input type="hidden" name="hfPrice" id="hfPrice" value="<% = base.giftInfo.Cost_Points.ToString("")%>" />
        <input type="hidden" name="hfItemPic" id='hfItemPic' value="<% = base.giftDictInfo.Item_Pic%>" />
        
    </div><!--dataBar.END-->

    <div id="bottomToolBar" style="padding-bottom:3px;">
        <input type="button" id="btnContinue" class="btn" style="width:120px" onclick="addToCart()" value="加入礼品车" />
        <input type="button" id="btnSettle" class="btn" style="width:130px" onclick="window.history.back()" value="返回" />                
    </div>

</div><!--"pageWrapper.END"-->


</form>
</body>
</html>

