﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="login.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.login" %>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="include/metas.aspx"-->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><% = base.webSiteConfig.WebSiteName %></title>
<link rel="stylesheet" type="text/css" href="app_themes/default/css/basic.css" />
<link rel="stylesheet" type="text/css" href="app_themes/default/css/main.css" />
<link rel="stylesheet" type="text/css" href="app_themes/default/css/pages/login.css?v=0.2" />
<link rel="shortcut icon" type="image/x-icon" href="/logo.ico" />
<script type="text/javascript" src="/scripts/jquery/jquery-1.9.1.min.js"></script>
<script type="text/javascript">

    function setLayout() {
        var windowHeight = $(window).outerHeight();
        var mainHeight = $("#main").outerHeight();
        var mainTop = (windowHeight - mainHeight) / 2 - 60;
        $("#wrapper").height(windowHeight);
        $("#main").css("top", mainTop);
        $("#title").css("top", mainTop);        
    }

    $(function () {

        $("#txtMobileNo").focus();

        $("#txtMobileNo").keydown(function (e) {
            if (e.keyCode == 13) {
                $("#txtPassword").focus();
            }
        });

        $("#txtPassword").keydown(function (e) {
            if (e.keyCode == 13) {
                $("#btnSubmit").click();
                return false;
            }
        });

        setLayout();

        //绑定窗体resize事件；
        $(window).resize(function () {
            setLayout();
        });
    });

</script>      
</head>
<body>   
<form id="form1" runat="server">
<div id="wrapper">
    <div id="title" class="title"><h3><asp:Label ID="lblCompanyName" runat="server"></asp:Label></h3></div>
<div id="main">            
    <div class="loginbox">
        <p style="left:15px;top:5px;border:solid 0px red;position:absolute;"><span style="font-size:18px;font-family:微软雅黑;">会员自助平台登录</span></p>    

        <p style="left:15px;top:53px;border:solid 0px red;position:absolute;">
         
            <span style="display:block;margin-bottom:3px;">手机号：</span>
            <asp:TextBox ID="txtMobileNo" runat="server" 
                 CssClass="input"
                 Width="240px" />
            <asp:RequiredFieldValidator id="rfvUserID" runat="server" 
	             ErrorMessage="手机号不能为空！" 
	             ControlToValidate="txtMobileNo" 
	             Display="None" />	  
        </p>

        <p style="left:15px;top:125px;border:solid 0px red;position:absolute;">
            <span style="display:block;margin-bottom:3px;">密码：</span>
            <asp:TextBox ID="txtPassword" runat="server" 
                 CssClass="input"
                 TextMode="Password"
                 Width="240px" />
            <asp:RequiredFieldValidator id="rfvPassword" runat="server" 
	             ErrorMessage="密码错误." 
	             ControlToValidate="txtPassword" 	         
	             Display="None" />
        </p>

        <p style="left:15px;top:200px;border:solid 0px red;position:absolute;">
            <asp:Button ID="btnSubmit" runat="server"
                 Text=" 登录 "     
                 CssClass="btn"        
                 Width="240px"
                 height="40px"
                 OnClick="btnSubmit_Click"
                 />
            <span style="display:block;margin-top:10px;font-size:12px;">
            <asp:Label ID="lblLoginInfo" runat="server" ForeColor="Red"></asp:Label>
            </span>
            <asp:ValidationSummary id="ValidationSummary1"  runat="server" 
	             ShowMessageBox="True" 
	             ShowSummary="False" />   
        </p>

    </div>    

    <%--<div class="copyright">
        <p>(C)<% = DateTime.Now.Year.ToString() %> <a href="<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %>" target="_blank"><span style="color:#ffffff"><% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Company %></span></a>.</p>
    </div>--%>

</div>
</div>
</form>   
</body>  
</html>