﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_chargeitem_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.memberinfo.member_chargeitem_list" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title>受赠项目</title>   
<!--#include virtual="../include/css/editlist.aspx"-->     
<!--#include virtual="../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        initListPage(true);
    };
   
    function doSearch() {
        var $txtBeginDate = $("#txtBeginDate");
        var $txtEndDate = $("#txtEndDate");
        var beginDate = $txtBeginDate.val();
        var endDate = $txtEndDate.val();
        window.location.href = pageName + "?begindate="+ beginDate +"&endate=" + endDate;
    }

    function refresh1() {
        layer.closeAll();
    }

</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"--> 
<div id="pageWrapper">    

    <div id="headerBar">        
        <h1>受赠项目</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
            <a href="javascript:search();" class="icon"><i class="iconfont">&#xe610;</i></a>
        </div>          
    </div>     
    
    <div id="dataBar">
        
        <div class="list-group" id="dataBody" style="margin-bottom:0px;"></div>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <a class="list-group-item">
                    <p class="noRecord">暂无数据</p>
                </a>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <a class="list-group-item" href="member_chargeitem_bedonated_list.aspx?itemcode=<%# Eval("Item_Code")%>">
                    <div class="seqContainer"><h3 class="seqNum"><%# (base.currPage-1)*base.PageSize +Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# Eval("Item_Name")%></h4>
                        <p class="list-group-item-text">项目代码：<%# Eval("Item_Code")%></p>
                        <p class="list-group-item-text">项目类型：<%# VA.Modules.JDingMember.Core.Enums.ChargeItemTypeConverter.Convert_Value_ToText(Eval("Item_Type").ToString(), true)%></p>
                        <p class="list-group-item-text">受赠数量：<%# Eval("Quantity")%></p>
                        <p class="list-group-item-text">已消费数量：<%# Eval("Consumed_Quantity")%></p>
                        <p class="list-group-item-text">剩余数量：<%# Convert.ToDecimal(Eval("Quantity")) - Convert.ToDecimal(Eval("Consumed_Quantity")) %></p>
                    </div>
                </a>
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
        
        <div class="searchPanel">
            <div class="searchFieldContainer">

            <label>起始日期：</label>
            <input type="date" id="txtBeginDate" value=<% = Request["begindate"] %> />
        
            <br /><br />

            <label>截止日期：</label>
            <input type="date" id="txtEndDate" value=<% = Request["enddate"] %> />

            </div>
        </div>
                     
    </div><!--dataBar.END-->                 

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 