﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_consume_detail.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.memberinfo.member_consume_detail" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title>消费明细</title>   
<!--#include virtual="../include/css/editlist.aspx"-->     
<!--#include virtual="../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        initListPage(true);
    };

</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"--> 
<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>消费明细</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
        </div>          
    </div>     

    <div id="dataBar">
        
        <ul class="list-group" id="dataBody" style="margin-bottom:0px;"></ul>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <li class="list-group-item">
                    <p class="noRecord">暂无数据</p>
                </li>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <li class="list-group-item">
                    <div class="seqContainer"><h3 class="seqNum"><%# Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# Eval("Item_Name")%></h4>
                        <p class="list-group-item-text">项目代码：<%# Eval("Item_Code")%></p>
                        <p class="list-group-item-text">单位：<%# Eval("Unit")%></p>
                        <p class="list-group-item-text">单价：<%# Eval("Price")%></p>
                        <p class="list-group-item-text">数量：<%# Eval("Quantity")%></p>
                        <p class="list-group-item-text">总额：<%# Eval("ItemCosts")%></p>
                        <p class="list-group-item-text">优惠：<%# Eval("ItemDiscounts")%></p>
                        <p class="list-group-item-text">实收：<%# Eval("ItemCharges")%></p>
                    </div>
                </li>
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
                     
    </div>                       

    <div id="statBar">
        共 <span style="font-weight:bold;"><%=base.RdCnt%></span> 条记录&nbsp;&nbsp;
    </div>    

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 