﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_consume_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.memberinfo.member_consume_list" %>
<%@ Import Namespace="System.Data"%>
<script language="c#" runat="server">
    public string ShowConsumeInfo(string bizNo,
        string chargeBizType,
        string costs,
        string discounts,
        string payAmount,
        string payType,
        string pointCardName,
        string pointCardConsumeQuantity,
        string operatorCode,
        string shopName) 
    {
        StringBuilder sb = new StringBuilder();        
        sb.AppendLine("<p class=\"list-group-item-text\">消费类型：" + VA.Modules.JDingMember.Core.Enums.ConsumeChargeConverter.ConsumeBizTypeConverter.Convert_Value_ToText(chargeBizType, true) + "</p>");        
        
        if (chargeBizType == VA.Modules.JDingMember.Core.Enums.ConsumeCharge.ChargeBizType.NormalConsumeCharge.ToString("d") ||
            chargeBizType == VA.Modules.JDingMember.Core.Enums.ConsumeCharge.ChargeBizType.SimpleConsumeCharge.ToString("d"))
        {             
            sb.AppendLine("<p class=\"list-group-item-text\">消费总额：" + costs +"</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">优惠金额：" + discounts +"</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">实付金额：" + payAmount + "</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">支付方式：" + payType +"</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">收&nbsp;款&nbsp;员："+ operatorCode +"</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">消费门店："+ shopName +"</p>");
        }
        else if (chargeBizType == VA.Modules.JDingMember.Core.Enums.ConsumeCharge.ChargeBizType.PointCardConsumeCharge.ToString("d"))
        {            
            sb.AppendLine("<p class=\"list-group-item-text\">计次卡名称：" + pointCardName + "</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">划次数量：" + pointCardConsumeQuantity + "</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">收&nbsp;款&nbsp;员：" + operatorCode + "</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">消费门店：" + shopName + "</p>");
        }
        else if (chargeBizType == VA.Modules.JDingMember.Core.Enums.ConsumeCharge.ChargeBizType.NormalPointConsumeCharge.ToString("d"))
        {            
            sb.AppendLine("<p class=\"list-group-item-text\">收&nbsp;款&nbsp;员：" + operatorCode + "</p>");
            sb.AppendLine("<p class=\"list-group-item-text\">消费门店：" + shopName + "</p>");
        }

        sb.AppendLine("<p class=\"list-group-item-text\">消费单号：" + bizNo + "</p>");
        return sb.ToString();
    }
</script>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title>消费记录</title>   
<!--#include virtual="../include/css/editlist.aspx"-->     
<!--#include virtual="../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        initListPage(true);
    };
   
    function doSearch() {
        var $txtBeginDate = $("#txtBeginDate");
        var $txtEndDate = $("#txtEndDate");
        var $ddlChargeBizType = $("#ddlChargeBizType");
        var beginDate = $txtBeginDate.val();
        var endDate = $txtEndDate.val();
        var chargeBizType = $ddlChargeBizType.val();
        window.location.href = pageName + "?begindate="+ beginDate +"&endate=" + endDate + "&chargebiztype=" + chargeBizType;
    }

    function refresh1() {
        layer.closeAll();
    }

</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"--> 
<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>消费记录</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
            <a href="javascript:search();" class="icon"><i class="iconfont">&#xe610;</i></a>
        </div>          
    </div>     

    <div id="dataBar">
        
        <div class="list-group" id="dataBody" style="margin-bottom:0px;"></div>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <a class="list-group-item">
                    <p class="noRecord">暂无数据</p>
                </a>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <a class="list-group-item"  href="member_consume_detail.aspx?masterid=<%# Eval("Charge_ID")%>">
                    <div class="seqContainer"><h3 class="seqNum"><%# (base.currPage-1)*base.PageSize +Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Operate_Date"))%></h4>
                        <%# ShowConsumeInfo(Eval("BizNo").ToString(),
                        Eval("Charge_Biz_Type").ToString(),
                        Eval("Costs").ToString(),
                        Eval("Discounts").ToString(),
                        Eval("PayAmount").ToString(),
                        Eval("PayType_Desc").ToString(),
                        Eval("PointCard_Name").ToString(),
                        Eval("PointCard_ConsumeQuantity").ToString(),
                        Eval("Operator_Code").ToString(),
                        Eval("Shop_Name").ToString()
                        ) %>
                    </div>
                </a>
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
        
        <div class="searchPanel">
            <div class="searchFieldContainer">

            <label>起始日期：</label>
            <input type="date" id="txtBeginDate" value=<% = Request["begindate"] %> />
        
            <br /><br />

            <label>截止日期：</label>
            <input type="date" id="txtEndDate" value=<% = Request["enddate"] %> />

            <br /><br />
            <label>消费类型：</label>
            <asp:DropDownList ID="ddlChargeBizType" runat="server">           
            </asp:DropDownList>   

            </div>
        </div>
                     
    </div><!--dataBar.END-->           
    
    <div id="statBar">
        共 <span style="font-weight:bold;"><%=base.RdCnt%></span> 条记录
    </div>    

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 