﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_voucher_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.memberinfo.member_voucher_list" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title>代金券</title>   
<!--#include virtual="../include/css/editlist.aspx"-->     
<!--#include virtual="../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        initListPage(true);
    };
   
    function doSearch() {
        var $ddlUsingFlag = $("#ddlUsingFlag");
        var $ddlExpiredFlag = $("#ddlExpiredFlag");
        var usingFlag = $ddlUsingFlag.val();
        var expiredFlag = $ddlExpiredFlag.val();
        window.location.href = pageName + "?usingflag=" + usingFlag + "&expiredflag=" + expiredFlag;
    }

    function refresh1() {
        layer.closeAll();
    }

</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"--> 
<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>充值记录</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
            <a href="javascript:search();" class="icon"><i class="iconfont">&#xe610;</i></a>
        </div>          
    </div>     

    <div id="dataBar">
        
        <ul class="list-group" id="dataBody" style="margin-bottom:0px;"></ul>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <li class="list-group-item">
                    <p class="noRecord">暂无数据</p>
                </li>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <li class="list-group-item">
                    <div class="seqContainer"><h3 class="seqNum"><%# (base.currPage-1)*base.PageSize +Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# Eval("VoucherNo")%></h4>                        
                        <p class="list-group-item-text">使用标志：<%# VA.Modules.JDingMember.Core.Enums.VoucherConverter.VoucherUsingFlagConverter.Convert_Value_ToText(Eval("Using_Flag").ToString())%></p>
                        <p class="list-group-item-text">代金券名称：<%# Eval("Voucher_Name")%></p>
                        <p class="list-group-item-text">代金券面值：<%# Convert.ToDecimal(Eval("Face_Value")).ToString("F2")%></p>
                        <p class="list-group-item-text">限最低消费金额：<%# Convert.ToDecimal(Eval("Limit_MinConsumeAmount_PerBill")).ToString("F2")%></p>
                        <p class="list-group-item-text">有效期：<%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Voucher_TakeEffect_Date"))%> 至 <%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Voucher_Expire_Date"))%></p>
                        <p class="list-group-item-text">受赠日期：<%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Distribute_Date"))%></p>
                        <p class="list-group-item-text">受赠门店：<%# Eval("BelongTo_Shop_Name")%></p>
                        <p class="list-group-item-text">营&nbsp;业&nbsp;员：<%# Eval("Distribute_Operator_Code")%></p>
                        <p class="list-group-item-text">使用时间：<%# VA.Utils.DateHelper.GetDateStringFormatNullDate(String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Used_Date")))%></p>
                        <p class="list-group-item-text">使用门店：<%# Eval("Used_Shop_Name")%></p>
                    </div>
                </li>
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
        
        <div class="searchPanel">
            <div class="searchFieldContainer">

            <label>使用标志：</label>
            <asp:DropDownList ID="ddlUsingFlag" runat="server" >        
            </asp:DropDownList>    
        
            <br /><br />

            <label>是否过期：</label>
            <asp:DropDownList ID="ddlExpiredFlag" runat="server" >        
                <asp:ListItem Value="" Selected="True"></asp:ListItem>
                <asp:ListItem Value="0">未过期</asp:ListItem>
                <asp:ListItem Value="1">已过期</asp:ListItem>
            </asp:DropDownList>

            </div>
        </div>
                     
    </div><!--dataBar.END-->

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 