﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_walletcharge_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.memberinfo.wallet_charge_list" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../../include/metas.aspx"-->
<title>充值记录</title>   
<!--#include virtual="../../include/css/editlist.aspx"-->     
<!--#include virtual="../../include/js/editlist_model1.aspx"-->     
<script type="text/javascript" src="../../scripts/dropload/dropload.js"></script>    
<link href="../../scripts/dropload/dropload.css" type="text/css" rel="Stylesheet" />
<script type="text/javascript">
    onPageInited = function () {
        //initListPage(true);
    };
   
    function doSearch() {
        var $txtBeginDate = $("#txtBeginDate");
        var $txtEndDate = $("#txtEndDate");
        var beginDate = $txtBeginDate.val();
        var endDate = $txtEndDate.val();
        window.location.href = pageName + "?begindate="+ beginDate +"&endate=" + endDate;
    }

    function refresh1() {
        layer.closeAll();
    }

</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>充值记录</h1>
        <div class="leftToolBar">            
            <a href="../default.aspx" class="icon back"></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon refresh"></a>
            <a href="javascript:search();" class="icon search"></a>
        </div>          
    </div>     

    <div id="dataBar">
        
        <ul class="list-group" id="dataBody" style="margin-bottom:0px;"></ul>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/app_themes/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate>
            <% if (base.RdCnt == 0) {%>
                <li class="list-group-item">
                    <p class="noRecord">暂无数据</p>
                </li>
            <% } %>
            </HeaderTemplate>
            <ItemTemplate>        
                <li class="list-group-item">
                    <h3 class="seqNum"><%# (base.currPage-1)*base.PageSize +Container.ItemIndex + 1 %></h3>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Charge_Date"))%></h4>
                        <p class="list-group-item-text">充值金额：<%# Eval("Pay_Amount")%></p>
                        <p class="list-group-item-text">赠送金额：<%# Eval("Donate_Amount")%></p>
                        <p class="list-group-item-text">充值合计：<%# Eval("Charge_Amount")%></p>
                        <p class="list-group-item-text">支付方式：<%# Eval("PayType_Name")%></p>
                        <p class="list-group-item-text">收&nbsp;款&nbsp;员：<%# Eval("Operator_Code")%></p>
                        <p class="list-group-item-text">充值门店：<%# Eval("Shop_Name")%></p>
                    </div>
                </li>
            </ItemTemplate>
            </asp:Repeater>   

            <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
            <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
            <input type="hidden" id="hfDataBodyHeight" />  
                                                            
        </div> 
        
        <div class="searchPanel">
            <div class="searchFieldContainer">

            <label>起始日期：</label>
            <input type="date" id="txtBeginDate" value=<% = Request["begindate"] %> />
        
            <br /><br />

            <label>截止日期：</label>
            <input type="date" id="txtEndDate" value=<% = Request["enddate"] %> />
        </div>
                     
    </div>                       
         
    </div>
    
    <div id="statBar">
        共 <span style="font-weight:bold;"><%=base.RdCnt%></span> 条记录，实付总额：<span style="font-weight:bold;"><%= base.TotalCharges.ToString("F2")%></span>，赠送总额：<span style="font-weight:bold;"><%=base.TotalDonates.ToString("F2") %></span>，充值合计：<span style="font-weight:bold;"><%=(base.TotalCharges + base.TotalDonates).ToString("F2") %></span>&nbsp;&nbsp;
    </div>    

</div>

<script>
    $(function () {
        // dropload
        var dropload = $('#pageWrapper').dropload({
            domUp: {
                domClass: 'dropload-up',
                domRefresh: '<div class="dropload-refresh">↓下拉刷新</div>',
                domUpdate: '<div class="dropload-update">↑释放更新</div>',
                domLoad: '<div class="dropload-load"><span class="loading"></span>加载中...</div>'
            },
            loadUpFn: function (me) {
                //window.location.reload();
                alert("aa");
            }
        });
    });
</script>

</form>
</body>
</html> 