﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UserEditList.aspx.cs" Inherits="Chaokers.CN.SysMembership.Web.UserEditList" %>
<%@ Register assembly="Chaokers.CN.SysMembership.Components" namespace="Chaokers.CN.SysMembership.Components.Controls" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<asp:Literal runat="server">用户管理</asp:Literal>
<script type="text/javascript" src="../Js/CheckBoxAct.js"></script>
<script type="text/javascript" src="../Js/UIOpr.js"></script>
<script type="text/javascript">
    function del(userID, currPage) {
        if (confirm("确定要删除[" + userID + "]吗？")) {
            window.location.href = "UserDel.aspx?UserID=" + userID + "&Page=" + currPage;
        }
    }
</script> 
</head>
<body>
<form id="form1" runat="server">
<div id="wrapper">  
    
    <cc1:CurrLocation ID="CurrLocation1" runat="server" InnerText="角色与权限/操作员管理" />
    
    <div id="mainContainer"> 

    <div style="padding-bottom:3px;">
    <asp:DropDownList ID="ddlShops" runat="server"
         AutoPostBack="true"
         OnSelectedIndexChanged="ddlShops_OnSelectedIndexChanged"></asp:DropDownList>
    </div>

    <asp:Repeater ID="rpUsers" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>
    <table cellpadding="1" cellspacing="0" class="listTable" border="1" bordercolor="<% = base.AppTheme.MainBorderColor %>" style="border-collapse:collapse;">
    <thead>
    <td align="center" style="width:25px;" class="firstTd">No.<%--<input type="checkbox" name="chkAll" id="chkAll" onclick="javascript:SelectAll();" />--%></td>
    <td align="center" style="width:80px;">登录账号</td>    
    <td align="center" style="width:60px;">员工编号</td>
    <td align="center" style="width:100px;">员工姓名</td>
    <td align="center">所属门店</td>
    <td align="center" style="width:60px;">账号状态</td>    
    <td align="center" style="width:50px;">编辑</td>  
    <td align="center" style="width:60px;">重置密码</td>
    <td align="center" style="width:50px;">删除</td>  
    </thead>
    </HeaderTemplate>
    <ItemTemplate>
    <tr class="cursor-hand" onmouseover="SetMOverState(this);" onmouseout="SetMOutState(this);">
	    <td align="center" class="firstTd"><%# (base.CurrPage -1)*base.PageSize + Container.ItemIndex + 1%><%--<input type="checkbox" name="chkBox" onclick="UnSelectAll();" value="<%# Eval("RoleID")%>">--%></td>		
	    <td align="left">&nbsp;<%# Eval("UserID")%></td>
        <td align="left">&nbsp;<%# Eval("EmployeeNo")%></td>	 
	    <td align="left">&nbsp;<%# Eval("Employee_Name")%></td>	 
        <td align="left">&nbsp;<%# Eval("Shop_Name")%></td>	 
        <td align="left">&nbsp;<%# Eval("State").ToString() == "1" ? "正常" : "<font color='red'>停用</a>"%></td>	 
	    <td align="center"><a href="UserEdit.aspx?UserID=<%# Eval("UserID")%>"><% = base.AttachImage("edit.gif")%></a></td>	    
	    <td align="center"><a href="ChangePassword.aspx?UserID=<%# Eval("UserID")%>"><% = base.AttachImage("edit.gif")%></a></td>	    
        <td align="center"><a href="javascript:del('<%# Eval("UserID")%>',<% = base.CurrPage %>);"><% = base.AttachImage("del.gif")%></a></td>	    
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    
    <div style="display:none;"><input type="hidden" name="chkNum" value="<%=chkNum%>" /></div>
    </FooterTemplate>
    </asp:Repeater>               
    <asp:Label ID="lblHidden" runat="server"></asp:Label>  
    
    <table cellpadding="0" cellspacing="0" class="pagerBar" id="pagerBar" runat="server">
    <tr>
    <td align="left">
           <asp:Label ID="lblPageInfo" runat="server" Text="当前是第{0}页共{0}页 "></asp:Label>      
           <asp:LinkButton ID="lbnFirst" runat="server" OnClick="PageChanged" CommandName="First">首页</asp:LinkButton>
           <asp:LinkButton ID="lbnPrev"  runat="server" OnClick="PageChanged" CommandName="Prev">上一页</asp:LinkButton>
           <asp:LinkButton ID="lbnNext" runat="server" OnClick="PageChanged" CommandName="Next">下一页</asp:LinkButton>
           <asp:LinkButton ID="lbnLast" runat="server" OnClick="PageChanged" CommandName="Last">末页</asp:LinkButton>
    </td>
    <td align="right">
        <em><b><a href="UserEdit.aspx">[添加新操作员]</a>
    </td>
    </tr>
    </table>
    

    </div><!--"mainContainer.END"-->

</div><!--"wrapper.END"-->
</form> 

</body>
</html>
