﻿/*iconType: info, error, warning 等，参考EasyUI $.messager.alert组件*/
function JTongAlert() {
    var argLength = arguments.length;
    if (argLength == 1) {
        var sMsg = arguments[0];
        $.messager.alert('提示', sMsg, 'info');
    }
    else if (argLength == 3) {
        var title = arguments[0];
        var sMsg = arguments[1];
        var iconType = arguments[2];
        $.messager.alert(title, sMsg, iconType);
    }
    else if (argLength == 4) {
        var title = arguments[0];
        var sMsg = arguments[1];
        var iconType = arguments[2];
        var callBack = arguments[3];
        $.messager.alert(title, sMsg, iconType, callBack);
    }
}

function JTongModalAlert(sMsg) {
    alert(sMsg);
}

function JTongAlertConfirm(sMsg, callBack) {
    $.messager.confirm('确认对话框', sMsg, function (r) {
        if (r) {
            callBack(); //主要callBack后带括号；带括号表示调用,不带可括号只是相当于一个变量；
        }
    });
}

function JTongAlert_AutoClose(sMsg, millSeconds) {
   
    layer.msg(sMsg, {
        icon: 1,     
        time: millSeconds //单位：毫秒
    });
}