﻿/*iconType: info, error, warning 等，参考EasyUI $.messager.alert组件*/
/*
function JTongAlert() {
    var argLength = arguments.length;
    if (argLength == 1) {
        var sMsg = arguments[0];
        $.messager.alert('提示', sMsg, 'info');
    }
    else if (argLength == 3) {
        var title = arguments[0];
        var sMsg = arguments[1];
        var iconType = arguments[2];
        $.messager.alert(title, sMsg, iconType);
    }
    else if (argLength == 4) {
        var title = arguments[0];
        var sMsg = arguments[1];
        var iconType = arguments[2];
        var callBack = arguments[3];
        $.messager.alert(title, sMsg, iconType, callBack);
    }
}

function JTongModalAlert(sMsg) {
    alert(sMsg);
}

function JTongAlertConfirm(sMsg, callBack) {
    $.messager.confirm('确认对话框', sMsg, function (r) {
        if (r) {
            callBack(); //主要callBack后带括号；带括号表示调用,不带可括号只是相当于一个变量；
        }
    });
}
*/

function JTongAlert() {
    var argLength = arguments.length;
    if (argLength == 1) {
        var sMsg = arguments[0];
        
        layer.open({
            content: sMsg,
            btn: ['OK']
        });
    }
    else if (argLength == 3) {
        var title = arguments[0];
        var sMsg = arguments[1];
        var iconType = arguments[2];

        layer.open({
            content: sMsg,
            btn: ['OK']
        });
    }
    else if (argLength == 4) {

        var title = arguments[0];
        var sMsg = arguments[1];
        var iconType = arguments[2];
        var callBack = arguments[3];

        layer.open({
            content: sMsg,
            btn: ['OK'],
            yes: function () {
                layer.closeAll();
                callBack();
            }
        });
    }
}

function JTongModalAlert(sMsg) {
    alert(sMsg);
}

function JTongAlertConfirm(sMsg, callBack) {

    layer.open({
        content: sMsg,
        btn: ['确认', '取消'],
        shadeClose: false,
        yes: function () {
            callBack();
        }, no: function () {
            
        }
    });
}

function JTongAlert_AutoClose(sMsg, seconds) {
  
    layer.open({
        content: sMsg,
        style: 'background-color:#09C1FF; color:#fff; border:none;',
        time: seconds  //单位：秒
    });
}