﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="entry.aspx.cs" Inherits="VA.FX.Web.admin.frame_s_v2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><% = base.webSiteConfig.WebSiteName%></title>
<link rel="stylesheet" type="text/css" href="/admin/app_themes/<% = webSiteConfig.ThemeName %>/css/main.css" />
<link rel="stylesheet" type="text/css" href="/admin/app_themes/<% = webSiteConfig.ThemeName %>/css/entry.css" />
<link rel="stylesheet" type="text/css" href="/admin/app_themes/<% = webSiteConfig.ThemeName %>/css/entry-menu.css" />
<link rel="stylesheet" type="text/css" href="/uicontrols/easyui/themes/<% = webSiteConfig.ThemeName %>/easyui.css" />
<link rel="shortcut icon" type="image/x-icon" href="/logo.ico" />
<link rel="stylesheet" type="text/css" href="/uicontrols/easyui/themes/icon.css" />
<%--<link rel="stylesheet" type="text/css" href="/jtongui/themes/icon.css" />--%>
<link rel="stylesheet" type="text/css" href="/scripts/jquery/plugins/simplemodal-1.4.4/css/basic.css" />
<script type="text/javascript" src="/uicontrols/easyui/jquery.min.js"></script>
<script type="text/javascript" src="/uicontrols/easyui/jquery.easyui.min.js"></script>
<script type="text/javascript" src="/uicontrols/easyui/locale/easyui-lang-zh_CN.js"></script>
<script type="text/javascript" src="/scripts/jquery/plugins/simplemodal-1.4.4/js/jquery.simplemodal.js"></script>
<script type="text/javascript" src="/admin/scripts/biz/common.js"></script>
<script type="text/javascript" src="/admin/scripts/page/entry.js"></script>
<script type="text/javascript">       
    function help() {
        window.open("http://manual.jdingsoft.com");
    }
    function setCustomMenu() {
        mainWidth_AdjustValue = 18;
        resizePageLayout();
        openFrameWindow("自定义菜单项", 900, 600, "/modules/member/userpreferences/favmenu_editlist.aspx", false);
    }
    function closeCustomMenuWindow() {
        mainWidth_AdjustValue = 1;
        resizePageLayout();
        closeFrameWindow();
    }
    function loadFavMenuItems() {
        var pageName = $("#hfPageName").val();
        var result = ajaxGetData(pageName + "?act=getcustomfavmenus", "html", "");       
        $("#customMenus").html(result);
        setFavMenuIcon();
    }
    function refreshFavMenuItems() {
        loadFavMenuItems();
    }
    $(function () {
        init();
        loadFavMenuItems();
        checkAnnouncements();
    });    
</script>

</head>

<body>   

    <div id="header">
        <div id="headerLeft">
            <a href="http://member.jdingsoft.com" id="logo" target="_blank">
                <img src="/admin/images/logo.png" alt="金鼎会员通" style="margin-top:20px;" />
            </a>
        </div>
        <ul id="topestMenu"><!--快捷操作菜单-->                       
            <li><a href="javascript:openWindow('会员登记','/modules/member/member/member_register.aspx');"><img src="images/menu/topestmenu-icon/member_add.png" border="0" /></a></li>
            <li><a href="javascript:openWindow('会员充值','/modules/member/charge/wallet_charge.aspx');"><img src="images/menu/topestmenu-icon/member_charge.png" border="0" /></a></li>                                                        
            <li><a href="javascript:openWindow('会员详情','/modules/member/member/member_detail.aspx');"><img src="images/menu/topestmenu-icon/member_view.png" border="0" /></a></li>            
            <li><a href="javascript:openWindow('消费收银','/modules/member/consume/charge_v2.aspx');"><img src="images/menu/topestmenu-icon/consume.png" border="0" /></a></li>
            <li><a href="javascript:openWindow('日 结 账','/modules/member/dayaccount/dayaccount.aspx');"><img src="images/menu/topestmenu-icon/dayaccount.png" border="0" /></a></li>            
            <li><a href="javascript:openWindow('店长日报','/modules/member/leaderquery/master_dayreport.aspx');"><img src="images/menu/topestmenu-icon/dayreport.png" border="0" /></a></li>            
        </ul>
        <div id="headerRight">
            <div class="topmenu"><%--<a href="javascript:help();" class="help">帮助</a> | --%><a href="javascript:viewAnnouncementList()">公告</a> | <a href="javascript:openWindow('修改密码','../sysmembership/ChangeMyPassword.aspx');">修改密码</a> | <a href="javascript:showAbout()">关于</a> | <a href="javascript:logout();">退出</a> </div>
            <div class="userinfo"><% = base.EmployeeName %>/<% = base.EmployeeID %> | <a href="javascript:switchShop()" style="color:#fff;">切换门店</a></div>
            <div class="feedback"><a href="javascript:openWindow('问题反馈及建议','http://www.jdingsoft.com/jdingmember/feedback.aspx');">问题反馈及建议</a> | <a href="javascript:openWindow('关注金鼎会员通','http://member.jdingsoft.com');">关注我们</a></div>
        </div>
    </div>
    <div id="sideBar">

        <div id="modules">

            <asp:Repeater ID="rpModules" runat="server">
            <HeaderTemplate>
                <ul class="moduleList">
            </HeaderTemplate>
            <ItemTemplate>
                <li class="item"><img src="../sysmembership/Upload/IconModule/<%# Eval("Icon")%>" border="0" width="32" height="32" alt="<%# Eval("ModuleName")%>" title="<%# Eval("ModuleName")%>" /><input type="hidden" value="<%# Eval("ModuleName")%>" /></li>
            </ItemTemplate>
            <FooterTemplate>
                </ul>
            </FooterTemplate>
            </asp:Repeater>

        </div>

        <div id="menus">

        <div id="topestMenuName">
            <ul>
                <li class="menu-all" id="currentModule"><span>日常业务</span></li>
                <li class="menu-fav"><span>常用菜单</span></li>
            </ul>
        </div>

        <div id="accordionContainer0" class="accordionContainer">

        <div class="jtongui-accordion">

            <!--模块-->
            <asp:Repeater ID="rpModules2" runat="server" OnItemDataBound="rpModules2_ItemDataBound">
            <ItemTemplate>
            <div id="topestMenuContent<%# Container.ItemIndex %>" class="topestMenuContent <%# SetModuleClass(Container.ItemIndex) %>">
        
                <!--1级节点权限-->
                <asp:Repeater ID="rpPrivsLevel0" runat="server">
                <ItemTemplate>                
                    <div class="submenu<%# SetPriv0Class(Container.ItemIndex) %>">
		                <h1 class="head<%# SetPrivIcon(Eval("Icon").ToString())%>"><%# Eval("PrivilegeName")%></h1>
		                <div class="body">
			                 <asp:Literal ID="literalSubPrivs" runat="server" ></asp:Literal>
		                </div>
	                </div>
                </ItemTemplate>
                </asp:Repeater>
        
            </div>
            </ItemTemplate>
            </asp:Repeater><!--rpModules2.END-->                             
                        
        </div><!--accordion.END-->

        </div><!--accordionContainer.END-->
        
        <div id="accordionContainer1" class="accordionContainer">

            <ul class="shortcut toolbar"><!--快捷操作菜单-->                
                <li data-icon="menu_icon_config.png" onclick="setCustomMenu()">自定义菜单项</li>                         
            </ul>

           <div id="customMenus">

           </div>

        </div>                            
    
        </div><!--menus.END-->
    </div>
    <div id="switchBar"></div>
    <div id="main">
        <div class="easyui-tabs" style="width:300px;border-bottom:0px;overflow:hidden;" fit=true id="tabs1" >
            <div title="首页" data-options="closable:false">            
                <iframe src="../modules/member/welcome_v2.aspx" style="width:100%;height:100%;border:0px;margin:0px;padding:0px;"  ></iframe>                
            </div>
        </div>
    </div>
    <div id="footer">
        <div class="dateinfo">&nbsp;
            <% if (base.ShopCode == base.EmployeeShopCode) {%>
                <% = base.CompanyName + "（" + base.ShopName + "）" %>/<% = base.EmployeeName %>
            <% } else { %>
                <% = base.CompanyName + "（" + base.ShopName + "）" %>/<% = base.EmployeeName %>（<% = new VA.Modules.JDingMember.Core.Business.Basic.ShopDict().GetEntity(base.EmployeeShopCode).Shop_Name %>）
            <% } %>
            &nbsp;&nbsp;<% = DateTime.Now.ToString("yyyy年MM月dd日") %>&nbsp;&nbsp;<% = System.Globalization.CultureInfo.CurrentCulture.DateTimeFormat.GetDayName(DateTime.Now.DayOfWeek) %></div>
        <div class="copyright">
            版本号：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftVesion %>
             <% if (VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseType == VA.Modules.JDingMember.Core.Enums.SoftLicenseType.Trial)
                {
                    Response.Write("<span style='color:red;'>(" + VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseTypeName + ")</span>");
                    //Response.Write("<span style='color:red;'>(试用)</span>");
                }       
             %>
            网址：<a href="<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %>" target="_blank"><% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %></a></div>
        <iframe id="frameAutoRefresh" src='sessionkeep.aspx' style='width:100%;height:100%;border:0px;margin:0px;padding:0px;display:none;'></iframe>
    </div>

    <div id="divAboutPanel">
        <div class="box-title-bar">
            <div class="title-container"></div>
            <div class="close-container"><a href="#" class="simplemodal-close">×</a></div>
        </div>
        <div id="versionInfo">        
            版本号：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftVesion %>
            <br />
            版本类型：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftTypeName %>
            <br />
            版本级别：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLevelName %>
            <br />
            授权类型：<% = VA.Modules.JDingMember.Core.SystemInfo.SoftInfo.SoftLicenseTypeName %>
            <br />
            QQ:<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Contact_QQ %>
            &nbsp;
            Email:<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Contact_Email %>
            <br />
            (C)<% = DateTime.Now.Year %> <a href="<% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.WebSite %>" target="_blank"><% = VA.Modules.JDingMember.Core.SystemInfo.SupportInfo.Company %></a>. All rights reserved                
        </div>             
    </div>

    <div id="contextMenu" class="easyui-menu" data-options="onClick:menuHandler" style="width:120px;">
        <div data-options="name:'refresh'">刷新</div>
	    <div data-options="name:'closeCurrent'">关闭</div>
	    <div data-options="name:'closeAll'">关闭全部</div>
        <div data-options="name:'closeAllExceptCurrent'">除此之外全部关闭</div>
    </div>
    
    <form runat="server">
    <asp:HiddenField ID="hfPageName" runat="server" />
    </form>
</body>  

</html>
