﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_edit.aspx.cs" Inherits="VA.Modules.JDingMember.giftshop.gift_edit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--#include virtual="/modules/member/include/css/edit.aspx"-->
    <!--#include virtual="/modules/member/include/js/edit.aspx"-->     
    <script type="text/javascript">
    function save() {

        //调用asp.net验证控件自带的js数据验证脚本对控件进行验证；
        var validationResult = Page_ClientValidate('');
        if (!validationResult) {
            return;
        }

        var flag = "0";
        if ($("#hfKey").val() != "") {
            flag = "1";
        }

        if (flag == 0) {
            //JTongAlertConfirm("确定要保存吗？", add);
            add();
        }
        else {
            update();            
        }
    }

    function add() {
        var requestType = "POST";
        var url = pageName + "?act=add";  //pageName在BasePage中注册到的客户端；
        var dataType = "html";
        var data = $("form").eq(0).serialize();
        var successFN = function (data,textStatus) {
            if (data == "ok") {
                showActResult("添加成功！", true, doAfterAdd);
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterAdd);
            }
            else {
                showActResult("添加失败：" + data, false, doAfterAdd);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }

    function update() {
        var requestType = "POST";
        var url = pageName + "?act=update";
        var dataType = "html";
        var data = $("form").eq(0).serialize();
        var successFN = function (data, textStatus) {
            if (data == "ok") {
                showActResult("修改成功！", true, doAfterUpdate);
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterUpdate);
            }
            else {
                showActResult("修改失败：" + data, false, doAfterUpdate);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }

    function doAfterAdd(actResult) {
        if (actResult) {
            try {
                if (window.parent != window.self) {
                    window.parent.completeReload();
                }
            } catch (e) { }
            resetPage();
        }
    }
    function doAfterUpdate(actResult) {
        if (actResult) {
            try {
                if (window.parent != window.self) {
                    window.parent.closeFrameWindow();
                    window.parent.completeReload();
                }
            } catch (e) { }
        }
    }

    function resetPage() {

        $("#txtItemName_hiddenValue").val("");
        $("#txtItemName").val("");
        
        $("#txtCostPoints").val("");
        $("#txtStockCount").val("");

        clearInputValidatorError();
    }

    function JTongSmartDropDownList_AfterTakeValue(JTongSmartDropDownList_inputObjID, selectedRow) {

        if (selectedRow != null) {

            if (JTongSmartDropDownList_inputObjID == "txtItemName") {

                var itemCode = $(selectedRow.cells[0]).find("input:hidden[name=hfItemCode]").eq(0).val();
                var itemName = $(selectedRow.cells[1]).eq(0).html();
                var stockCount = ajaxGetData(pageName + "?act=getstock", "html", "itemcode=" + itemCode);
                $("#txtItemStockCount").val(stockCount);

                $("#txtItemName").val(itemName);
                $("#txtItemName_hiddenValue").val(itemCode);

                $("#txtCostPoints").focus();
            }
        }

        //返回true，继续取值；返回false，取消取值；
        return true;
    }

    $(function () {
       
        //焦点控制
        //$("input:not(#txtUnit),select").keydown(function (event) {
        $("input,select").keydown(function (event) {
            if (event.keyCode == 13) {
                var targetID = event.target.id;
                switch (targetID) {
                    case "txtCostPoints":
                        $("#txtStockCount").focus();
                        break;
                    case "txtStockCount":
                        $("#rbnIsReleased").focus();
                        break;                 
                    default:
                        break;
                }
            }
        });     
    });

    </script>
    <style type="text/css">
        .editTable .th {
            width:120px;
        }
    </style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div class="editPageWrapper" >

<div class="centerFormTitle">
   <h1><asp:Label ID="lblFormTitle" runat="server">添加礼品</asp:Label></h1>
</div>

<table cellspacing="0" cellpadding="3" class="editTable">
<tr>
<td class="th">(<span class="note mustfill">*</span>)礼品：</td>
<td>              
    <VACTL:TextBox ID="txtItemName" Runat="server"
                EnableViewState="False"
                CssClass="input"
                onfocus="JTongSmartDropDownList_OnfocusHandler(this, 'get_gifts.aspx',true,true,380,180);"
                Width="300px"
                />
    <asp:HiddenField runat="server" id="txtItemName_hiddenValue" />        
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)店内库存：</td>
<td>              
    <VACTL:TextBox ID="txtItemStockCount" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="100px"
                Enabled="false"
                />    
    <span class="note">注：店内实际库存，可以划出一部分用于网络自助兑换。</span>
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)兑换分值：</td>
<td>
    <VACTL:TextBox runat="server" ID="txtCostPoints" 
            CssClass="input"             
            Width="100px"
            CanBeNull="No"
            FieldName="兑换分值"
            RequiredFieldType="Integer"
            MaxLength="10" /> 
    <br />
    <span class="note">注：该分值不同于店内兑换分值，会员通过网络自助兑换，存在配送成本，可适当提高该值。</span>
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)上架数量：</td>
<td>
    <VACTL:TextBox runat="server" ID="txtStockCount" 
            CssClass="input"             
            Width="100px"
            CanBeNull="No"
            FieldName="库存数量"
            RequiredFieldType="Integer" />
    <br />
    <span class="note">注：上架数量是指礼品兑换平台上显示的库存数量，会员下单后该数量自动减少。</span>
</td>
</tr>
<tr>
<td class="th">(<span class="note mustfill">*</span>)是否上架：</td>
<td>
    <asp:RadioButtonList ID="rblIsReleased" runat="server"
         RepeatDirection="Horizontal"
         RepeatLayout="Flow">
        <asp:ListItem Value="1" Selected="True">立即上架</asp:ListItem>
        <asp:ListItem Value="0">暂不上架</asp:ListItem>        
    </asp:RadioButtonList>
</td>
</tr>
<tr>
<td colspan="2" class="footer">
    <% if (base.flag == 0) { %>
    <input type="button" id="btnSubmit" class="btn" style="width:100px" onclick="save()" value="保存" />
    <input type="button" id="btnClear" class="btn" style="width:100px" onclick="resetPage()" value="重置" />
    <% } else { %>
    <input type="button" id="btnSubmit" class="btn" style="width:100px" onclick="save()" value="保存" />
    <% } %>    
    
    <asp:HiddenField ID="hfKey" runat="server" />
    <asp:HiddenField ID="hfShopCode" runat="server" />
    
    <VACTL:Hint ID="Hint1" runat="server" HintImageUrl="/admin/app_themes/default/images/control" />
    <VACTL:ValidationSummary ID="ValidationSummary1" runat="server"
            DisplayMode="List"
            EnableClientScript="true" />
    
    <!--注意：这个文件一定要放到页面底部，以便覆盖asp.net验证脚本中的同名函数-->
    <script type="text/javascript" src="/scripts/utils/aspnet_validator_extend.js"></script>
</td>
</tr>
</table>

<% if(!String.IsNullOrEmpty(base.giftDictInfo.Item_Pic)) {%>
<div style="position:absolute;top:47px;right:11px;width:200px;height:133px;">
    <img src="/resources/pics/gift/m/<% = base.giftDictInfo.Item_Pic %>" border="0" width="100%" height="100%" />
</div>
<% } %>

<!--每个页面上只能有一个该控件实例-->
<VACTL:SmartDropDownList ID="SmartDropDownList1" runat="server"></VACTL:SmartDropDownList>  

</div><!--editPageWrapper.END-->

</form>
</body>
</html>

