﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="sale_analysis_huiyuanbanliqushi_byday.aspx.cs" Inherits="VA.Modules.JDingMember.leaderquery.sale_analysis_huiyuanbanliqushi_byday" %>
<%@ Import Namespace="System.Collections.Generic" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--#include virtual="/modules/member/include/css/edit.aspx"-->
    <link href="/uicontrols/jtongui/themes/<% = webSiteConfig.ThemeName %>/tabs.css" type="text/css" rel="Stylesheet" />
    <link href="/uicontrols/amcharts_v3.18.3/plugins/export/export.css" rel="stylesheet" type="text/css" >

    <!--#include virtual="/modules/member/include/js/edit.aspx"-->
    <script type="text/javascript" src="/uicontrols/jtongui/plugins/jtong.tabs.js"></script>
    <script type="text/javascript" src="/scripts/utils/dateutil.js"></script>    
    <script src="/uicontrols/amcharts_v3.18.3/amcharts.js" type="text/javascript"></script>
    <script src="/uicontrols/amcharts_v3.18.3/serial.js" type="text/javascript"></script>    
    <script src="/uicontrols/amcharts_v3.18.3/plugins/export/export.js" type="text/javascript"></script>

    <script type="text/javascript">

        //设置日期检索条件控件的行为；
        function setDateControlBehavior() {
            var $ddlDate = $("#ddlDateRule");
            if ($ddlDate.length == 0) {
                return;
            }

            if ($ddlDate.val() != "10") {
                $("#txtBeginDate").attr("disabled", "disabled");
                $("#txtEndDate").attr("disabled", "disabled");
            }
            $ddlDate.change(function () {
                var $txtBeginDate = $("#txtBeginDate");
                var $txtEndDate = $("#txtEndDate");

                $txtBeginDate.attr("disabled", "disabled");
                $txtEndDate.attr("disabled", "disabled");

                var beginDate = null;
                var endDate = null;
                var sBeginDate = null;
                var sEndDate = null;

                var myDate = new Date();

                var dateRule = $ddlDate.val();
                if (dateRule == "1") { //今天                    
                    beginDate = myDate;
                    endDate = myDate;
                }
                else if (dateRule == "2") { //昨天
                    beginDate = myDate.dateAdd("d", -1);
                    endDate = beginDate;
                }
                else if (dateRule == "3") { //前天
                    beginDate = myDate.dateAdd("d", -2);
                    endDate = beginDate;
                }
                else if (dateRule == "4") { //近两天
                    beginDate = myDate.dateAdd("d", -1);
                    endDate = myDate;
                }
                else if (dateRule == "5") { //近3天
                    beginDate = myDate.dateAdd("d", -2);
                    endDate = myDate;
                }
                else if (dateRule == "6") { //近1周
                    beginDate = myDate.dateAdd("w", -1);
                    endDate = myDate;
                }
                else if (dateRule == "7") { //近1月
                    beginDate = myDate.dateAdd("m", -1);
                    endDate = myDate;
                }
                else if (dateRule == "8") { //上月
                    var year = myDate.getFullYear(); //2015
                    var month = myDate.getMonth(); //
                    var day = 1;
                    var thisMonth_BeginDate = new Date(year, month, day);
                    var lastMonth_BeginDate = thisMonth_BeginDate.dateAdd("m", -1);
                    var lastMonth_EndDate = thisMonth_BeginDate.dateAdd("d", -1);

                    var date1 = new Date(2015, -1, 1);

                    beginDate = lastMonth_BeginDate;
                    endDate = lastMonth_EndDate;
                }
                else if (dateRule == "9") { //本月
                    var year = myDate.getFullYear(); //2015
                    var month = myDate.getMonth(); //
                    var day = 1;

                    beginDate = new Date(year, month, day);
                    endDate = myDate;
                }
                else if (dateRule == "10") { //自定义
                    beginDate = myDate;
                    endDate = myDate;
                    $("#txtBeginDate").removeAttr("disabled");
                    $("#txtEndDate").removeAttr("disabled");
                }

                sBeginDate = beginDate.format("yyyy-MM-dd");
                sEndDate = endDate.format("yyyy-MM-dd");

                $txtBeginDate.val(sBeginDate);
                $txtEndDate.val(sEndDate);

                $("#btnSearch").click();
            });
        }

        function setLayout() {
            var window_height = $(window).outerHeight();
            var titleBar_height = 52;
            var searchBar_height = $("#searchBar").outerHeight();
            var statBar_height = $("#statBar").outerHeight();
            var printBar_height = $("#printBar").outerHeight();
            var dataBar_height = 0;
            dataBar_height = window_height - titleBar_height - searchBar_height - statBar_height - printBar_height;
            $("#dataBar").height(dataBar_height);
            $("#div_DataGrid").height(dataBar_height - 43);
        }

        $(function () {

            setLayout();

            //绑定窗体resize事件；
            $(window).resize(function () {
                setLayout();
            });

            JTongTabs_init();
            setDateControlBehavior();
        });

    </script>
</head>
<body>
<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper" style="height:1%;overflow:hidden;">

<div class="editPageWrapper">

<div class="centerFormTitle">
   <h1>会员办理趋势(按天)</h1>
</div>

<div id="searchBar">
<table cellspacing="0" cellpadding="3" class="editTable" style="margin-bottom:-1px;">
<tr>
<td style="text-align:right;">

    <div style="height:1%;overflow:hidden;min-width:600px;">
        <div style="float:left">&nbsp;<span><%--门店：<% = base.ShopName %>--%></span></div>
        <div style="float:right">

        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>  
            
            <asp:DropDownList ID="ddlDateRule" runat="server" EnableViewState="false">
            <asp:ListItem Value="">统计期间</asp:ListItem>
            <asp:ListItem Value="1">今天</asp:ListItem>
            <asp:ListItem Value="2">昨天</asp:ListItem>
            <asp:ListItem Value="3">前天</asp:ListItem>
            <asp:ListItem Value="4">近两天</asp:ListItem>
            <asp:ListItem Value="5">近三天</asp:ListItem>
            <asp:ListItem Value="6" Selected="True">近一周</asp:ListItem>
            <asp:ListItem Value="7">近一月</asp:ListItem>
            <asp:ListItem Value="8">上月</asp:ListItem>
            <asp:ListItem Value="9">本月</asp:ListItem>
            <asp:ListItem Value="10">自定义</asp:ListItem>
            </asp:DropDownList>  

            <VACTL:TextBox ID="txtBeginDate" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="80px"            
                onfocus="laydate()"
                MaxLength="20" />  
            -      
            <VACTL:TextBox ID="txtEndDate" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="80px"            
                onfocus="laydate()"
                MaxLength="20" />      

            <asp:Button ID="btnSearch" runat="server" 
                 CssClass="simpleBtn"
                 Text="查询" 
                 Onclick="btnSearch_Click" />

         </ContentTemplate>
        </asp:UpdatePanel>

        </div>
    </div>
</td>
</tr>
</table>
</div>

<div id="statBar">
<table id="Table1" cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td>
    <% if (base.dtbData != null && dtbData.Rows.Count > 0 && dtbData.Rows[0]["TotalMemberCount"] != DBNull.Value)
       {
           int totalMemberCount = 0;
           foreach (System.Data.DataRow row in dtbData.Rows)
           {
               int memberCount = Convert.ToInt32(row["TotalMemberCount"]);
               totalMemberCount += memberCount;
           }
           
           StringBuilder sb = new StringBuilder();
           sb.Append("办理会员数量：" + totalMemberCount.ToString());
           Response.Write(sb.ToString());
       }
       else
       {
           Response.Write("暂无数据."); 
       }                
    %>
</td>
</tr>
</table>
</div>

<div id="dataBar" style="margin-top:-1px;">
<div class="jtongui-tabs" fill="true">
	<ul class="header">
		<li class="tabheader-item-selected"><a>图表</a></li>        
		<li>明细数据</li>		        
	</ul>
	<div id="div_Chart" class="tabcontent tabcontent-selected">
	    <div id="chartdiv" style="width: 100%; height: 100%;"></div>
	</div>
	<div id="div_Detail" class="tabcontent">
        <div id="div_DataGrid" style="padding:3px;overflow:auto;">
	    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
        <HeaderTemplate>    
        <table id="tableBody" cellpadding="3" cellspacing="0" class="listTable" style="margin-top:-1px;">
        <thead>
        <tr>
            <td style="width:40px;text-align:center;">日期</td>	            
            <td style="width:120px;text-align:center;">办理会员数量</td>
            <td></td>
        </tr>    
        </thead>
        </HeaderTemplate>
        <ItemTemplate>
        <tr>
            <td align="center"><%# Eval("Create_Date")%></td>            
            <td align="right"><%# Convert.ToInt32(Eval("TotalMemberCount")).ToString()%></td>
            <td></td>    	       	           
        </tr>
        </ItemTemplate>
        <FooterTemplate>
        </table>
        </FooterTemplate>
        </asp:Repeater>    
        <asp:Label ID="lblHidden" runat="server"></asp:Label>
        </div>
	</div>
</div>
</div>

<div id="printBar">
<table id="Table2" cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;background-color:#fff;">
<tr>
<td class="footer"> 
    <input type="button" id="btnPrint" class="btn" style="width:80px" onclick="print()" value="打印" />    
    <%--<input type="button" id="btnExport" class="btn" style="width:80px" onclick="dataExport()" value="导出" />    --%>
</td>
</tr>
</table>
</div>

</div><!--editPageWrapper.END-->

</div><!--"wrapper.END"-->

<script type="text/javascript">
    var chart;
    var legend;

    var chartData = null;
            
    <% 
    if (base.dtbData != null && dtbData.Rows.Count > 0 && dtbData.Rows[0]["TotalMemberCount"] != DBNull.Value)
       {
            StringBuilder sb = new StringBuilder();

            foreach (System.Data.DataRow row in dtbData.Rows)
            {
                string createDate = row["Create_Date"].ToString();
                string totalMemberCount = Convert.ToInt32(row["TotalMemberCount"]).ToString();

                sb.Append(",{\"date\" : \"" + createDate + "\", \"value\":\"" + totalMemberCount + "\"}");
            }

            string dataString = sb.ToString();
            if (dataString.StartsWith(","))
            {
                dataString = dataString.Remove(0, 1); 
            }

            string chartData = "[" + dataString + "]";
            Response.Write("chartData = " + chartData + ";");                
       }                      
    %>

    AmCharts.ready(function () {
        // SERIAL CHART
        chart = new AmCharts.AmSerialChart();

        chart.dataProvider = chartData;
        chart.marginLeft = 10;
        chart.categoryField = "date";
        chart.dataDateFormat = "YYYY.MM.DD";

        // AXES
        // category
        var categoryAxis = chart.categoryAxis;
        categoryAxis.parseDates = false; // as our data is date-based, we set parseDates to true
        categoryAxis.minPeriod = "DD"; // our data is yearly, so we set minPeriod to YYYY
        categoryAxis.dashLength = 3;
        categoryAxis.minorGridEnabled = false;
        categoryAxis.minorGridAlpha = 1;
        categoryAxis.title = "日期";
        categoryAxis.dateFormats = [
            {
                period: 'ss',
                format: 'JJ:NN:SS'
            },
            {
                period: 'mm',
                format: 'JJ:NN'
            },
            {
                period: 'hh',
                format: 'JJ:NN'
            },
            {
                period: 'DD',
                format: 'MM.DD'
            },
            {
                period: 'WW',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'MM',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'YYYY',
                format: 'YYYY.MM.DD'
            }
        ];

        // value
        var valueAxis = new AmCharts.ValueAxis();
        valueAxis.axisAlpha = 0;
        valueAxis.dashLength = 3;
        valueAxis.title = "办理会员数量（个）";
        valueAxis.showLastLabel = true;
        valueAxis.showFirstLabel = true;
        chart.addValueAxis(valueAxis);

        // GRAPH
        graph = new AmCharts.AmGraph();
        graph.type = "smoothedLine"; // this line makes the graph smoothed line.
        graph.lineColor = "#d1655d";
        graph.negativeLineColor = "#637bb6"; // this line makes the graph to change color when it drops below 0
        graph.bullet = "round";
        graph.bulletSize = 8;
        graph.bulletBorderColor = "#FFFFFF";
        graph.bulletBorderAlpha = 1;
        graph.bulletBorderThickness = 2;
        graph.lineThickness = 2;
        graph.valueField = "value";
        graph.balloonText = "[[category]]<br><b><span style='font-size:18px;'>[[value]] 个</span></b>";
        graph.labelText = "[[value]] 个";
        chart.addGraph(graph);

        // CURSOR
        var chartCursor = new AmCharts.ChartCursor();
        chartCursor.cursorAlpha = 0;
        chartCursor.cursorPosition = "mouse";
        chartCursor.categoryBalloonDateFormat = "YYYY.MM.DD";
        chart.addChartCursor(chartCursor);
        chart.creditsPosition = "top-right";
        chart.export = {
            "enabled": true
        };

        // WRITE
        chart.write("chartdiv");
    });

    </script>

</form>
</body>
</html>

