﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="member_modify.aspx.cs" Inherits="VA.Modules.JDingMember.member.member_modify" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>会员信息修改</title>
    <!--#include virtual="/modules/member/include/css/edit.aspx"-->
    <!--#include virtual="/modules/member/include/js/edit.aspx"-->     
    <script type="text/javascript">

    function save() {

        //调用asp.net验证控件自带的js数据验证脚本对控件进行验证；
        var validationResult = Page_ClientValidate('');
        if (!validationResult) {
            return;
        }

        var requestType = "POST";
        var url = pageName + "?act=update";  //pageName在BasePage中注册到的客户端；
        var dataType = "html";
        var data = $("form").eq(0).serialize();
        var successFN = function (data, textStatus) {
            if (data == "ok") {
                showActResult("修改成功！", true, doAfterAct);
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterAct);
            }
            else {
                showActResult("修改失败：" + data, false, doAfterAct);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }

    function doAfterAct(actResult) {
        if (actResult) {
            resetPage();
        }
    }

    function resetPage() {

        clearMemberInfo();

        //姓名
        $("#txtName").val("");

        //性别；

        //生日
        $("#txtBirthDate").val("");
        
        //手机
        $("#txtMobileNo").val("");

        //微信；
        $("#txtWeixinNo").val("");

        //电话
        $("#txtPhone").val("");

        //Email
        $("#txtEmail").val("");

        //会员卡号
        $("#txtCardNo").val("");

        //身份证号
        $("#txtIDCardNo").val("");

        //照片
        $("#txtPhoto").val("");
        $("#photoContainer").html("").hide();

        //省
        $("#province1").val("");
        //市
        $("#city1").val("");
        //县
        $("#zone1").val("");

        //地址
        $("#txtAddress").val("");

        //备注
        $("#txtRemark").val("");

        //清除错误提示样式；
        clearInputValidatorError();

        $("#btnSubmit").attr("disabled", "disabled");
    }

    //会员信息加载成功时调用的方法；            
    function doWhenMemberInfoLoadSuc(memberInfo) {
        
        //会员ID
        $("#hfKey").val(memberInfo.memberID);

        //姓名
        $("#txtName").val(memberInfo.membername);

        //性别；
        $("#ddlSex").val(memberInfo.sex);

        //生日
        $("#txtBirthDate").val(memberInfo.birthdate);
        if (memberInfo.birthdate == "1900-01-01") {
            $("#txtBirthDate").val("");
        }

        //手机
        $("#txtMobileNo").val(memberInfo.mobileno);
        
        //微信；
        $("#txtWeixinNo").val(memberInfo.weixinNo);

        //Email
        $("#txtEmail").val(memberInfo.email);
        
        //身份证号
        $("#txtIDCardNo").val(memberInfo.idcardno);

        //照片
        $("#txtPhoto").val(memberInfo.photo);
        
        //显示照片;
        showMemberPhoto(memberInfo.photo);

        //设置所属地区；
        if (memberInfo.provinceCode != "") {            
            $("#province1").val(memberInfo.provinceCode + "|" + memberInfo.provinceName);
            provinceChange($("#province1")[0], document.getElementById("city1"), document.getElementById("zone1"));
        }
        if (memberInfo.cityCode != "") {
            $("#city1").val(memberInfo.cityCode + "|" + memberInfo.cityName);
            cityChange($("#city1")[0], document.getElementById("zone1"));            
        }
        if (memberInfo.districtCode != "") {
            $("#zone1").val(memberInfo.districtCode + "|" + memberInfo.districtName);
        }

        //地址
        $("#txtAddress").val(memberInfo.contactaddress);

        //备注
        $("#txtRemark").val(memberInfo.remark);

        $("#btnSubmit").removeAttr("disabled");

        //姓名
        $("#txtName").select();
    }

    //会员信息加载失败时调用的方法；
    function doWhenMemberInfoLoadFail() {
        
    }

    function showMemberPhoto(photoFileName) {
        if (photoFileName != "") {
            var photoPath = '<img src="/resources/pics/member/photo/' + photoFileName + '" border="0" width="100%" height="100%" />';
            $("#photoContainer").html(photoPath).show();
        } else {
            $("#photoContainer").html("").hide();
        }
    }

    function uploadImage() {
        openFrameWindow("上传图片", 500, 220, "member_uploadphoto.aspx", false);
    }

    function takeImage(thumpicFileName) {
        $("#txtPhoto").val(thumpicFileName);
        closeFrameWindow();
    }

    $(function () {

        if ($("#hfMemberID").val() == "") {
            $("#btnSubmit").attr("disabled", "disabled");
        }

        //焦点控制
        $("input,select").keydown(function (event) {
            if (event.keyCode == 13) {
                var targetID = event.target.id;
                switch (targetID) {
                    case "txtName":
                        if ($("#txtName").val() != "") {
                            $("#ddlSex").focus();
                        }
                        break;
                    case "ddlSex":
                        $("#txtBirthDate").select();
                        break;
                    case "txtBirthDate":
                        $("#txtMobileNo").select();
                        break;
                    case "txtMobileNo":
                        $("#txtWeixinNo").select();
                        break;
                    case "txtWeixinNo":
                        $("#txtEmail").select();
                        break;
                    case "txtEmail": ;
                        $("#txtIDCardNo").select();
                        break;
                    case "txtIDCardNo":
                        $("#txtAddress").select();
                        break;
                    case "txtAddress":
                        $("#txtRemark").select();
                        break;
                    case "txtRemark":
                        save();
                        break;
                    default:
                        break;
                }
            }
        });
    });

    </script>
    <style type="text/css">
        .photoContainer {
            position:absolute;top:32px;right:-1px;width:150px;height:150px;border:1px solid #dddddd;
        }
    </style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div class="editPageWrapper" style="width:700px;">

<div class="centerFormTitle">
   <h1>会员修改</h1>
</div>

<!--#include file="../include/memberinfo.aspx"-->     

<div style="position:relative;">
    
    <% if(!String.IsNullOrEmpty(base.memberInfo.Photo)) {%>
        <div class="photoContainer">
            <img src="/resources/pics/member/photo/<% = base.memberInfo.Photo %>" border="0" width="100%" height="100%" />
        </div>
    <% } else { %>
        
        <div id="photoContainer" class="photoContainer" style="display:none;">            
        </div>
    <% } %>

    <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px">
    <tr>
    <td class="th" colspan="2" style="font-weight:bold;text-align:left;">会员信息</td>
    </tr>
    <tr>
    <td class="th">(<span class="note mustfill">*</span>)姓名：</td>
    <td>              
        <VACTL:TextBox ID="txtName" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="100px"
                CanBeNull="No"
                FieldName="姓名"
                MaxLength="10" />        
    </td>
    </tr>
    <tr>
    <td class="th">性别：</td>
    <td>
        <asp:DropDownList ID="ddlSex" Runat="server" Width="104px" >
        <asp:ListItem Value="男">男</asp:ListItem>
        <asp:ListItem Value="女">女</asp:ListItem>    
        </asp:DropDownList>
    </td>
    </tr>
    <tr>
    <td class="th">出生日期：</td>
    <td>
        <VACTL:TextBox ID="txtBirthDate" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="100px"
                FieldName="出生日期"
                RequiredFieldType="Date"            
                onfocus="laydate()"
                MaxLength="20" /> <span class="note">格式：yyyy-MM-dd，如：1980-01-15</span>
    </td>
    </tr>
    <tr>
    <td class="th">(<span class="note mustfill">*</span>)手机：</td>
    <td>
        <VACTL:TextBox ID="txtMobileNo" runat="server"
                EnableViewState="False"
		        CssClass="input"
                Width="100px"
                CanBeNull="No"
                FieldName="手机"
                RequiredFieldType="Mobile"
                MaxLength="11" /> 
    </td>
    </tr>
    <tr>
    <td class="th">微信：</td>
    <td>
        <VACTL:TextBox ID="txtWeixinNo" runat="server"
                EnableViewState="False"
		        CssClass="input"
                Width="200px"            
                MaxLength="50" /> 
    </td>
    </tr>
    <tr>
    <td class="th">Email：</td>
    <td>
       <VACTL:TextBox ID="txtEmail" runat="server"
                EnableViewState="False"
		        CssClass="input"
                Width="200px"
                FieldName="Email"
                RequiredFieldType="Email"
                MaxLength="50" /> 
            
    </td>
    </tr>
    <%--<tr>
    <td class="th">推荐人卡号：</td>
    <td>
        <asp:TextBox runat="server" ID="txtIntroducer" 
                CssClass="input" 
                onfocus="JTongSmartDropDownList_OnfocusHandler(this, '../smartdropdownlist_datasrc/get_members.aspx',true,false,300,180);"
                Width="100px"
                MaxLength="30" />
        <asp:HiddenField runat="server" id="txtIntroducer_hiddenValue" />
    </td>
    </tr>
    <tr>
    <td class="th">客户经理：</td>
    <td>
        <asp:TextBox runat="server" ID="txtSalesman" 
                CssClass="input" 
                onfocus="JTongSmartDropDownList_OnfocusHandler(this, '../smartdropdownlist_datasrc/get_employees.aspx',true,false,300,150);"
                Width="100px"
                MaxLength="20" />
        <asp:HiddenField runat="server" id="txtSalesman_hiddenValue" />
    </td>
    </tr>--%>
    <tr>
    <td class="th">身份证号：</td>
    <td>
        <VACTL:TextBox ID="txtIDCardNo" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="200px"
                FieldName="身份证号"
                RequiredFieldType="IDCardNum"
                MaxLength="18"
                />
    </td>
    </tr>
    <tr>
    <td class="th">会员照片：</td>
    <td colspan="3">    
	    <VACTL:TextBox ID="txtPhoto" Runat="server"
		        EnableViewState="False"
		        CssClass="input"
                Width="200px"
                MaxLength="100"  />	
        <input type="button" id="Button1" class="simpleBtn" onclick="uploadImage()" value="上传图片" />
    </td>
    </tr>
    <tr>
    <td class="th">所在地区：</td>
    <td>
            <select id="province1" name="province1" onchange='javascript:provinceChange(this,document.getElementById("city1"),document.getElementById("zone1"));'></select>
    
            <select id="city1" name="city1" onchange='javascript:cityChange(this,document.getElementById("zone1"));'>
            <option value="">地级市</option>
            </select>
    
            <select id="zone1" name="zone1">
            <option value="">区、县级市、县</option>
            </select>
    
            <script language="javascript" type="text/javascript" src="/Scripts/utils/Citys.js"></script>                
            <script language="javascript" type="text/javascript" src="/Scripts/utils/CityOpr-hl.js"></script>
            <script type="text/javascript">

                setDefaultPlace("", "", "");

                fillProvincObj(document.getElementById("province1"), document.getElementById("city1"), document.getElementById("zone1"));

            </script>
    
    </td>
    </tr>
    <tr>
    <td class="th">详细地址：</td>
    <td>
        <VACTL:TextBox ID="txtAddress" Runat="server"
                EnableViewState="False"
                CssClass="input"
                Width="300px"
                FieldName="地址"
                MaxLength="50" />
    </td>
    </tr>
    <tr>
    <td class="th">备注：</td>
    <td>    
	    <VACTL:TextBox ID="txtRemark" Runat="server"
		     EnableViewState="False"
		     CssClass="input"
             Width="300px"
             MaxLength="100"  />	
    </td>
    </tr>

    <tr>
    <td colspan="2" class="footer">

        <input type="button" id="btnSubmit" class="btn" style="width:100px" onclick="save()" value="保存" />
        <input type="button" id="btnClear" class="btn" style="width:100px" onclick="resetPage()" value="重置" />

        <asp:HiddenField ID="hfKey" runat="server" />
    
        <VACTL:Hint ID="Hint1" runat="server" HintImageUrl="/admin/app_themes/default/images/control" />
        <VACTL:ValidationSummary ID="ValidationSummary1" runat="server"
                DisplayMode="List"
                EnableClientScript="true" />
    
        <!--注意：这个文件一定要放到页面底部，以便覆盖asp.net验证脚本中的同名函数-->
        <script type="text/javascript" src="/scripts/utils/aspnet_validator_extend.js"></script>
    </td>
    </tr>
    </table>

</div>

<!--每个页面上只能有一个该控件实例-->
<VACTL:SmartDropDownList ID="SmartDropDownList1" runat="server"></VACTL:SmartDropDownList>  

</div><!--editPageWrapper.END-->

</form>
</body>
</html>

