﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="voucher_editlist.aspx.cs" Inherits="VA.Modules.JDingMember.voucher.voucher_editlist" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>代金券管理</title>    
    <!--#include virtual="/modules/member/include/css/editlist.aspx"-->
    <link href="/admin/app_themes/<% = webSiteConfig.ThemeName %>/css/edit.css" type="text/css" rel="Stylesheet" />
    <!--#include virtual="/modules/member/include/js/editlist.aspx"-->         
    <script type="text/javascript">   
       
        function sRelease(rid) {
            openFrameWindow("发行代金券", 730, 300, "voucher_release.aspx?vouchercode=" + rid);
        }

        function sviewDetail(rid) {
            openTopestWindow("代金券明细(" + rid + ")", "/modules/member/voucher/voucher_instances.aspx?vouchercode=" + rid);
        }

        //单条删除；
        function sdel(keyValue) {
            singleActWrapper("Del", keyValue, "确定要删除该代金券吗？", "");
        }

        $(function () {
            initListPage();         
        });
    </script>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   
    
    <div id="toolBar">                          
        <a href="javascript:refresh()" class="jtongui-toolbarbutton" icon="icon-reload">刷新</a>            
        <asp:LinkButton ID="lbnExportToExcel" runat="server" CssClass="jtongui-toolbarbutton" icon="icon-export" OnClick="lbnExportToExcel_Click">导出</asp:LinkButton>
    </div><!--toolBar.END-->   
                     
    <div id="searchBar">
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>

        <asp:TextBox ID="txtKeyWords" runat="server"
            CssClass="input keywords"
            Width="100px" />

        <asp:DropDownList ID="ddlDateRule" runat="server" EnableViewState="false">
        <asp:ListItem Value="" Selected="True">创建时间</asp:ListItem>
        <asp:ListItem Value="1">今天</asp:ListItem>
            <asp:ListItem Value="2">昨天</asp:ListItem>
            <asp:ListItem Value="3">前天</asp:ListItem>
            <asp:ListItem Value="4">近两天</asp:ListItem>
            <asp:ListItem Value="5">近三天</asp:ListItem>
            <asp:ListItem Value="6">近一周</asp:ListItem>
            <asp:ListItem Value="7">近一月</asp:ListItem>
            <asp:ListItem Value="8">上月</asp:ListItem>
            <asp:ListItem Value="9">本月</asp:ListItem>
            <asp:ListItem Value="10">自定义</asp:ListItem>
        </asp:DropDownList>    

        <VACTL:TextBox ID="txtBeginDate" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="80px"            
            onfocus="laydate()"
            MaxLength="20" />  
        -      
        <VACTL:TextBox ID="txtEndDate" Runat="server"
            EnableViewState="False"
            CssClass="input"
            Width="80px"            
            onfocus="laydate()"
            MaxLength="20" />                        
        
        <asp:Button ID="btnSearch" runat="server" 
             CssClass="simpleBtn"
             Text="查询" 
             Onclick="btnSearch_Click" />
        
        </ContentTemplate>
        </asp:UpdatePanel>

    </div><!--searchBar.END-->    

    <div id="dataBar">

    <!--MainList.Start-->    
    <div class="jtongui-smartlisttable" id="jtongui-smartlisttable">

    <table cellpadding="3" cellspacing="0" class="tableheader" id="tb1_header" >
    <thead>
    <tr>
        <%--<td style="width:30px;text-align:center;"><input type="checkbox" id="ckb_selectAll"/></td>--%>
        <td style="width:30px;text-align:center;">No.</td>
        <td style="width:70px;text-align:center;">代金券代码</td>
        <td style="width:200px;text-align:center;">代金券名称</td>
        <td style="width:70px;text-align:center;">代金券面值</td>
    <%--    <td style="width:100px;text-align:center;">每日限使用次数</td>   --%>     
        <td style="width:100px;text-align:center;">限最低消费金额</td>        
        <td style="width:100px;text-align:center;">创建时间</td>	 
        <td style="width:70px;text-align:center;">操作员</td>        
        <td style="width:100px;text-align:center;">创建门店</td>	 
        <td style="width:50px;text-align:center;">发行数量</td>	 
        <td style="width:50px;text-align:center;">分发数量</td>	 
        <td style="width:50px;text-align:center;">已用数量</td>
        <td style="width:40px;text-align:center;">发行</td>	 
        <td style="width:80px;text-align:center;">代金券明细</td>	
        <td style="width:30px;text-align:center;">删除</td>	    	  	       	     
        <td></td>
    </tr>    
    </thead>
    </table>

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>    
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>
    <table cellpadding="3" cellspacing="0" class="tablebody" tbHeader="tb1_header">
    </HeaderTemplate>
    <ItemTemplate>
    <tr>
       <%-- <td style="text-align:center;"><input type="checkbox" name="ckb_dataItem" value="<%# Eval("Voucher_Code")%>" /></td>--%>
        <td align="center"><%# (base.currPage - 1)*base.PageSize + Container.ItemIndex + 1%></td>
        <td align="center"><%# Eval("Voucher_Code")%></td>
        <td align="left"><%# Eval("Voucher_Name")%></td>
        <td align="center"><%# Convert.ToDecimal(Eval("Face_Value")).ToString("F2")%></td>
        <%--<td align="center"><%# Eval("Limit_MaxUseTimes_PerDay")%></td>--%>
        <td align="center"><%# Convert.ToDecimal(Eval("Limit_MinConsumeAmount_PerBill")).ToString("F2")%></td>        
        <td align="center"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Create_Date"))%></td>
        <td align="center"><%# Eval("Operator_Name")%></td>             
        <td align="center"><%# Eval("Operator_Shop_Name")%></td>             
        <td align="center"><%# Eval("Released_Quantity")%></td>             
        <td align="center"><%# Eval("Distributed_Quantity")%></td>             
        <td align="center"><%# Eval("Used_Quantity")%></td>   
        <td align="center"><a href="javascript:sRelease('<%# Eval("Voucher_Code")%>');"><img src="/admin/icons/detail.png" alt="代金券明细"/></a></td>         	       	                        
        <td align="center"><a href="javascript:sviewDetail('<%# Eval("Voucher_Code")%>');"><img src="/admin/icons/detail.png" alt="代金券明细"/></a></td>         	       	                        
        <td align="center">
            <a href="#" onclick="javascript:sdel('<%# Eval("Voucher_Code")%>');"><img src="/admin/icons/delete.png" alt="删除"/>  </a>
        </td>        
        <td></td>
    </tr>
    </ItemTemplate>
    <FooterTemplate>
    </table>
    </div><!--bodyContainer.END-->        

    <div id="divPagerInfo" style="display:none">
        <%=base.pageInfo%>
    </div>

    <input type="hidden" id="hidden_pageCnt" value="<% = base.PageCnt%>" />
    <input type="hidden" id="hidden_rdCnt" value="<% = base.RdCnt%>" />
    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->

    </div><!--jtongui-smartlisttable.END-->        
    <!--MainList.End-->  

    </div><!--dataBar.END-->

    <div id="pagerBar">
       ……
    </div><!--pageNavBar.END-->
    
    <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
    
</div>

</form>
</body>
</html> 