﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="welcome_v2.aspx.cs" Inherits="VA.Modules.JDingMember.welcome_v2" %>

<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Collections.Generic" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title></title>    
    <!--#include virtual="/modules/member/include/css/common.aspx"-->
    <!--#include virtual="/modules/member/include/css/easyui.aspx"-->
    <link href="/uicontrols/jtongui/themes/<% = base.webSiteConfig.ThemeName %>/simplepanel.css" type="text/css" rel="Stylesheet" />
    <link href="/uicontrols/jtongui/themes/<% = webSiteConfig.ThemeName %>/tabs.css" type="text/css" rel="Stylesheet" />
    <link href="/uicontrols/amcharts_v3.18.3/plugins/export/export.css" rel="stylesheet" type="text/css" >
    
    <link href="app_themes/<% = base.webSiteConfig.ThemeName %>/css/pages/welcome.css" type="text/css" rel="Stylesheet" />
    <!--#include virtual="/modules/member/include/js/common.aspx"--> 
    <!--#include virtual="/modules/member/include/js/easyui.aspx"--> 
    <script type="text/javascript" src="/uicontrols/jtongui/plugins/jtong.tabs.js"></script>
    <script src="/uicontrols/amcharts_v3.18.3/amcharts.js" type="text/javascript"></script>
    <script src="/uicontrols/amcharts_v3.18.3/serial.js" type="text/javascript"></script>    
    <script src="/uicontrols/amcharts_v3.18.3/plugins/export/export.js" type="text/javascript"></script>
    
    <script type="text/javascript">

        function stat() {

            openDivWindow("", 300, 100, 220, 180, "divProgressNote");

            $.ajax({
                type: "GET",
                url: "welcome/get_welcome_statdata.aspx",
                dataType: "html",
                data: null,
                success: function (data, textStatus) {
                    if (data != "error") {
                        closeWindow("divProgressNote");
                        var statInfo = JSON.parse(data);

                        $("#qr_xzhy").html(statInfo.qr_xzhy);
                        $("#qr_czsk").html(statInfo.qr_czsk);
                        $("#qr_xfsk").html(statInfo.qr_xfsk);
                        $("#qr_ccsk").html(statInfo.qr_ccsk);
                        $("#qr_hytx").html(statInfo.qr_hytx);
                        $("#qr_xyjy").html(statInfo.qr_xyjy);

                        $("#zr_xzhy").html(statInfo.zr_xzhy);
                        $("#zr_czsk").html(statInfo.zr_czsk);
                        $("#zr_xfsk").html(statInfo.zr_xfsk);
                        $("#zr_ccsk").html(statInfo.zr_ccsk);
                        $("#zr_hytx").html(statInfo.zr_hytx);
                        $("#zr_xyjy").html(statInfo.zr_xyjy);

                        $("#hysrsl").html(statInfo.hysrsl); //会员生日数量

                        //库存不足商品数量
                        if (statInfo.kcbzspsl != "0") {
                            $("#spanKcbz").html("(" + statInfo.kcbzspsl + ")");
                        }
                 
                        //礼品订单数量
                        if (statInfo.lpddsl != "0") {
                            $("#spanGiftOrderCount").html("(" + statInfo.lpddsl + ")");
                        }

                        //=====================================

                        showChart_jingyingqushi(statInfo.jingyingqushi);
                        showChart_chongzhiqushi(statInfo.chongzhiqushi);
                        showChart_huiyuanbanliqushi(statInfo.huiyuanbanliqushi);
                    }
                    else {
                        closeWindow("divProgressNote");
                        showActResult("获取统计信息失败！", false);
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    closeWindow("divProgressNote");
                    showActResult("请求失败！textStatus :" + textStatus, false);
                }
            });
        }

        function loadAnnoucements()
        {
            var result = ajaxGetData("welcome/get_topx_announcement_list.aspx", "html", "");
            $("#annoucementContent").html(result);
        }

        function setLayout() {
            var window_height = $(window).outerHeight();
            var systemInfo_height = $("#systemInfo").outerHeight();
            var memberGreet_height = $("#memberGreet").outerHeight();
            var shopName_height = $("#shopName").outerHeight();
            var mainData_height = 0;
            mainData_height = window_height - systemInfo_height - shopName_height - 15;
            $("#mainData").height(mainData_height);
            $("#floatPanel").height(mainData_height + systemInfo_height);
            $("#annountments").height(mainData_height);
            $("#annoucementContent").height(mainData_height - 44);            
        }

        $(function () {

            setLayout();

            //绑定窗体resize事件；
            $(window).resize(function () {                
                setLayout();
            });

            JTongTabs_init();
            stat();
            loadAnnoucements();
        });
    </script>
</head>
<body>

<form id="Form1" method="post" runat="server">

<div id="wrapper" style="width:790px;padding-left:10px;">    

    <h1 id="shopName"><% = base.CompanyName + "（" + base.ShopName + "）" %></h1>
   
    <div id="systemInfo" class="simplepanel" style="margin-top:5px;">
        <div class="header">
        <h1>系统信息</h1>
        </div>
        <div class="content" style="padding:0px;">

            <div id="loginInfo">
                <div id="loginInfo-icon"></div>
                <div id="loginInfo-desc">
                    <div style="float:left;">操作员：<% = base.EmployeeName %> ，工号：<% = base.EmployeeID %> ，所属门店：<% = new VA.Modules.JDingMember.Core.Business.Basic.ShopDict().GetEntity(base.EmployeeShopCode).Shop_Name %></div>                 
                    <div style="float:right;">日期：<% = DateTime.Now.ToString("yyyy年MM月dd日", System.Globalization.CultureInfo.InvariantCulture) %>&nbsp;</div>
                </div>
            </div>

            <div id="statInfo">
                <div id="statInfo-icon"></div>
                <div id="statInfo-desc">
                    <table width="100%" cellpadding="0" cellspacing="0" height="100">
                        <tr>
                            <td style="width:40px;vertical-align:top;padding-top:3px;"><span class="highLight">前日</span></td>
                            <td>本店 新增会员 <span class="number highLight" id="qr_xzhy">0</span> 个，充值收款 <span class="number highLight" id="qr_czsk">0.00</span> 元，消费收款 <span class="number highLight" id="qr_xfsk">0.00</span> 元，充次收款 <span class="number highLight" id="qr_ccsk">0.00</span> 元，会员提现 <span class="number highLight" id="qr_hytx">0.00</span> 元，现金结余 <span class="number highLight" id="qr_xjjy">0.00</span> 元</td>
                        </tr>
                        <tr>
                            <td style="vertical-align:top;padding-top:3px;"><span class="highLight">昨日</span></td>
                            <td>本店 新增会员 <span class="number highLight" id="zr_xzhy">0</span> 个，充值收款 <span class="number highLight" id="zr_czsk">0.00</span> 元，消费收款 <span class="number highLight" id="zr_xfsk">0.00</span> 元，充次收款 <span class="number highLight" id="zr_ccsk">0.00</span> 元，会员提现 <span class="number highLight" id="zr_hytx">0.00</span> 元，现金结余 <span class="number highLight" id="zr_xjjy">0.00</span> 元</td>
                        </tr>
                    </table>
                </div>
            </div>
            
        </div>
    </div>  

    <div id="mainData" style="margin-top:-1px;">
    <div class="jtongui-tabs" fill="true">
	    <ul class="header">
		    <li class="tabheader-item-selected"><a>一周消费收银趋势</a></li>        
            <li>一周会员充值趋势</li>		
            <li>一周会员办理趋势</li>		
            <li>一周商品销售排名</li>		
		    <li>库存不足提醒<span id="spanKcbz" style="color:Red;font-weight:bold;"></span></li>		        
            <li><a href="javascript:openTopestWindow('礼品自助兑换平台','/modules/member/giftshop/nav.aspx')">礼品订单<span id="spanGiftOrderCount" style="color:Red;font-weight:bold;"></span></a></li>
	    </ul>
	    <div id="div_jingyingqushi" class="tabcontent tabcontent-selected">	    
            <div id="chartdiv" style="width: 100%; height: 100%;"></div>
	    </div>
        <div id="div_chongzhiqushi" class="tabcontent">	    
            <div id="chartdiv2" style="width: 100%; height: 100%;"></div>
	    </div>
        <div id="div_huyuanbanliqushi" class="tabcontent">	    
            <div id="chartdiv3" style="width: 100%; height: 100%;"></div>
	    </div>
        <div id="div_salerank" class="tabcontent">
	        <iframe src='welcome/chargeitem_salerank_list.aspx' style='width:100%;height:100%;border:0px;margin:0px;padding:0px;'  ></iframe>
	    </div>
	    <div id="div_stockinsufficient" class="tabcontent">
	        <iframe src='welcome/chargeitem_stockinsufficient_list.aspx' style='width:100%;height:100%;border:0px;margin:0px;padding:0px;'  ></iframe>
	    </div>
        <div id="div_giftorders" class="tabcontent">
	        <%--<iframe src='giftshop/order_editlist.aspx?status=<%= VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatus.Daiqueren %>&issearch=1' style='width:100%;height:100%;border:0px;margin:0px;padding:0px;'  ></iframe>--%>
	    </div>
    </div>    
    </div><!--mainData.END-->

    <div id="floatPanel">
        <div id="memberGreet" class="simplepanel">
            <div class="header">
            <h1>会员生日提醒</h1>
            </div>
            <div class="content" style="padding-right:0px;height:140px;">

                 <div id="memberBirthdayGreet">
                    <div id="memberBirthdayGreet-icon"></div>
                    <div id="memberBirthdayGreet-desc">
                        今天<%--（<% = DateTime.Now.ToString("yyyy年MM月dd日", System.Globalization.CultureInfo.InvariantCulture) %>）--%>共有 <span class="number highLight" id="hysrsl">0</span> 位会员生日
                        <br />
                        <a href="javascript:openTopestWindow('会员生日祝福','/modules/member/sms/member_birthday_greet.aspx')">[发送生日祝福 ]</a>
                    </div>
                </div>

            </div>
        </div>

        <div id="annountments" class="simplepanel" style="margin-top:-1px;">
            <div class="header" style="padding-top:1px;">
            <h1>近期公告</h1>
            <div class="more"><a href="javascript:openTopestWindow('公告列表','/modules/member/corporateaffairs/announcement_list.aspx')">更多>></a></div>
            </div>
            <div id="annoucementContent" class="content" style="padding-right:0px;min-height:140px;overflow:auto;">
                 
            </div>
        </div>
    </div>

</div>   

<div id="divProgressNote" style="display:none;line-height:80px;text-align:center;">
    <span style="font-weight:bold;font-size:14px;">正在统计，请稍后……</span>
</div>

<script type="text/javascript">
    var chart;
    var legend;

    function showChart_jingyingqushi(chartData) {

        if (chartData == null) {
            return;
        }

        // SERIAL CHART
        chart = new AmCharts.AmSerialChart();

        chart.dataProvider = chartData;
        chart.marginLeft = 10;
        chart.categoryField = "date";
        chart.dataDateFormat = "YYYY.MM.DD";

        // AXES
        // category
        var categoryAxis = chart.categoryAxis;
        categoryAxis.parseDates = false; // as our data is date-based, we set parseDates to true
        categoryAxis.minPeriod = "DD"; // our data is yearly, so we set minPeriod to YYYY
        categoryAxis.dashLength = 3;
        categoryAxis.minorGridEnabled = false;
        categoryAxis.minorGridAlpha = 1;
        categoryAxis.title = "日期";
        categoryAxis.dateFormats = [
            {
                period: 'ss',
                format: 'JJ:NN:SS'
            },
            {
                period: 'mm',
                format: 'JJ:NN'
            },
            {
                period: 'hh',
                format: 'JJ:NN'
            },
            {
                period: 'DD',
                format: 'MM.DD'
            },
            {
                period: 'WW',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'MM',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'YYYY',
                format: 'YYYY.MM.DD'
            }
        ];

        // value
        var valueAxis = new AmCharts.ValueAxis();
        valueAxis.axisAlpha = 0;
        valueAxis.dashLength = 3;
        valueAxis.title = "消费收银金额（元）";
        valueAxis.showLastLabel = true;
        valueAxis.showFirstLabel = true;
        chart.addValueAxis(valueAxis);

        // GRAPH
        graph = new AmCharts.AmGraph();
        graph.type = "smoothedLine"; // this line makes the graph smoothed line.
        graph.lineColor = "#d1655d";
        graph.negativeLineColor = "#637bb6"; // this line makes the graph to change color when it drops below 0
        graph.bullet = "round";
        graph.bulletSize = 8;
        graph.bulletBorderColor = "#FFFFFF";
        graph.bulletBorderAlpha = 1;
        graph.bulletBorderThickness = 2;
        graph.lineThickness = 2;
        graph.valueField = "value";
        graph.balloonText = "[[category]]<br><b><span style='font-size:18px;'>[[value]] 元</span></b>";
        graph.labelText = "[[value]] 元";
        chart.addGraph(graph);

        // CURSOR
        var chartCursor = new AmCharts.ChartCursor();
        chartCursor.cursorAlpha = 0;
        chartCursor.cursorPosition = "mouse";
        chartCursor.categoryBalloonDateFormat = "YYYY.MM.DD";
        chart.addChartCursor(chartCursor);
        chart.creditsPosition = "top-right";
        chart.export = {
            "enabled": false
        };

        // WRITE
        chart.write("chartdiv");

    }

    function showChart_chongzhiqushi(chartData){
        if (chartData == null) {
            return;
        }

        // SERIAL CHART
        chart = new AmCharts.AmSerialChart();

        chart.dataProvider = chartData;
        chart.marginLeft = 10;
        chart.categoryField = "date";
        chart.dataDateFormat = "YYYY.MM.DD";

        // AXES
        // category
        var categoryAxis = chart.categoryAxis;
        categoryAxis.parseDates = false; // as our data is date-based, we set parseDates to true
        categoryAxis.minPeriod = "DD"; // our data is yearly, so we set minPeriod to YYYY
        categoryAxis.dashLength = 3;
        categoryAxis.minorGridEnabled = false;
        categoryAxis.minorGridAlpha = 1;
        categoryAxis.title = "日期";
        categoryAxis.dateFormats = [
            {
                period: 'ss',
                format: 'JJ:NN:SS'
            },
            {
                period: 'mm',
                format: 'JJ:NN'
            },
            {
                period: 'hh',
                format: 'JJ:NN'
            },
            {
                period: 'DD',
                format: 'MM.DD'
            },
            {
                period: 'WW',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'MM',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'YYYY',
                format: 'YYYY.MM.DD'
            }
        ];

        // value
        var valueAxis = new AmCharts.ValueAxis();
        valueAxis.axisAlpha = 0;
        valueAxis.dashLength = 3;
        valueAxis.title = "会员充值金额（元）";
        valueAxis.showLastLabel = true;
        valueAxis.showFirstLabel = true;
        chart.addValueAxis(valueAxis);

        // GRAPH
        graph = new AmCharts.AmGraph();
        graph.type = "smoothedLine"; // this line makes the graph smoothed line.
        graph.lineColor = "#d1655d";
        graph.negativeLineColor = "#637bb6"; // this line makes the graph to change color when it drops below 0
        graph.bullet = "round";
        graph.bulletSize = 8;
        graph.bulletBorderColor = "#FFFFFF";
        graph.bulletBorderAlpha = 1;
        graph.bulletBorderThickness = 2;
        graph.lineThickness = 2;
        graph.valueField = "value";
        graph.balloonText = "[[category]]<br><b><span style='font-size:18px;'>[[value]] 元</span></b>";
        graph.labelText = "[[value]] 元";
        chart.addGraph(graph);

        // CURSOR
        var chartCursor = new AmCharts.ChartCursor();
        chartCursor.cursorAlpha = 0;
        chartCursor.cursorPosition = "mouse";
        chartCursor.categoryBalloonDateFormat = "YYYY.MM.DD";
        chart.addChartCursor(chartCursor);
        chart.creditsPosition = "top-right";
        chart.export = {
            "enabled": false
        };

        // WRITE
        chart.write("chartdiv2");
    }
   
    function showChart_huiyuanbanliqushi(chartData) {
        if (chartData == null) {
            return;
        }

        // SERIAL CHART
        chart = new AmCharts.AmSerialChart();

        chart.dataProvider = chartData;
        chart.marginLeft = 10;
        chart.categoryField = "date";
        chart.dataDateFormat = "YYYY.MM.DD";

        // AXES
        // category
        var categoryAxis = chart.categoryAxis;
        categoryAxis.parseDates = false; // as our data is date-based, we set parseDates to true
        categoryAxis.minPeriod = "DD"; // our data is yearly, so we set minPeriod to YYYY
        categoryAxis.dashLength = 3;
        categoryAxis.minorGridEnabled = false;
        categoryAxis.minorGridAlpha = 1;
        categoryAxis.title = "日期";
        categoryAxis.dateFormats = [
            {
                period: 'ss',
                format: 'JJ:NN:SS'
            },
            {
                period: 'mm',
                format: 'JJ:NN'
            },
            {
                period: 'hh',
                format: 'JJ:NN'
            },
            {
                period: 'DD',
                format: 'MM.DD'
            },
            {
                period: 'WW',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'MM',
                format: 'YYYY.MM.DD'
            },
            {
                period: 'YYYY',
                format: 'YYYY.MM.DD'
            }
        ];

        // value
        var valueAxis = new AmCharts.ValueAxis();
        valueAxis.axisAlpha = 0;
        valueAxis.dashLength = 3;
        valueAxis.title = "新办理会员数量（个）";
        valueAxis.showLastLabel = true;
        valueAxis.showFirstLabel = true;
        chart.addValueAxis(valueAxis);

        // GRAPH
        graph = new AmCharts.AmGraph();
        graph.type = "smoothedLine"; // this line makes the graph smoothed line.
        graph.lineColor = "#d1655d";
        graph.negativeLineColor = "#637bb6"; // this line makes the graph to change color when it drops below 0
        graph.bullet = "round";
        graph.bulletSize = 8;
        graph.bulletBorderColor = "#FFFFFF";
        graph.bulletBorderAlpha = 1;
        graph.bulletBorderThickness = 2;
        graph.lineThickness = 2;
        graph.valueField = "value";
        graph.balloonText = "[[category]]<br><b><span style='font-size:18px;'>[[value]] 个</span></b>";
        graph.labelText = "[[value]] 个";
        chart.addGraph(graph);

        // CURSOR
        var chartCursor = new AmCharts.ChartCursor();
        chartCursor.cursorAlpha = 0;
        chartCursor.cursorPosition = "mouse";
        chartCursor.categoryBalloonDateFormat = "YYYY.MM.DD";
        chart.addChartCursor(chartCursor);
        chart.creditsPosition = "top-right";
        chart.export = {
            "enabled": false
        };

        // WRITE
        chart.write("chartdiv3");
    }

    AmCharts.ready(function () {
                
    });

    </script>

</form>
</body>
</html> 