﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_list.aspx.cs" Inherits="VA.Modules.JDingMember.mycenter.giftshop.gift_list" %>

<%@ Import Namespace="System.Data"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>礼品列表</title>    
<!--#include virtual="/modules/mycenter/include/css/editlist.aspx"-->
<!--#include virtual="/modules/mycenter/include/js/editlist.aspx"--> 
<script type="text/javascript" src="/scripts/jquery/plugins/layer-v2.1/layer/layer.js"></script>
<script type="text/javascript">
      
    var itemArray = new Array();        
        
    //放入购物车
    function addToCart(key) {            
        var itemCode = $("#hfItemCode_" + key).val();
        var exists = false;
        for (var i=0;i<itemArray.length;i++){
            var item = itemArray[i];
            if (itemCode == item.itemCode){ //如果已存在，则更新数量
                exists = true;
                item.quantity = item.quantity + 1;
                break;
            }
        }
        
        if (!exists){
            addItem_(key);
        }

        updateShoppingCartInfo();

        var itemString = JSON.stringify(itemArray);        
        var storage = getStorage();
        storage.setItem(getStorageKey(), itemString);  

        JTongAlert_AutoClose("已加入礼品车.", 1000);
                       
        //event.stopPropagation();  //阻止事件冒泡，避免行被选中；
    }

    function addItem_(key){
        var item = new Object();
        item.itemType = $("#hfItemType_" + key).val();
        item.itemCategory = $("#hfItemCategory_" + key).val();
        item.itemCode = $("#hfItemCode_" + key).val();
        item.itemName = $("#hfItemName_" + key).val();
        item.unit = $("#hfUnit_" + key).val();
        item.price = $("#hfPrice_" + key).val();        
        item.itemPic = $("#hfItemPic_" + key).val();        
        item.quantity = 1;
        itemArray.push(item);
    }

    function updateShoppingCartInfo(){
        $("#productNum").html(itemArray.length);
    }

    //加载购物篮中的项；
    function loadShoppingCart(){
        var storage = getStorage();
        var storageKey = getStorageKey();
        var itemString = storage.getItem(storageKey);
        if (itemString != null){
            itemArray = JSON.parse(itemString);
        }
        updateShoppingCartInfo();            
    }

    function getStorageKey() {
        return "JDingMember_GiftShoppingCart";
    } 

    function getStorage() {
        return window.localStorage;
    }  

    $(function () {
        loadShoppingCart();
        initListPage();
    });

</script>

<style type="text/css">
.itemList{
    list-style-type:none;
    overflow:hidden;
    border:0px solid red;
}   
.itemList li{
    float:left;
    width:150px;
    height:210px;
    border:solid 1px #B9CAD3;
    margin-left:5px;
    margin-top:5px;
    text-align:center;
    -moz-border-radius: 0px 0px 5px 0px;  
    -webkit-border-radius: 0px 0px 5px 0px;  
    border-radius: 0px 0px 5px 0px;  
    cursor:pointer;      
}   
/*.itemList li:hover
{
    width:139px;
    height:128px;
    border:solid 2px red;
    box-shadow: 1px 1px 1px #555;
}*/
.item{
    position:relative;        
    left:0px;
    top:0px;
    height:100%;
    width:100%;
    border:0px solid red   
}
.itemPic{
    border:0px solid #dddddd;      
    height:150px;
    width:150px;
    overflow:hidden;
    position:relative;
}
.itemPic .badge{
    position:absolute;
    top:0px;
    right:0px;
    height:20px;
    min-width:30px;
    background-color:RGBA(220,220,220,0.5);
    border-radius:0px 0px 0px 5px;
    font-size:14px;
    padding:5px;
}
.itemPic .badge .num{
    font-weight:bold;
}
.itemDesc{
    border-top:1px solid #B9CAD3;
    height:30px;
    line-height:24px;
    width:100%;
    background-color:#EDF6FA;  
    padding:0px;
    border-radius: 0px 0px 5px 0px;  
}
.itemDesc h2{
    font-size:14px;
}
.actBar{   
    border-top:1px solid #B9CAD3;      
}
.actBar .num{
    font-weight:bold;
    font-size:14px;
}
.shoppingCart{
    display:inline-block;
    margin-top:3px;
    border:0px solid red;
    padding:3px;
    padding-left:30px;
    height:20px;
    line-height:20px;
    background-image:url(../icons/shoppingcart.png);
    background-position:5px center;
    background-repeat:no-repeat;
    background-size:20px 20px;
    font-size:14px;
    text-decoration:none;
}
.shoppingCart:hover{
    text-decoration:none;
    color:#000000;
    background-color:#fff;
}
.shoppingCart .productNum{
    color:red;
    font-weight:bold;        
}
</style>

</head>
<body>

<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

<div id="pageWrapper" class="pageWrapper">   

    <div id="noteBar">
        <p>
            <a href="shoppingcart.aspx" class="shoppingCart">礼品车 <span id="productNum" class="productNum">0</span></a>
        </p>
    </div>       
                     
    <div id="searchBar" runat="server" visible="false">
    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>

        <asp:DropDownList ID="ddlItemType" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlItemType_SelectedIndexChanged"
             Visible="false">           
        </asp:DropDownList>

        <asp:DropDownList ID="ddlCategory" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlCategory_SelectedIndexChanged">           
        </asp:DropDownList>

        <asp:DropDownList ID="ddlGiftStatus" runat="server" 
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlGiftStatus_SelectedIndexChanged">           
        </asp:DropDownList>
                               
        <asp:DropDownList ID="ddlSearchField" runat="server" EnableViewState="false">
        <asp:ListItem Value="">检索字段</asp:ListItem>
        <asp:ListItem Value="1">礼品名称</asp:ListItem>
        <asp:ListItem Value="2">礼品代码</asp:ListItem>
        </asp:DropDownList>               
                 
     <%--   <asp:DropDownList ID="ddlSearchType" runat="server" EnableViewState="false">
        <asp:ListItem Value="1">模糊匹配</asp:ListItem>
        <asp:ListItem Value="2">精确匹配</asp:ListItem>
        </asp:DropDownList>  --%>             

        <asp:TextBox ID="txtKeyWords" runat="server"
            CssClass="input keywords"
            Width="150px" />
   
        <asp:Button ID="btnSearch" runat="server" 
             CssClass="simpleBtn"
             Text="查询" 
             Onclick="btnSearch_Click" />
        
        </ContentTemplate>
        </asp:UpdatePanel>

    </div><!--searchBar.END-->    

    <div id="dataBar" style="margin-top:0px;">

    <!--MainList.Start-->    

    <div id="dataBody">
    <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
    <HeaderTemplate>
    <div class="bodyContainer">
    <% = base.ShowNoRecordInfo() %>    
    <ul class="itemList">
    </HeaderTemplate>
    <ItemTemplate>
    <li>
        <div class="item" id="item_<%# Eval("ShopGiftID")%>" data-itemkey="<%# Eval("Item_Code")%>">
            <div class="itemPic">
                <a href="gift_view.aspx?shopgiftid=<%# Eval("ShopGiftID")%>"><%# ShowItemImage(Eval("Item_Pic").ToString().Trim(), "100%", "100%")%></a>
                <%--<div class="badge"><span class="num"><%# Eval("Cost_Points_OnShop")%></span> 积分</div>--%>
            </div>
            <div class="itemDesc">
                <div style="padding:3px;position:relative;">
                    <h2><%# Eval("Item_Name")%></h2>                  
                    <div style="position:absolute;right:3px;top:5px;">
                        <a href="javascript:addToCart('<%# Eval("ShopGiftID")%>')"><img src="../icons/shoppingcart.png" alt="点击加入礼品车" align="absmiddle" /></a>
                    </div>
                </div>
            </div>
            <div class="actBar">
                <div style="padding:5px;">
                    <span>分值:<%# Eval("Cost_Points_OnShop")%></span> 库存:<%# Convert.ToInt32(Eval("Stock_Count"))%> 
                </div>
            </div>

            <input type="hidden" name="hfItemType" id="hfItemType_<%# Eval("ShopGiftID")%>" value="<%# Eval("Item_Type")%>" />
            <input type="hidden" name="hfItemCategory" id="hfItemCategory_<%# Eval("ShopGiftID")%>" value="<%# Eval("Category_Code")%>" />
            <input type="hidden" name="hfItemCode" id="hfItemCode_<%# Eval("ShopGiftID")%>" value="<%# Eval("Item_Code")%>"/>
            <input type="hidden" name="hfItemName" id="hfItemName_<%# Eval("ShopGiftID")%>" value="<%# Eval("Item_Name")%>" />
            <input type="hidden" name="hfUnit" id="hfUnit_<%# Eval("ShopGiftID")%>" value="<%# Eval("Unit")%>" />
            <input type="hidden" name="hfPrice" id="hfPrice_<%# Eval("ShopGiftID")%>" value="<%# Eval("Cost_Points_OnShop")%>" />                    
            <input type="hidden" name="hfItemPic" id="hfItemPic_<%# Eval("ShopGiftID")%>" value="<%# Eval("Item_Pic")%>" />                    

        </div>      
    </li>   
    </ItemTemplate>
    <FooterTemplate>
    </ul>
    </div><!--bodyContainer.END-->        

    <div id="divPagerInfo" style="display:none">
       <%=base.pageInfo%>
    </div>

    <input type="hidden" id="hidden_pageCnt" value="<% = base.PageCnt%>" />
    <input type="hidden" id="hidden_rdCnt" value="<% = base.RdCnt%>" />
    <input type="hidden" name="chkNum" value="<%=chkNum%>" />

    </FooterTemplate>
    </asp:Repeater>    
    </div><!--dataBody.END-->
     
    <!--MainList.End-->  

    </div><!--dataBar.END-->

    <div id="pagerBar">
       ……
    </div><!--pageNavBar.END-->
    
    <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
    
</div>

<asp:HiddenField ID="hfShopCode" runat="server" />

</form>
</body>
</html> 