﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="gift_view.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter.giftshop.gift_view" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<!--#include virtual="/modules/mycenter/include/css/edit.aspx"-->
<!--#include virtual="/modules/mycenter/include/js/edit.aspx"-->     
<script type="text/javascript" src="/scripts/jquery/plugins/layer-v2.1/layer/layer.js"></script>
<script type="text/javascript">

    var itemArray = new Array();

    //放入购物车
    function addToCart() {
     
        var itemCode = $("#hfItemCode").val();
        var exists = false;
        for (var i = 0; i < itemArray.length; i++) {
            var item = itemArray[i];
            if (itemCode == item.itemCode) { //如果已存在，则更新数量
                exists = true;
                item.quantity = item.quantity + 1;
                break;
            }
        }

        if (!exists) {
            addItem_();
        }

        updateShoppingCartInfo();

        var itemString = JSON.stringify(itemArray);
        var storage = getStorage();
        storage.setItem(getStorageKey(), itemString);

        JTongAlert_AutoClose("已加入礼品车.", 1000);

        //event.stopPropagation();  //阻止事件冒泡，避免行被选中；
    }

    function addItem_() {
        var item = new Object();
        item.itemType = $("#hfItemType").val();
        item.itemCategory = $("#hfItemCategory").val();
        item.itemCode = $("#hfItemCode").val();
        item.itemName = $("#hfItemName").val();
        item.unit = $("#hfUnit").val();
        item.price = $("#hfPrice").val();
        item.itemPic = $("#hfItemPic").val();
        item.quantity = 1;
        itemArray.push(item);
    }

    function updateShoppingCartInfo() {
        $("#productNum").html(itemArray.length);
    }

    //加载购物篮中的项；
    function loadShoppingCart() {
        var storage = getStorage();
        var storageKey = getStorageKey();
        var itemString = storage.getItem(storageKey);
        if (itemString != null) {
            itemArray = JSON.parse(itemString);
        }
        updateShoppingCartInfo();
    }

    function getStorageKey() {
        return "JDingMember_GiftShoppingCart";
    }

    function getStorage() {
        return window.localStorage;
    }

    $(function () {
        loadShoppingCart();
    });

</script>

<style type="text/css">
.title h2{
    padding:10px;
    line-height:170%;
    font-size:16px;
}
.price h2{
    padding:10px;
    line-height:170%;
    font-size:16px;
   
}
.pic {
    padding:0px;
    text-align:center;    
}
.desc{
    padding:10px;
    padding-top:0px;
    line-height:170%;
    font-size:16px;
}

.shoppingCart{
    display:inline-block;
    margin-top:3px;
    border:0px solid red;
    padding:3px;
    padding-left:30px;
    height:20px;
    line-height:20px;
    background-image:url(../icons/shoppingcart.png);
    background-position:5px center;
    background-repeat:no-repeat;
    background-size:20px 20px;
    font-size:14px;
    text-decoration:none;
}
.shoppingCart:hover{
    text-decoration:none;
    color:#000000;
    background-color:#fff;
}
.shoppingCart .productNum{
    color:red;
    font-weight:bold;
        
}

</style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="wrapper" style="height:1%;overflow:hidden;">

<div id="noteBar">
    <p>
        <a href="shoppingcart.aspx" class="shoppingCart">礼品车 <span id="productNum" class="productNum">0</span></a>
    </p>
</div>   

<div class="editPageWrapper" style="width:700px;float:left;">

<div class="centerFormTitle">
   <h1><asp:Label ID="lblFormTitle" runat="server"><% = base.giftDictInfo.Item_Name %></asp:Label></h1>
</div>

<table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
<tr>
<td>  

<%--<div class="title">
    <h2><% = base.giftDictInfo.Item_Name %></h2>
</div>        --%>

<div class="pic">
    <img src="/resources/pics/gift/l/<% = base.giftDictInfo.Item_Pic %>" />
</div>

<div class="price">
    <h2>分值：<% = base.giftInfo.Cost_Points.ToString() %>   库存：<% = Convert.ToInt32(base.giftInfo.Stock_Count).ToString() %></h2>
</div>

<div class="desc">
    <% = base.giftDictInfo.Item_Desc %>
</div>

<input type="hidden" name="hfItemType" id="hfItemType" value="<% = base.giftDictInfo.Item_Type%>" />
<input type="hidden" name="hfItemCategory" id="hfItemCategory" value="<% = base.giftDictInfo.Category_Code%>" />
<input type="hidden" name="hfItemCode" id="hfItemCode" value="<% = base.giftDictInfo.Item_Code %>" />
<input type="hidden" name="hfItemName" id="hfItemName" value="<% = base.giftDictInfo.Item_Name%>" />
<input type="hidden" name="hfUnit" id="hfUnit" value="<% = base.giftDictInfo.Unit %>" />
<input type="hidden" name="hfPrice" id="hfPrice" value="<% = base.giftInfo.Cost_Points.ToString("")%>" />
<input type="hidden" name="hfItemPic" id='hfItemPic' value="<% = base.giftDictInfo.Item_Pic%>" />

</td>
</tr>
<tr>
<td class="footer">  
    <input type="button" id="btnContinue" class="btn" style="width:120px" onclick="addToCart()" value="加入礼品车" />
    <input type="button" id="btnSettle" class="btn" style="width:130px" onclick="window.history.back()" value="返回" />                
</td>
</tr>
</table>


</div><!--editPageWrapper.END-->

</div><!--"wrapper.END"-->


</form>
</body>
</html>

