﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="order_view.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenter.giftshop.order_view" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!--#include virtual="/modules/mycenter/include/css/edit.aspx"-->
    <link href="/uicontrols/jtongui/themes/default/tabs.css" type="text/css" rel="Stylesheet" />
    <!--#include virtual="/modules/mycenter/include/js/edit.aspx"-->     
    <script type="text/javascript" src="/uicontrols/jtongui/plugins/jtong.tabs.js"></script>
    <script type="text/javascript">

    function orderTake() {

        JTongAlertConfirm("确认收货吗？", function () {
            var requestType = "POST";
            var url = pageName + "?act=orderTake";  //pageName在BasePage中注册到的客户端；
            var dataType = "html";
            var data = $("form").eq(0).serialize();
            var successFN = function (data, textStatus) {
                if (data == "ok") {
                    showActResult("订单收货成功！", true, doAfterAct);
                } else if (data.indexOf("01|") != -1) {
                    showActResult(data.substring(3), false, doAfterAct);
                }
                else {
                    showActResult("订单收货失败：" + data, false, doAfterAct);
                }
            };
            ajaxRequest(requestType,
                url,
                dataType,
                data,
                successFN,
                errorFN
                );
        });
    }

    function orderCancel() {
        openDivWindow2("填写取消原因", 360, 180, "winOrderCancel");        
    }
    function orderCancelSave() {
        var reason = "";
        var reasonText = $("#ddlReason").val();
        if (reasonText == "其它原因") {
            reason = $("#txtCustomReason").val();
        } else {
            reason = reasonText;
        }

        var key = $("#hfKey").val();

        var requestType = "POST";
        var url = pageName + "?act=orderCancel";
        var dataType = "html";
        //var data = $("form").eq(0).serialize();
        var data = { "hfKey" : key, "reason" : reasonText };
        var successFN = function (data, textStatus) {
            if (data == "ok") {
                showActResult("订单取消成功！", true, doAfterClose);
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterClose);
            }
            else {
                showActResult("订单取消失败：" + data, false, doAfterClose);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }
    function orderCancelCancel() {        
        closeWindow("winOrderCancel");
    }
    function doAfterClose(actResult) {
        if (actResult) {
            orderCancelCancel();
            try {                
                refreshTargetTopestWindow("我的礼品兑换订单");
            } catch (e) { }

            window.location.reload();
        }
    }

    function doAfterAct(actResult) {
        if (actResult) {
            try {
                refreshTargetTopestWindow("我的礼品兑换订单");
            } catch (e) { }

            window.location.reload();
        }
    }

    function closeCurrentWindow() {
        closeActivatedTopestWindow();
    }

    $(function () {
        JTongTabs_init();

        $("#txtCustomReason").hide();
        $("#ddlReason").change(function () {
            var reasonText = $("#ddlReason").val();
            if (reasonText == "其它原因") {
                $("#txtCustomReason").show();
                $("#txtCustomReason").focus();
            } else {
                $("#txtCustomReason").hide();
            }
        });
    });

    </script>

</head>
<body>
<form id="Form1" method="post" runat="server">

<div class="editPageWrapper" >

<div class="centerFormTitle" style="width:800px;">
   <h1><asp:Label ID="lblFormTitle" runat="server">订单详情（No.<% = base.orderInfo.Order_No %>）</asp:Label></h1>
</div>

    <div id="mainData" style="margin-top:-1px;">
    <div class="jtongui-tabs" fill="true">
	    <ul class="header">
		    <li class="tabheader-item-selected"><a>订单信息</a></li>        
            <li>支付记录</li>		
            <li>操作记录</li>		
	    </ul>
	    <div id="div_OrderInfo" class="tabcontent tabcontent-selected">

            <div style="padding:3px;width:700px;">

            <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
            <tr>
            <td class="th">订 单 号：</td>
            <td>              
                <% = base.orderInfo.Order_No %>
            </td>
            <td class="th">下单时间：</td>
            <td>              
                <% = VA.Utils.DateHelper.GetLongTimeString_PrecisionToMinute(base.orderInfo.Create_Date) %>
            </td>
            </tr>
            <tr>
            <td class="th">下 单 人：</td>
            <td>              
                <% = base.orderInfo.Member_Name %> (会员ID：<% = orderInfo.MemberID %>)
            </td>
            <td class="th">订单状态：</td>
            <td>              
                <% = VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatusConverter.Convert_Value_ToText(orderInfo.Order_Status)%>
            </td>
            </tr>
            </table>

            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate> 
            <table cellspacing="0" class="listTable" id="srcTable" style="margin-top:-1px;">
                <thead>
                <tr>
                    <td style="width:30px;text-align:center;">No.</td>
                    <td style="width:80px;text-align:center;">图片</td>
                    <td style="width:70px;text-align:center;">代码</td>
                    <td style="text-align:center;">礼品</td>
                    <td style="width:50px;text-align:center;">单位</td>
                    <td style="width:80px;text-align:center;">分值</td>
                    <td style="width:50px;text-align:center;">数量</td>
                    <td style="width:70px;text-align:center;">积分小计</td>
                </tr>    
                </thead>    
                <tbody>   
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td align="center"><%# Container.ItemIndex +　1　%></td>
                    <td align="center"><%# String.IsNullOrEmpty(Eval("Item_Pic").ToString().Trim()) == true ? "": "<img src='/resources/pics/gift/s/"+ Eval("Item_Pic").ToString() +"' width='80' height='80' />"%></td>     
                    <td align="center"><%# Eval("Item_Code")%></td>
                    <td align="left"><%# Eval("Item_Name")%></td>                       
                    <td align="center"><%# Eval("Unit")%></td>                
                    <td align="center"><%# Convert.ToInt32(Eval("Price")).ToString()%></td>                
                    <td align="right"><%# Convert.ToInt32(Eval("Quantity")).ToString()%></td>                
                    <td align="right"><%# Convert.ToInt32(Eval("Amount")).ToString()%></td>                
                </tr>    
            </ItemTemplate>
            <FooterTemplate>
                <tr>
                    <td align="right" colspan="7">合计：</td>
                    <td align="right"><% = Convert.ToInt32(base.orderInfo.Order_Costs).ToString()%></td>                
                </tr>    
                </tbody>
            </table>
            </FooterTemplate>
            </asp:Repeater>    

            <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
            <tr>
            <td class="th" style="font-weight:bold;text-align:left;">物流信息</td>
            </tr>
            </table>
            <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
            <tr>
            <td class="th">收货人：</td>
            <td>              
                <% = base.orderInfo.Customer_Name %>
            </td>
            </tr>
            <tr>
            <td class="th">手机号：</td>
            <td>
                <% = base.orderInfo.Customer_Mobile %>
            </td>
            </tr>
            <tr>
            <td class="th">固定电话：</td>
            <td>
               <% = base.orderInfo.Customer_Phone %>
            </td>
            </tr>
            <tr>
            <td class="th">送货地址：</td>
            <td>
                <% = base.orderInfo.Province_Name %> > <% = base.orderInfo.City_Name %> > <% = base.orderInfo.District_Name %> > <% = base.orderInfo.Address %>
    
            </td>
            </tr>
            <tr>
            <td class="th">物流公司：</td>
            <td>
                <% = base.orderInfo.Express_Company_Name %>
    
            </td>
            </tr>
            <tr>
            <td class="th">快递单号：</td>
            <td>
                <% = base.orderInfo.TrackingNo %>
    
            </td>
            </tr>                    
            </table>

            </div>

	    </div>
        <div id="div_PayLogs" class="tabcontent">	    

            <div style="padding:3px;">

            <asp:Repeater ID="rpPayLogs" Runat="server" EnableViewState="False"  >
            <HeaderTemplate> 
            <table cellspacing="0" class="listTable" id="srcTable" style="margin-top:-1px;">
                <thead>
                <tr>
                    <td style="width:30px;text-align:center;">No.</td>
                    <td style="width:120px;text-align:center;">支付时间</td>
                    <td style="width:70px;text-align:center;">支付方式</td>
                    <td style="width:100px;text-align:center;">支付金额</td>
                    <td style="text-align:center;">支付备注</td>
                </tr>    
                </thead>    
                <tbody>   
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td align="center"><%# Container.ItemIndex +　1　%></td>
                    <td align="center"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Pay_Date"))%></td>                
                    <td align="center"><%# Eval("PayType_Name")%></td>
                    <td align="right"><%# Convert.ToInt32(Eval("Pay_Amount")).ToString() %> 积分</td>                       
                    <td align="left"><%# Eval("Remark")%></td>                
                </tr>    
            </ItemTemplate>
            <FooterTemplate> 
                </tbody>
            </table>
            </FooterTemplate>
            </asp:Repeater>    
            
            </div>

	    </div>
        <div id="div_OprLogs" class="tabcontent">	    

            <div style="padding:3px;">

            <asp:Repeater ID="rpOprLogs" Runat="server" EnableViewState="False"  >
            <HeaderTemplate> 
            <table cellspacing="0" class="listTable" id="srcTable" style="margin-top:-1px;">
                <thead>
                <tr>
                    <td style="width:30px;text-align:center;">No.</td>
                    <td style="width:120px;text-align:center;">操作时间</td>
                    <td style="width:70px;text-align:center;">操作方</td>
                    <td style="width:80px;text-align:center;">操作人代码</td>
                    <td style="width:80px;text-align:center;">操作人姓名</td>
                    <td style="text-align:center;">操作描述</td>                    
                </tr>    
                </thead>    
                <tbody>   
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td align="center"><%# Container.ItemIndex +　1　%></td>
                    <td align="center"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Opr_Date"))%></td>                
                    <td align="center"><%# VA.Modules.JDingMember.Core.Enums.GiftShop.OperatorTypeConverter.Convert_Value_ToText(Eval("Operator_Type").ToString())%></td>
                    <td align="center"><%# Eval("Operator_Code")%></td>
                    <td align="center"><%# Eval("Operator_Name")%></td>
                    <td align="left"><%# Eval("Opr_Desc")%></td>                    
                </tr>    
            </ItemTemplate>
            <FooterTemplate> 
                </tbody>
            </table>
            </FooterTemplate>
            </asp:Repeater>   

            </div>

	    </div>  
    </div>    
    </div><!--mainData.END-->

    <br />
    <br />
    <br />

    <div style="padding:10px;position:fixed;bottom:0px;border:1px solid #dddddd;width:100%;background-color:#f5f5f5;">
        <asp:HiddenField ID="hfKey" runat="server" />

        <% if (base.orderInfo.Order_Status == VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatus.Shangjia_yifahuo) { %>
        <input type="button" id="btnTake" class="btn" style="width:100px" onclick="orderTake()" value="确认收货" />
        <% } %>
        
        <% if (base.orderInfo.Order_Status == VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatus.Daiqueren)
           { %>
        <input type="button" id="btnCancel" class="btn" style="width:100px" onclick="orderCancel()" value="取消订单" />
        <% } %>

        <input type="button" id="btnCloseWindow" class="btn" style="width:100px" onclick="closeCurrentWindow()" value="关闭窗口" />
    </div>

</div><!--editPageWrapper.END-->

<div id="winOrderCancel" style="display:none;">                            
    <div style="margin:auto;padding:10px;">
        
    <div class="centerFormTitle">
        <h1>填写订单取消原因</h1>
    </div>

    <table cellspacing="0" cellpadding="3" class="editTable">
    <tr>
    <td class="th">取消原因：</td>
    <td>    	  
        <asp:DropDownList ID="ddlReason" runat="server" EnableViewState="false">
        <asp:ListItem Value="订单有误" Selected="True">订单有误</asp:ListItem>        
        <asp:ListItem Value="不想要了">不想要了</asp:ListItem>        
        <asp:ListItem Value="其它原因">其它原因</asp:ListItem>
        </asp:DropDownList>          
        <input type="text" class="input" style="width:90px;" id="txtCustomReason" name="txtCustomReason" maxlength="20" />
    </td>
    </tr>   
    <tr>
    <td colspan="2" class="footer">

        <input type="button" id="btnOrderCancelSave" class="btn" style="width:80px" onclick="orderCancelSave()" value="确定" />
        <input type="button" id="btnOrderCancelCancel" class="btn" style="width:80px" onclick="orderCancelCancel()" value="取消" />

    </td>
    </tr>
    </table>
    </div>
</div><!--winOrderCancel.END-->

</form>
</body>
</html>

