using System;
using System.Xml;
using System.Collections;
using System.Configuration;

using VA.Modules.JDingMember.Core.Config;

namespace VA.Modules.JDingMember.MyCenterMobile.WebBase
{
    /// <summary>
    /// BasePage ժҪ˵
    /// </summary>
    public class BasePage : VA.FX.WebBase.BasePage
    {
        SystemConfig _SystemConfig;
        protected SystemConfig SystemConfig
        {
            get { return _SystemConfig; }
        }       

        #region OnInit

        protected override void OnInit(System.EventArgs e)
        {    
            base.OnInit(e);

            string clientScript = "var pageName='" + Request.CurrentExecutionFilePath + "'";

            //RegisterStartupScript,עCallTheServer
            //(typekeyscriptbool)
            /*this.GetType() ȡǰʵ
            key    ʶűΨһ
            script           Ҫ͵ͻ˵Ľű
            bool             ָʾǷӽűǣΪtrueԶ*/
            Page.ClientScript.RegisterStartupScript(this.GetType(), System.Guid.NewGuid().ToString(), clientScript, true);

            //ϵͳã
            this._SystemConfig = (SystemConfig)Cache[Core.Cache.CacheKey.SYSTEM_BIZCONFIG];
            if (_SystemConfig == null)
            {
                SystemConfig.Load(out _SystemConfig);
                Cache.Insert(Core.Cache.CacheKey.SYSTEM_BIZCONFIG, _SystemConfig, null, System.Web.Caching.Cache.NoAbsoluteExpiration, TimeSpan.FromMinutes(20));
            }

            base.webSiteConfig.ThemeName = "default";
        }

        #endregion

        #region CreateServerActResult
        protected string CreateServerActResult(string resultDesc, bool result)
        {
            if (result)
            {
                return "1|" + resultDesc;
            }
            else
            {
                return "0|" + resultDesc;
            }
        }
        #endregion

        #region CreateServerActResult
        protected string CreateServerActResult(string resultDesc, bool result, string customArg)
        {
            if (result)
            {
                return "1|" + resultDesc + "|" + customArg;
            }
            else
            {
                return "0|" + resultDesc;
            }
        }
        #endregion

        #region ShowSoftFunctionLimitNote
        /// <summary>
        /// ʾ
        /// </summary>
        /// <param name="softLevelName"></param>
        /// <returns></returns>
        protected void ShowSoftFunctionLimitNote(string softLevelName)
        {
            System.Web.HttpContext.Current.Response.Write("<div style=\"color:red;font-size:14px;font-weight:bold;border:solid 1px red;padding:3px\">" + GetSoftFunctionLimitNoteMsg(softLevelName) + "</div>");
        }
        #endregion

        #region GetSoftFunctionLimitNoteMsg
        /// <summary>
        /// ʾ
        /// </summary>
        /// <param name="softLevelName"></param>
        /// <returns></returns>
        protected string GetSoftFunctionLimitNoteMsg(string softLevelName)
        {
            return "ʾ" + softLevelName + "ָ֧ùܣ߼İ汾";
        }
        #endregion
    }
}
