﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="announcement_view.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.activity.announcement_view" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../include/metas.aspx"-->
<title><% = base.announcementInfo.Title %></title>   
<!--#include virtual="../include/css/edit.aspx"-->     
<!--#include virtual="../include/js/edit.aspx"-->     
<style type="text/css">
    .centerFormTitle h1{
        font-size:16px;
        line-height:30px;
        font-weight:normal;
        text-align:center;
    }
</style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="../include/refreshing.aspx"--> 
<div id="pageWrapper">    

    <div id="headerBar">      
        <h1><% = base.announcementInfo.Title %></h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                          
    </div>     

    <div id="dataBar">
        
<%--        <div class="centerFormTitle">
           <h1><% = base.announcementInfo.Title %></h1>
        </div>--%>
        <div style="text-align:right;line-height:25px;">
            发布时间：<% = base.announcementInfo.Release_Date.ToString("yyyy-MM-dd HH:mm", System.Globalization.CultureInfo.InvariantCulture) %>
        </div>

        <% if (!String.IsNullOrEmpty(base.announcementInfo.Last_Edit_Log)) {%>
    
            <div id="divContent" style="border-top:solid 1px #dddddd;overflow:auto;font-size:14px;line-height:170%;padding:5px;margin-top:5px;">
            <% = base.announcementInfo.Content %>
            </div>

            <div id="divEditLog" style="height:25px;border-top:solid 1px #dddddd;overflow:hidden;font-size:14px;line-height:150%;padding-left:3px;margin-top:-1px;">
            <% if (!String.IsNullOrEmpty(base.announcementInfo.Last_Edit_Log)) {%>
                <p><span class="note">注：<% = base.announcementInfo.Last_Edit_Log %></span></p>
            <% } %>
            </div>


        <% } else { %>
    
            <div id="divContent" style="border-top:solid 1px #dddddd;overflow:auto;font-size:14px;line-height:170%;padding:5px;margin-top:5px;">
            <% = base.announcementInfo.Content %>
            </div>

        <% } %>                
                     
    </div><!--dataBar.END-->        

</div>

<script type="text/javascript" src="../scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 