﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="change_password.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.change_password" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="include/metas.aspx"-->
<title>修改密码</title>   
<!--#include virtual="include/css/edit.aspx"-->     
<link rel="stylesheet" type="text/css" href="app_themes/default/css/pages/config.css" />
<!--#include virtual="include/js/edit.aspx"-->    
<script type="text/javascript">
    function save() {

        //调用asp.net验证控件自带的js数据验证脚本对控件进行验证；
        var validationResult = Page_ClientValidate('');
        if (!validationResult) {
            return;
        }

        add();
    }

    function add() {
        var requestType = "POST";
        var url = pageName + "?act=changepwd";  //pageName在BasePage中注册到的客户端；
        var dataType = "html";
        var data = $("form").eq(0).serialize();
        var successFN = function (data, textStatus) {
            if (data == "ok") {
                showActResult("密码修改成功！", true, doAfterAdd);
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterAdd);
            }
            else {
                showActResult("密码修改失败：" + data, false, doAfterAdd);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }

    function doAfterAdd(actResult) {
        if (actResult) {
            resetPage();
        }
    }

    function resetPage() {

        clearInputValidatorError();

        $("#txtOldPassword").val("");
        $("#txtNewPassword").val("");
        $("#txtNewPasswordConfirm").val("");
        $("#txtOldPassword").focus();
    }

    $(function () {
        $("#txtOldPassword").focus();

        //焦点控制
        $("input").keydown(function (event) {
            if (event.keyCode == 13) {
                var targetID = event.target.id;
                switch (targetID) {
                    case "txtOldPassword":
                        $("#txtNewPassword").select();
                        break;
                    case "txtNewPassword":
                        $("#txtNewPasswordConfirm").select();
                        break;
                    case "txtNewPasswordConfirm":
                        save();
                        break;
                    default:
                        break;
                }
                return false;
            }
        });
    });

</script> 
<style type="text/css">
.memberInfo{
    border-bottom:1px solid #dddddd;
    padding:10px;
    overflow:hidden;
}
.editTable .th { width:110px; }
</style>
</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="pageWrapper">    

    <div id="headerBar">      
        <h1>修改密码</h1>  
        <div class="leftToolBar">            
            <a href="config.aspx" class="icon back"></a>
        </div>                                
    </div>     
    
    <div id="dataBar">
        
        <div class="memberInfo">
            <div style="float:left;">张三，<% = base.memberLevelName%></div>
            <div style="float:right;"><% = DateTime.Now.ToString("yyyy年MM月dd日", System.Globalization.CultureInfo.InvariantCulture) %></div>
        </div>

        <div class="form">

            <p class="item">
            <label class="label">旧密码：</label>
            <VACTL:TextBox ID="txtOldPassword" Runat="server"
                        EnableViewState="False"
                        CssClass="input"
                        Width="95%"
                        FieldName="旧密码"
                        TextMode="Password"
                        MaxLength="20" /> 
            <br />
            <span class="note">注：如果之前未设置密码，则不用填写</span>
            </p>

            <p class="item">
            <label class="label">新密码：</label>
            <VACTL:TextBox ID="txtNewPassword" runat="server"
                        EnableViewState="False"
		                CssClass="input"
                        Width="95%"
                        CanBeNull="No"
                        FieldName="新密码"
                        TextMode="Password"
                        MaxLength="20" /> 
            </p>

            <p class="item">
            <label class="label">新密码确认：</label>
            <VACTL:TextBox ID="txtNewPasswordConfirm" runat="server"
                        EnableViewState="False"
		                CssClass="input"
                        Width="95%"
                        CanBeNull="No"
                        FieldName="新密码确认"
                        TextMode="Password"
                        MaxLength="20"
                        /> 
            </p>

            <div class="buttonBar">
                <input type="button" id="btnSubmit" class="btn" style="width:95%" onclick="save()" value="保存" />

                <asp:HiddenField ID="hfKey" runat="server" />
    
                <VACTL:Hint ID="Hint1" runat="server" HintImageUrl="/admin/app_themes/default/images/control" />
                <VACTL:ValidationSummary ID="ValidationSummary1" runat="server"
                        DisplayMode="List"
                        EnableClientScript="true" />
    
                <!--注意：这个文件一定要放到页面底部，以便覆盖asp.net验证脚本中的同名函数-->
                <script type="text/javascript" src="/scripts/utils/aspnet_validator_extend.js"></script>
            </div>

        </div>        

    </div>
    
    <!--#include virtual="footer.aspx"-->

</div>
</form>
</body>
</html> 