﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz._default" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="include/metas.aspx"-->
<title>会员自助平台-<% = VA.Modules.JDingMember.Core.SystemInfo.CompanyName %></title>   
<!--#include virtual="include/css/common.aspx"-->     
<link rel="stylesheet" type="text/css" href="app_themes/default/css/pages/default.css?ver=0.1" />
<!--#include virtual="include/js/common.aspx"-->     
<script type="text/javascript">
    onPageInited = function () {
        loadData();
    };

    function loadData() {
        loadWalletChargeData();
    }

    function loadWalletChargeData() {
        try {
            $("#spanWalletChargeCnt").html("loading…");
            ajaxLoadData(pageName + "?act=get_walletcharge_data", "html", null, true, function (result) {
                $("#spanWalletChargeCnt").html(result + " 笔");
                loadConsumeData();
            });
        } catch (e) { }
    }

    function loadConsumeData() {
        try {
            $("#spanConsumeCnt").html("loading…");
            ajaxLoadData(pageName + "?act=get_consume_data", "html", null, true, function (result) {
                $("#spanConsumeCnt").html(result + " 笔");
                loadWithdrawData();
            });
        } catch (e) { }
    }

    function loadWithdrawData() {

        try {
            $("#spanWithdrawCnt").html("loading…");
            ajaxLoadData(pageName + "?act=get_withdraw_data", "html", null, true, function (result) {
                $("#spanWithdrawCnt").html(result + " 笔");
                loadPointCardData();
            });
        } catch (e) { }
    }

    function loadPointCardData() {

        try {
            $("#spanPointCardCnt").html("loading…");
            ajaxLoadData(pageName + "?act=get_pointcard_data", "html", null, true, function (result) {
                $("#spanPointCardCnt").html(result + " 笔");
                loadVoucherData();
            });
        } catch (e) { }
    }

    function loadVoucherData() {
        try {
            $("#spanVoucherCnt").html("loading…");
            ajaxLoadData(pageName + "?act=get_voucher_data", "html", null, true, function (result) {
                $("#spanVoucherCnt").html(result + " 张可用");
            });
        } catch (e) { }
    }

</script>
</head>
<body>
<form id="Form1" method="post" runat="server">

<!--#include virtual="include/refreshing.aspx"-->  
<div id="pageWrapper">    

   <%-- <div id="headerBar">      
        <h1>App标题</h1>
        <div class="leftToolBar">
            <a href="javascript:window.location.reload();" class="icon refresh"></a>
        </div>                
        <div class="rightToolBar">
            <a href="javascript:logout();" class="icon logout"></a>
        </div>          
    </div>     --%>
    
    <div id="dataBar">

        <div id="mainBanner">

            <% if (!String.IsNullOrEmpty(base.SystemConfig.BizConfigInfo.MyCenter_Mobile_Banner)) {%>
                <a href="<% = base.SystemConfig.BizConfigInfo.MyCenter_Mobile_Banner_Link%>" class="customBanner" style="background-image:url(/resources/pics/mycenter/mobile/banners/<% = base.SystemConfig.BizConfigInfo.MyCenter_Mobile_Banner %>);"></a>                       
            <% } else { %>

            <div class="defaultBanner">
                <img class="bannerPic" src="app_themes/default/images/computer.png" />
                <h2 class="mainTitle"><a href="http://member.jdingsoft.com">金鼎会员通</a></h2>
                <h3 class="subTitle">连锁会员管理系统领导者</h3> 
            </div>

            <% } %>
            
        </div>

        <div class="memberInfo">        
            <div style="text-align:left;"><% = DateTime.Now.ToString("yyyy年MM月dd日", System.Globalization.CultureInfo.InvariantCulture) %></div>
        </div>

        <div class="memberInfo">
            <div>张三，<% = base.memberLevelName%>，余额：<% = base.memberInfo.Account_Balance.ToString("F2") %>，积分：<% = base.memberInfo.Account_Points.ToString() %></div>        
        </div>

        <% if (base.dtbAnnouncements != null &&　base.dtbAnnouncements.Rows.Count >0 ) {%>
        <div class="announcement">
            <p><img src="icons/announcement.png" align="absmiddle" /> <a href="activity/announcement_view.aspx?RID=<% = base.dtbAnnouncements.Rows[0]["RID"].ToString() %>"><% = base.dtbAnnouncements.Rows[0]["Title"].ToString() %> / <% = String.Format("{0:MM.dd}",base.dtbAnnouncements.Rows[0]["Release_Date"]) %></a></p>
        </div>
        <% } %>        

        <div class="mainNav">

            <a href="activity/announcement_list.aspx">
                <span class="icon icon-announcement" ></span>
                <h2 class="title">活动通知</h2>                            
		    </a>

		    <a href="memberinfo/member_walletcharge_list.aspx">
                <span class="icon icon-walletcharge" ></span>
                <h2 class="title">充值记录</h2>                
                <span class="badge" id="spanWalletChargeCnt"></span>
                <span class="note">近3个月</span>
		    </a>

            <a href="memberinfo/member_consume_list.aspx">
                <span class="icon icon-consume" ></span>
                <h2 class="title">消费记录</h2>                
                <span class="badge" id="spanConsumeCnt"></span>
                <span class="note">近3个月</span>
		    </a>

            <a href="memberinfo/member_withdraw_list.aspx">
                <span class="icon icon-withdraw" ></span>
                <h2 class="title">提现记录</h2>
                <span class="badge" id="spanWithdrawCnt"></span>
                <span class="note">近3个月</span>
		    </a>            
            <a href="memberinfo/member_pointcard_list.aspx">
                <span class="icon icon-pointcard" ></span>
                <h2 class="title">充次记录</h2>
                <span class="badge" id="spanPointCardCnt"></span>
                <span class="note">近3个月</span>
		    </a>
            <a href="memberinfo/member_voucher_list.aspx">
                <span class="icon icon-voucher" ></span>
                <h2 class="title">代&nbsp;&nbsp;金&nbsp;&nbsp;券</h2>
                <span class="badge" id="spanVoucherCnt"></span>
		    </a>

            <a href="memberinfo/member_chargeitem_list.aspx">
                <span class="icon icon-donate" ></span>
                <h2 class="title">受赠项目</h2>
		    </a>

            <a href="memberinfo/member_accountbook_list.aspx">
                <span class="icon icon-accountbook" ></span>
                <h2 class="title">账户流水</h2>              
		    </a>

            <a href="memberinfo/member_pointbook_list.aspx">
                <span class="icon icon-pointbook" ></span>
                <h2 class="title">积分流水</h2>
		    </a>

            <a href="giftshop/gift_list.aspx">
                <span class="icon icon-gift" ></span>
                <h2 class="title">礼品兑换</h2>
		    </a>

            <a href="giftshop/myorder_list.aspx">
                <span class="icon icon-giftorder" ></span>
                <h2 class="title">我的订单</h2>
		    </a>
        </div>
    </div>
    
    <!--#include virtual="footer.aspx"-->

</div>

<script type="text/javascript" src="scripts/biz/refresh.js?v=0.1"></script>

</form>
</body>
</html> 