﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="order_view.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.giftshop.order_view" %>

<!DOCTYPE HTML>
<html>
<head>
    <!--#include virtual="../include/metas.aspx"-->
    <!--#include virtual="../include/metas.aspx"-->
    <title></title>
    <!--#include virtual="../include/css/edit.aspx"-->
    <link href="/uicontrols/jtongui_mobile/themes/default/tabs.css" type="text/css" rel="Stylesheet" />
    <link href="../app_themes/default/css/order.css" type="text/css" rel="Stylesheet" /> 
    <!--#include virtual="../include/js/edit.aspx"-->     
    <script type="text/javascript" src="/uicontrols/jtongui_mobile/plugins/jtong.tabs.js"></script>
    <script type="text/javascript">

    function orderTake() {

        JTongAlertConfirm("确认收货吗？", function () {
            var requestType = "POST";
            var url = pageName + "?act=orderTake";  //pageName在BasePage中注册到的客户端；
            var dataType = "html";
            var data = $("form").eq(0).serialize();
            var successFN = function (data, textStatus) {
                if (data == "ok") {
                    showActResult("订单收货成功！", true, doAfterAct);
                } else if (data.indexOf("01|") != -1) {
                    showActResult(data.substring(3), false, doAfterAct);
                }
                else {
                    showActResult("订单收货失败：" + data, false, doAfterAct);
                }
            };
            ajaxRequest(requestType,
                url,
                dataType,
                data,
                successFN,
                errorFN
                );
        });        
    }

    function orderCancel() {
        openDivWindow2("填写取消原因", 360, 180, "winOrderCancel");        
    }
    function orderCancelSave() {
        var reason = "";
        var reasonText = $("#ddlReason").val();
        if (reasonText == "其它原因") {
            reason = $("#txtCustomReason").val();
        } else {
            reason = reasonText;
        }

        var key = $("#hfKey").val();

        var requestType = "POST";
        var url = pageName + "?act=orderCancel";
        var dataType = "html";
        //var data = $("form").eq(0).serialize();
        var data = { "hfKey" : key, "reason" : reasonText };
        var successFN = function (data, textStatus) {
            if (data == "ok") {
                showActResult("订单取消成功！", true, function () {
                    window.location.reload();
                });
            } else if (data.indexOf("01|") != -1) {
                showActResult(data.substring(3), false, doAfterClose);
            }
            else {
                showActResult("订单取消失败：" + data, false, doAfterClose);
            }
        };
        ajaxRequest(requestType,
            url,
            dataType,
            data,
            successFN,
            errorFN
            );
    }
    function orderCancelCancel() {
        closeWindow("winOrderCancel");
    }
    function doAfterClose(actResult) {
        if (actResult) {
            orderCancelCancel();
            window.location.reload();
        }
    }

    function doAfterAct(actResult) {
        if (actResult) {
            window.location.reload();
        }
    }

    $(function () {
        JTongTabs_init();

        $("#txtCustomReason").hide();
        $("#ddlReason").change(function () {
            var reasonText = $("#ddlReason").val();
            if (reasonText == "其它原因") {
                $("#txtCustomReason").show();
                $("#txtCustomReason").focus();
            } else {
                $("#txtCustomReason").hide();
            }
        });
    });

    </script>

</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="pageWrapper"> 

    <div id="headerBar">      
        <h1>订单详情（No.<% = base.orderInfo.Order_No %>）</h1>
        <div class="leftToolBar">            
            <a href="javascript:back()" class="icon"><i class="iconfont">&#xe614;</i></a>
        </div>                
        <div class="rightToolBar">            
            <a href="javascript:refresh();" class="icon"><i class="iconfont">&#xe620;</i></a>
            <a href="javascript:home();" class="icon"><i class="iconfont">&#xe60d;</i></a>
        </div>          
    </div>     

    <div id="dataBar">
    <div class="jtongui-tabs" fill="false">
	    <ul class="header">
		    <li class="tabheader-item-selected"><a>订单信息</a></li>        
            <li>支付记录</li>		
            <li>操作记录</li>		
	    </ul>
	    <div id="div_OrderInfo" class="tabcontent tabcontent-selected">

            <div style="padding:3px;">

            <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
            <tr>
            <td class="th">订 单 号：</td>
            <td>              
                <% = base.orderInfo.Order_No %>
            </td>
            </tr>
            <tr>
            <td class="th">订单金额：</td>
            <td>              
                <% = base.orderInfo.Order_Costs.ToString()%> 积分
            </td>
            </tr>
            <tr>
            <td class="th">下单时间：</td>
            <td>              
                <% = VA.Utils.DateHelper.GetLongTimeString_PrecisionToMinute(base.orderInfo.Create_Date) %>
            </td>
            </tr>
            <tr>
            <td class="th">下 单 人：</td>
            <td>              
                <% = base.orderInfo.Member_Name %> (会员ID：<% = orderInfo.MemberID %>)
            </td>
            </tr>
            <tr>
            <td class="th">订单状态：</td>
            <td>              
                <% = VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatusConverter.Convert_Value_ToText(orderInfo.Order_Status)%>
            </td>
            </tr>
            </table>

            <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
            <HeaderTemplate> 
            <ul class="productList" id="dataBody" style="margin-top:-1px;"> 
            </HeaderTemplate>
            <ItemTemplate>

                <li class="item">        
                    <%# String.IsNullOrEmpty(Eval("Item_Pic").ToString().Trim()) == true ? "": "<img src='/resources/pics/gift/s/"+ Eval("Item_Pic").ToString() +"' width='80' height='80' class='fl mr5' />"%>
                    <h3><%# Eval("Item_Name")%></h3>
	                <div class="bottom">
                        <div class="price"><%# Convert.ToInt32(Eval("Price"))%></span> 积分</div>
		                <div class="actBar">
                            数量：<%# Convert.ToInt32(Eval("Quantity")).ToString()%>
                        </div>
	                </div>                      
                </li>		
                                 
            </ItemTemplate>
            <FooterTemplate>
            </ul>
            </FooterTemplate>
            </asp:Repeater>    

            <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-2px;">
            <tr>
            <td class="th" style="font-weight:bold;text-align:left;">物流信息</td>
            </tr>
            </table>
            <table cellspacing="0" cellpadding="3" class="editTable" style="margin-top:-1px;">
            <tr>
            <td class="th">收货人：</td>
            <td>              
                <% = base.orderInfo.Customer_Name %>
            </td>
            </tr>
            <tr>
            <td class="th">手机号：</td>
            <td>
                <% = base.orderInfo.Customer_Mobile %>
            </td>
            </tr>
            <tr>
            <td class="th">固定电话：</td>
            <td>
               <% = base.orderInfo.Customer_Phone %>
            </td>
            </tr>
            <tr>
            <td class="th">送货地址：</td>
            <td>
                <% = base.orderInfo.Province_Name %> > <% = base.orderInfo.City_Name %> > <% = base.orderInfo.District_Name %> > <% = base.orderInfo.Address %>
    
            </td>
            </tr>
            <tr>
            <td class="th">物流公司：</td>
            <td>
                <% = base.orderInfo.Express_Company_Name %>
    
            </td>
            </tr>
            <tr>
            <td class="th">快递单号：</td>
            <td>
                <% = base.orderInfo.TrackingNo %>
    
            </td>
            </tr>                    
            </table>

            </div>

	    </div>
        <div id="div_PayLogs" class="tabcontent">	    

            <div style="padding:3px;">

            <asp:Repeater ID="rpPayLogs" Runat="server" EnableViewState="False"  >
            <HeaderTemplate> 
            <ul class="list-group" id="dataBody" style="margin-top:-1px;">  
            </HeaderTemplate>
            <ItemTemplate>
                <li class="list-group-item">
                    <div class="seqContainer"><h3 class="seqNum"><%# Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Pay_Date"))%></h4>
                        <p class="list-group-item-text">支付方式：<%# Eval("PayType_Name")%></p>
                        <p class="list-group-item-text">支付金额：<%# Convert.ToInt32(Eval("Pay_Amount")).ToString() %> 积分</p>
                        <p class="list-group-item-text">支付备注：<%# Eval("Remark")%></p>
                    </div>
                </li>       

            </ItemTemplate>
            <FooterTemplate> 
            </ul>
            </FooterTemplate>
            </asp:Repeater>    
            
            </div>

	    </div>
        <div id="div_OprLogs" class="tabcontent">	    

            <div style="padding:3px;">

            <asp:Repeater ID="rpOprLogs" Runat="server" EnableViewState="False"  >
            <HeaderTemplate> 
            <ul class="list-group" id="dataBody" style="margin-top:-1px;">  
            </HeaderTemplate>
            <ItemTemplate>
                <li class="list-group-item">
                    <div class="seqContainer"><h3 class="seqNum"><%# Container.ItemIndex + 1 %></h3></div>
                    <div class="mainContent">
                        <h4 class="list-group-item-heading"><%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Opr_Date"))%></h4>
                        <p class="list-group-item-text">操作方：<%# VA.Modules.JDingMember.Core.Enums.GiftShop.OperatorTypeConverter.Convert_Value_ToText(Eval("Operator_Type").ToString())%></p>
                        <p class="list-group-item-text">操作人代码：<%# Eval("Operator_Code")%></p>
                        <p class="list-group-item-text">操作人姓名：<%# Eval("Operator_Name")%></p>
                        <p class="list-group-item-text">操作描述：<%# Eval("Opr_Desc")%></p>
                    </div>
                </li>                   
            </ItemTemplate>
            <FooterTemplate>
            </ul>
            </FooterTemplate>
            </asp:Repeater>   

            </div>

	    </div>      
    </div>    
    </div><!--mainData.END-->

    <div id="footerBar" style="padding:5px;">
        
        <asp:HiddenField ID="hfKey" runat="server" />

        <% if (base.orderInfo.Order_Status == VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatus.Shangjia_yifahuo) { %>
        <input type="button" id="btnTake" class="btn" style="width:100px" onclick="orderTake()" value="确认收货" />
        <% } %>
        
        <% if (base.orderInfo.Order_Status == VA.Modules.JDingMember.Core.Enums.GiftShop.OrderStatus.Daiqueren)
           { %>
        <input type="button" id="btnCancel" class="btn" style="width:100px" onclick="orderCancel()" value="取消订单" />
        <% } %>

        <input type="button" id="btnCloseWindow" class="btn" style="width:100px" onclick="window.history.back();" value="返回" />
    </div>

</div><!--editPageWrapper.END-->

<div id="winOrderCancel" style="display:none;">                            
    <div style="margin:auto;padding:10px;">
        
    <div class="centerFormTitle">
        <h1>填写订单取消原因</h1>
    </div>

    <table cellspacing="0" cellpadding="3" class="editTable">
    <tr>
    <td class="th">取消原因：</td>
    <td>    	  
        <asp:DropDownList ID="ddlReason" runat="server" EnableViewState="false">
        <asp:ListItem Value="订单有误" Selected="True">订单有误</asp:ListItem>        
        <asp:ListItem Value="不想要了">不想要了</asp:ListItem>        
        <asp:ListItem Value="其它原因">其它原因</asp:ListItem>
        </asp:DropDownList>          
        <input type="text" class="input" style="width:90px;" id="txtCustomReason" name="txtCustomReason" maxlength="20" />
    </td>
    </tr>   
    <tr>
    <td colspan="2" class="footer">

        <input type="button" id="btnOrderCancelSave" class="btn" style="width:80px" onclick="orderCancelSave()" value="确定" />
        <input type="button" id="btnOrderCancelCancel" class="btn" style="width:80px" onclick="orderCancelCancel()" value="取消" />

    </td>
    </tr>
    </table>
    </div>
</div><!--winOrderCancel.END-->

</form>
</body>
</html>

