﻿var currActName;
var searchBarHeight = 30;
var isAutoAdjustSearchBar = false;
var searchBarMaxHeight = 60;
var keywords_ToolTip = "在此输入关键词";

//初始化列表页；
function initListPage(loadData) {

    setLayout();
    
    //绑定窗体resize事件；
    $(window).resize(function () {   
        setLayout();
    });

    //不知什么原因，在部分手机浏览器上打开使用windows.history.back()方法返回到列表页后,
    //不会自动加载，位兼容性考虑，将加载方法统一放到服务端处理；
    ////加载数据；
    if (arguments.length > 0) {
        if (loadData) {
            initLoadData();
        }
    }
}

//设置布局
function setLayout() {
    
}

//初始加载数据;
function initLoadData() {
    var currPageObj = document.getElementById("hfCurrPage");
    var currPageValue = currPageObj.value;

    if (currPageValue == "" ||
                currPageValue == "0") {
        currPageValue = "1";
    }
    pageTo(currPageValue, false);
}

//转到第X页；
function pageTo(pageIndex, reloadRdCnt) {
    loadData(pageIndex, reloadRdCnt);
}

//转到下一页；
function pageToNext() {
    var currPageObj = document.getElementById("hfCurrPage");
    var currPageValue = currPageObj.value;
    var nextPageNum = parseInt(currPageValue) + 1;
    var pageCount = parseInt(document.getElementById("hidden_pageCnt").value);
    //alert(nextPageNum + "|" + pageCount);
    if (nextPageNum <= pageCount) {
        pageTo(nextPageNum, false);
    } else {

        //加载自定义函数；
        try {
            if (whenNoMoreData != null && whenNoMoreData != undefined) {
                whenNoMoreData();
            }
        } catch (e) { }
    }
}

//加载第X页的数据；
function loadData(pageIndex, reloadRdCnt) {

    document.getElementById("hfCurrPage").value = pageIndex;

    var arg = "";
    /*
    var dataBarObj = document.getElementById("dataBody");    
    dataBarObj.innerHTML = "<div style='padding:10px;text-align:right;'>正在加载...</div>";
    */

    if (reloadRdCnt) {  //CompletePageTo 会在后台重新统计记录数量，一般在删除记录后，应该重新统计记录数量；
        callServer("CompletePageTo", arg, pageIndex);
    } else { //PageTo只重新记载数据，并不重新统计记录数量
        callServer("PageTo", arg, pageIndex); 
    }
}

//调用服务端方法；                      
function callServer(actName, arg, currPage) {
    var arg_clientSendToServer = actName + "|" + arg + "|" + currPage;  //函数名|参数;

    currActName = actName;

    try {
        doCallBack(arg_clientSendToServer);  //该函数在asp.net的BasePage中定义，直接输出到客户端。
    } catch (e) {
        alert("调用doCallBack()时发生异常：" + e);
        return false;
    }

    return true;
}
       
function receiveServerResult(result) { 
                    
    if (currActName == "PageTo" || currActName == "CompletePageTo") {
        
        //加载自定义函数；
        if (afterDataListLoaded != null && afterDataListLoaded != undefined) {
            afterDataListLoaded(result);
        }

        setLayout();
    }
    else{
        showActResult(result);
    }
}



//得到选中项；
function getCheckedItems() {
    
    var ids = "";

    var idArray = document.getElementsByName("ckb_dataItem");
    if (idArray.length <= 0) {
        return "";
    }

    for (var i = 0; i < idArray.length; i++) {
        var chkBoxObj = idArray[i];
        if (chkBoxObj.checked) {
            ids += "," + chkBoxObj.value;
        }
    }

    if (ids == "") {
        return "";
    }

    if (ids.length > 0 && ids.charAt(0) == ",") {
        ids = ids.substring(1, ids.length);
    }

    return ids;
}

/*
function checkSelect() {
    var ids = getCheckedItems();

    if (ids == "") {
        return false;
    }

    var idArray = ids.split(',');    
    if (idArray.length == 0) {
        return false;        
    }

    return true;
}
*/

function callServerWrapper(actName, alertMsg) {

    /* 原型
    var actName = "ExportToExcel";
    var alertMsg = "确定要删除所选项吗？";
    var pageIndex = document.getElementById("hfCurrPage").value;
    var arg = "{KeyIDs}${自定义参数}";
    */

    var actName = actName;
    var alertMsg = alertMsg;
    var pageIndex = document.getElementById("hfCurrPage").value;
    var arg = "{KeyIDs}${自定义参数}";
   
    callServer(actName, arg, pageIndex)
}


//批量操作；
function batchllyAct(obj) {
    var ids = "";

    var idArray = document.getElementsByName("ckb_dataItem");
    if (idArray.length <= 0) {
        //alert("没有可供选择的项！");
        $.messager.alert('提示', '没有可供选择的项！', 'error');
        return false;
    }

    for (var i = 0; i < idArray.length; i++) {
        var chkBoxObj = idArray[i];
        if (chkBoxObj.checked) {
            ids += "," + chkBoxObj.value;
        }
    }

    if (ids == "") {
        //alert("请选择要操作的记录！");
        $.messager.alert('提示', '请选择要操作的项！', 'error');
        return false;
    }

    //老式操作确认框；
    /*
    if (obj.alertMsg != ""){
    if (!confirm(obj.alertMsg)) {
    return false;
    }
    }
    */

    /*EasyUI风格的操作确认提示框*/
    if (obj.alertMsg != "") {
        $.messager.confirm('确认对话框', obj.alertMsg, function (r) {
            if (r) {

                //--------------------------
                if (ids.length > 0 && ids.charAt(0) == ",") {
                    ids = ids.substring(1, ids.length);
                }

                var arg = ids + "$" + obj.customArg;
                callServer(obj.actName, arg, obj.pageIndex);
                //--------------------------
            }
        });
    }
    else {
        //--------------------------
        if (ids.length > 0 && ids.charAt(0) == ",") {
            ids = ids.substring(1, ids.length);
        }

        var arg = ids + "$" + obj.customArg;
        callServer(obj.actName, arg, obj.pageIndex);
        //--------------------------
    }

    return false;
}

function batchllyActWrapper(actName, alertMsg, customArg) {
    /* 原型
    var actName = "Del";
    var alertMsg = "确定要删除所选项吗？";
    var pageIndex = document.getElementById("hfCurrPage").value;
    var arg = "";
    */

    var actName = actName;
    var alertMsg = alertMsg;
    var pageIndex = document.getElementById("hfCurrPage").value;
    var arg = customArg;
    
    batchllyAct(new BatchllyActObj(actName, alertMsg, pageIndex, arg));    
}

function BatchllyActObj(actName, alertMsg, pageIndex, customArg) {
    this.actName = actName;
    this.alertMsg = alertMsg;
    this.pageIndex = pageIndex;
    this.customArg = customArg;
}

//单条操作；
function singleAct(obj) {

    /*EasyUI风格的操作确认提示框*/
    if (obj.alertMsg != "") {
        $.messager.confirm('确认对话框', obj.alertMsg, function (r) {
            if (r) {

                //--------------------------                
                var arg = obj.keyValue + "$" + obj.customArg;
                return callServer(obj.actName, arg, obj.pageIndex);
                //--------------------------
            }
        });
    }
    else {
        //--------------------------        
        var arg = obj.keyValue + "$" + obj.customArg;
        return callServer(obj.actName, arg, obj.pageIndex);
        //--------------------------
    }

    return false;
}

function singleActWrapper(actName, keyValue, alertMsg, customArg) {
    /* 原型
    var actName = "Del";
    var keyValue = "1";
    var alertMsg = "确定要删除所选项吗？";
    var pageIndex = document.getElementById("hfCurrPage").value;
    var arg = "";
    */

    var actName = actName;
    var alertMsg = alertMsg;
    var keyValue = keyValue;
    var pageIndex = document.getElementById("hfCurrPage").value;
    var arg = customArg;

    var result = singleAct(new SingleActObj(actName, keyValue, alertMsg, pageIndex, arg));
    event.stopPropagation();  //阻止事件冒泡，避免行被选中；

    //说明：result为true或false只代表是否调用服务端方法成功，并不代表服务端方法的执行结果。
    //如果要根据执行结果来执行相应的操作，请在showActResult方法中进行处理。
    return result;
}

function SingleActObj(actName, keyValue, alertMsg, pageIndex, customArg) {
    this.keyValue = keyValue;
    this.actName = actName;
    this.alertMsg = alertMsg;
    this.pageIndex = pageIndex;
    this.customArg = customArg;
}

//选择一条记录，打开一个新窗口，项选中记录的信息作为参数传递给新窗口中的页面；
function openListSingleEditWindow(isSingleAct, winTitle, pageURL) {
    if (checkSelect(isSingleAct)) {       
        openTopestWindow(winTitle, pageURL); //common.js
    }
}

//检查是否选中记录（或只选中一条记录），如果没有，则给出提示，并返回false；
function checkSelect(isSingleAct) {
    if (isSingleAct) {
        var ids = getCheckedItems();
        if (getCheckedItems().split(',').length > 1) {
            $.messager.alert('操作结果', "每次只能选中一项进行操作！", 'warning');
            return false;
        }
    }

    if (ids == "") {
        $.messager.alert('提示', "请选择要操作的项！", 'info');
        return false;
    }

    return true;
}

//显示操作结果；
//result的返回结果有两种格式：
//第一种：纯文字描述，如：操作完毕！共选中10条记录，更新成功10条，失败0条！ 应用场景：批量启用、停用记录；
//第二种：包含了成功失败标志、成功失败文字描述、及成功时的数据记录号，如：{成功1/失败0标志}|文字描述|单据号，如：1|操作成功！|100001 ， 0|操作失败！。 应用场景：消费撤单、充值撤单等
function showActResult(result) {

    var resultFlag = "1";  //0-失败，1-成功；
    var resultDesc = "";
    var customArg = "";
    if (result.length > 0) {

        /*
        resultFlag = result.charAt(0);
        if (resultFlag != "0" && resultFlag != "1") {
            resultFlag = "1";
        } else {
            result = result.substring(2, result.length);  //去掉前面的"0|"或"1|"字符。
        }
        */
        if (result.indexOf("|") != -1) {
            var tempArray = result.split("|");
            resultFlag = tempArray[0];
            resultDesc = tempArray[1];

            if (tempArray.length == 3) {
                customArg = tempArray[2];
            }
        }
        else {
            resultDesc = result;
        }
    }
   
    if (currActName == "Del") {
        $.messager.alert('操作结果', resultDesc, 'info', function () {
            showActResultCallback(resultFlag, customArg, currActName);
        });
    }
    else if (currActName == "Enable") {
        $.messager.alert('操作结果', resultDesc, 'info', function () {            
            showActResultCallback(resultFlag, customArg, currActName);
        });        
    }
    else if (currActName == "Disable") {
        $.messager.alert('操作结果', resultDesc, 'info', function () {
            showActResultCallback(resultFlag, customArg, currActName);
        });
    }
    else if (currActName == "CX") {
        $.messager.alert('操作结果', resultDesc, 'info', function () {
            showActResultCallback(resultFlag, customArg, currActName);
        });
    }
    else {        
        $.messager.alert('操作结果', resultDesc, 'info', function () {
            showActResultCallback(resultFlag, customArg, currActName);
        });
    }       
}
function showActResultCallback(resultFlag, customArg, actName) {
    
    if (resultFlag == "1") {
        //在客户端调用；
        try {
            doWhenServerActSuc(actName, customArg);
        } catch (e) { }
    } else if (resultFlag == "0") {
        //在客户端调用；
        try {
            doWhenServerActFail(actName);
        } catch (e) { }
    }
    
    if (resultFlag == "1") {
        try {
            $(".jtongui-smartlisttable").find(".tableheader").find(":checkbox")[0].checked = false;
        } catch (e) { }

        if (actName == "Del") {
            completeReload();
        } else {
            reload();
        }
    }
}

//重新加载数据，但并不重新统计记录数量；
function reload() {
    var pageIndex = $("#hfCurrPage").val();
    var reloadRdCnt = false;
    pageTo(pageIndex, reloadRdCnt);
}
//重新加载数据，但并不重新统计记录数量；
function completeReload() {
    var pageIndex = $("#hfCurrPage").val();
    var reloadRdCnt = true;
    pageTo(pageIndex, reloadRdCnt);
}

//刷新整个页面；
function refresh() {
    window.location.reload();
}