﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="wallet_charge_list.aspx.cs" Inherits="VA.Modules.JDingMember.MyCenterMobile.mainbiz.memberinfo.wallet_charge_list" %>
<%@ Import Namespace="System.Data"%>
<!DOCTYPE HTML>
<html>
<head>
<!--#include virtual="../../include/metas.aspx"-->
<title>充值记录</title>   
<!--#include virtual="../../include/css/editlist.aspx"-->     
<!--#include virtual="../../include/js/editlist_model1.aspx"-->     
<script type="text/javascript">
    var n = 0;
    onPageInited = function () {

        initListPage(false);

        $('#dataBar').scroll(function () {
            onDataBarScroll();
        });
    };

    function onDataBarScroll() {

        showLoading();

        var dataBodyHeight = $("#hfDataBodyHeight").val();
        var dataBarHeight = $('#dataBar').height();
        var dataBarScrollTop = $('#dataBar').scrollTop();
        var loadingHeight = $('#loading').outerHeight();

        var num1 = parseInt(dataBarHeight) + parseInt(dataBarScrollTop);
        var num2 = parseInt(dataBodyHeight) + parseInt(loadingHeight);
                
        if (num1 >= num2) {  // 说明滚动条已达底部             
            var pageIndex = parseInt($("#hfCurrPage").val()) + 1;
            var pageCnt = parseInt($("#hfPageCnt").val());
            if (pageIndex <= pageCnt) {
                getData(pageIndex);
            }
        }

        /*调试信息
        var realDocHeight = $("#hfDocumentHeight").val();
        var dataBarHeight = $('#dataBar').height();
        var dataBarScrollTop = $('#dataBar').scrollTop();
        var documentHeight = $(document).height();
        var windowHeight = $(window).height();

        $("#span1").html("realDocHeight:"+ realDocHeight +",dataBarHeight:" + dataBarHeight + ",dataBarScrollTop:" + dataBarScrollTop + ",documentHeight:" + documentHeight + ",windowHeight:" + windowHeight);
        */
    }

    function pageTo(pageIndex) {        
        var args = {
            "pageIndex": pageIndex,
            "rdCnt": $("#hfRdCnt").val(),
            "pageSize": $("#hfPageSize").val(),
            "pageCnt": $("#hfPageCnt").val(),
            "sqlCondition": $("#hfSQLCondition").val()
        };
        var result = null;        
        $.ajax({
            type: "post",
            url: "wallet_charge_list.aspx?act=PageTo",
            dataType: "html",            
            data: args,
            async: false, //请求是否异步，默认为异步，这也是ajax重要特性
            beforeSend: function () {
                //请求前的处理
            },
            success: function (data, textStatus) {
                result = data;
                afterDataListLoaded(pageIndex, result);
            },
            complete: function () {
                //请求完成的处理
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
               
            }
        });      
    }    

    function afterDataListLoaded(pageIndex, result) {
        $("#dataBody").append(result);
        var dataBodyHeight = $("#dataBody").height();
        $("#hfDataBodyHeight").val(dataBodyHeight);
        $("#hfCurrPage").val(pageIndex);
        hideLoading();
    }

    function showLoading() {
        $(".loading").show();
    }

    function hideLoading() {
        $(".loading").hide();
    }

    function whenNoMoreData() {        
        hideLoading();
    }

</script>

</head>
<body>
<form id="Form1" method="post" runat="server">

<div id="pageWrapper">    

    <div id="dataBar">

        <!--bootStrap的list-group样式默认margin-bottom:为20px，此处重设为0,以便于通过js脚本控制当滚动条滚至底部时加载更多数据-->
        <div class="list-group" id="dataBody" style="margin-bottom:0px;"></div>
        <div class="loading" id="loading"><img src="/modules/mycentermobile/app_themes/images/system/loading.gif" align="absmiddle" /> 正在加载，请稍后……</div>

        <div style="display:none;">
        <asp:Repeater ID="myRepeater" Runat="server" EnableViewState="False"  >
        <ItemTemplate>        
            <a href="#" class="list-group-item">
                <h4 class="list-group-item-heading"><%# (base.currPage-1)*base.PageSize +Container.ItemIndex + 1 %>、<%# String.Format("{0:yyyy-MM-dd HH:mm}", Eval("Charge_Date"))%></h4>
                <p class="list-group-item-text">充值金额：<%# Eval("Pay_Amount")%></p>
                <p class="list-group-item-text">赠送金额：<%# Eval("Donate_Amount")%></p>
                <p class="list-group-item-text">充值合计：<%# Eval("Charge_Amount")%></p>
                <p class="list-group-item-text">支付方式：<%# Eval("PayType_Name")%></p>
                <p class="list-group-item-text">收 款 员：<%# Eval("Operator_Code")%></p>
                <p class="list-group-item-text">充值门店：<%# Eval("Shop_Name")%></p>
            </a>
        </ItemTemplate>
        </asp:Repeater>   

        <asp:HiddenField runat="server" ID="hfRdCnt" EnableViewState="true" />
        <asp:HiddenField runat="server" ID="hfPageSize" EnableViewState="true" />
        <asp:HiddenField runat="server" ID="hfPageCnt" EnableViewState="true" />
        <asp:HiddenField runat="server" ID="hfCurrPage" EnableViewState="true" />
        <asp:HiddenField runat="server" ID="hfSQLCondition" EnableViewState="true" />
        <asp:HiddenField runat="server" ID="hfCustomArgs" EnableViewState="true" />
        <input type="hidden" id="hfDataBodyHeight" />                              
                    
        </div>                        
         
    </div>
    
    <!--#include virtual="../../footer.aspx"-->

</div>

</form>
</body>
</html> 