﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CommonPagesEdit.aspx.cs" Inherits="Chaokers.CN.SysMembership.Web.CommonPagesEdit" %>
<%@ Import Namespace="System.Data" %>
<%@ Register assembly="Chaokers.CN.SysMembership.Components" namespace="Chaokers.CN.SysMembership.Components.Controls" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<asp:Literal runat="server">公共页面管理</asp:Literal>    
</head>
<body>
<form id="form1" runat="server">
<div id="wrapper">    

    <cc1:CurrLocation ID="CurrLocation1" runat="server" InnerText="角色与权限/公共页面管理" />
    
    <div id="mainContainer">

    <div class="note">
    <p>说明：公共页面即不需要对其进行身份验证即可访问的页面。</p>
    </div>
    
    <br />
    
    <!--main.主表.begin-->
    <table cellspacing="0" cellpadding="0" class="editTable" border="1" bordercolor="<% = base.AppTheme.MainBorderColor %>" style="border-collapse:collapse;">
	<thead>
	<td height="25"><b>公共页面管理</b></td>
	</thead>
	<tr>
	<td class="content" valign="top" align="left">
        <!--main.明细表.begin-->           
        <div style="width:100%;height:250px;overflow:scroll;overflow-x:hidden;margin:-1px;">
        <asp:DataGrid ID="myDataGrid" Runat="server"
             Width="100%"
		     CellPadding="1"
		     ShowFooter="False"
		     AutoGenerateColumns="False"
		     OnEditCommand="myDataGrid_OnEditCommand"
		     OnCancelCommand="myDataGrid_OnCancelCommand"
		     OnUpdateCommand="myDataGrid_OnUpdateCommand"
		     OnDeleteCommand="myDataGrid_OnDeleteCommand"
		     OnItemCreated="myDataGrid_OnItemCreated"
		     BorderWidth="1px"
		     BorderStyle="Solid" >
	    <HeaderStyle Height="22" Font-Bold="True" HorizontalAlign="Center"></HeaderStyle>
	    <ItemStyle Height="22" HorizontalAlign="Center"></ItemStyle>
	    <Columns>		
    	
	    <asp:BoundColumn HeaderText="ID" DataField="RecordID" ReadOnly="true" HeaderStyle-Width="25px"></asp:BoundColumn>
    	
        <asp:TemplateColumn HeaderText="页面地址" HeaderStyle-HorizontalAlign="center" ItemStyle-HorizontalAlign="left">
        <ItemTemplate>
        <%# ((DataRowView)Container.DataItem)["PageURL"] %>
        </ItemTemplate>
        <EditItemTemplate>
        <asp:TextBox ID="txtPageURL" runat="server" 
             Width="95%"
             Text='<%# ((DataRowView)Container.DataItem)["PageURL"] %>'/>
        </EditItemTemplate>
        </asp:TemplateColumn>     
            
	    <asp:EditCommandColumn
		     EditText="编辑"
		     CancelText="取消"
		     UpdateText="更新"
		     ButtonType="PushButton"
		     HeaderStyle-Width="110px"
		     HeaderText="操作"/>
	    <asp:ButtonColumn
		     HeaderText="删除"
		     Text="删除"
		     CommandName="Delete"
		     ButtonType=PushButton
		     HeaderStyle-Width="80px"
		     />
	    </Columns>
	    </asp:DataGrid>
        </div>
    </td>
    </tr>
    <tr>
    <td>
        <div style="padding:3px;">
        <table id="Table1" runat="server" cellpadding="0">
        <tr>
        <th>* 页面地址</th>
        <td style="text-align:left;">
	        <asp:TextBox ID="txtPageURL" Runat="server"
		         EnableViewState="False"
		         CssClass="input"
		         Width="200px"
		         ValidationGroup="AddModule"
		         MaxLength="300" />
	        <asp:RequiredFieldValidator id="rfvCommonPage" runat="server" 
	             ErrorMessage="页面地址不能为空!" 
	             ControlToValidate="txtPageURL" 
	             ValidationGroup="AddModule"
	             Display="None" />               	         
	        <asp:Button ID="btnSubmit" Runat="server" 
	             Text="提 交" 
	             CssClass="btn" 
	             OnClick="btnSubmit_Click"
	             ValidationGroup="AddModule" />
            
            （说明：页面地址应以"/"开头，例如：/Frames/Header.aspx）
            
            <asp:ValidationSummary id="ValidationSummary1"  runat="server" 
                 ShowMessageBox="True" 
                 ShowSummary="False"
                 ValidationGroup="AddModule" />
             
        </td>
        </tr>
        </table>
        </div>
    </td>
    </tr>
    </table>  


</div>

    </div><!--"mainContainer.END"-->

</div><!--"wrapper.END"-->
</form>   
    
</body>
</html>
