﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UserEdit.aspx.cs" Inherits="Chaokers.CN.SysMembership.Web.UserEdit" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Xml" %>

<%@ Register assembly="Chaokers.CN.SysMembership.Components" namespace="Chaokers.CN.SysMembership.Components.Controls" tagprefix="cc1" %>    

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
<asp:Literal ID="Literal1" runat="server">操作员管理</asp:Literal>    
</head>
<body>
<form id="form1" runat="server">
<div id="wrapper">    

    <cc1:CurrLocation ID="CurrLocation1" runat="server" InnerText="角色与权限" />
    
    <div id="mainContainer"> 
    
    <%--<div class="note">
    <p>说明：如果一个操作员拥有多个角色，则该用户将拥有这些角色所包含的权限的总和。</p>
    </div>
    
    <br />--%>
  
    <table cellspacing="0" cellpadding="3" class="editTable" border="1" bordercolor="<% = base.AppTheme.MainBorderColor %>" style="border-collapse:collapse;">
    <thead>
    <td height="20" colspan="4">
        <b><asp:Label ID="lblOperation" runat="server">添加操作员</asp:Label></b>        
    </td>
    </thead>
    <tr>
    <th><span class="mustFillFlag">*</span> 选择员工</th>
    <td colspan="3">
         <asp:DropDownList ID="ddlShops" runat="server"
             AutoPostBack="true"
             OnSelectedIndexChanged="ddlShops_OnSelectedIndexChanged"></asp:DropDownList>
        <asp:DropDownList ID="ddlEmployees" runat="server" OnSelectedIndexChanged="ddlEmployees_SelectedIndexChanged" AutoPostBack="true"></asp:DropDownList>
    </td>
    </tr>
    <tr>
    <th><span class="mustFillFlag">*</span> 登录账号</th>
    <td>
          <asp:TextBox ID="txtUserID" runat="server"
               CssClass="input"
               />       
          <asp:RequiredFieldValidator id="rfvUserID" runat="server" 
               ErrorMessage="登录账号不能为空!" 
               ControlToValidate="txtUserID" 
               Display="None" />
    </td>
    <th><span class="mustFillFlag">*</span> 登录密码</th>
    <td>
          <asp:TextBox ID="txtPassword" runat="server"
               CssClass="input"                 
               />       
          <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" 
               ErrorMessage="登录密码不能为空!" 
               ControlToValidate="txtPassword" 
               Display="None" />
    </td>
    </tr>
    <tr>
    <th>所属角色</th>
    <td colspan="3">
        <asp:CheckBoxList ID="cklRoles" runat="server"
             RepeatDirection="Horizontal"
             RepeatLayout="Table" 
             RepeatColumns="5"></asp:CheckBoxList>
    </td>
    </tr>    
    <tr>
    <th rowspan="2">可登录门店</th>
    <td colspan="3">
         <asp:RadioButtonList ID="rblShopPriv" runat="server"
             RepeatDirection="Horizontal"
             RepeatLayout="Flow" OnSelectedIndexChanged="rblShopPriv_SelectedIndexChanged"
             AutoPostBack="true">
            <asp:ListItem Value="1" Selected="True">只能登录所属门店</asp:ListItem>
            <asp:ListItem Value="2">可登录全部门店</asp:ListItem>
            <asp:ListItem Value="3">可登录指定门店</asp:ListItem>
        </asp:RadioButtonList>
        <span style="color:#808080">注：员工始终可以登录自身所属门店</span>
    </td>
    </tr>    
    <tr>
    <td colspan="3">
         
        <asp:CheckBoxList ID="ckblShops" runat="server"
             RepeatColumns="3"
             RepeatDirection="Horizontal"
             RepeatLayout="Table">            
        </asp:CheckBoxList>
         
    </td>
    </tr>
    <tr>
    <th>账号状态</th>
    <td colspan="3">
        <asp:RadioButtonList ID="rbnUserState" runat="server"
             RepeatDirection="Horizontal"
             RepeatLayout="Flow">
            <asp:ListItem Value="1" Selected="True">启用</asp:ListItem>
            <asp:ListItem Value="2">已停用</asp:ListItem>
        </asp:RadioButtonList>
    </td>
    </tr>                                     
    <tr>
    <td colspan="4" style="text-align:center">
          <asp:Button ID="btnSubmit" runat="server"
               Text=" 保存 "
               CssClass="btn"
               OnClick="btnSubmit_Click" />
          <asp:Label ID="lblResult" runat="server" />
          
          <asp:Button ID="btnCancel" runat="server"
               Text=" 返回 "
               CssClass="btn" 
               Onclick="btnCancel_Click"
               CausesValidation="false"
               />
          
          <asp:ValidationSummary id="ValidationSummary1"  runat="server" 
               ShowMessageBox="True" 
               ShowSummary="False" />
    </td>
    </tr>
    </table>


    </div><!--"mainContainer.END"-->

</div><!--"wrapper.END"-->
</form> 

</body>
</html>
