﻿//<script language="javascript">

var JTongSmartDropDownList_AC_ENTER = 13;      // 回车键；
var JTongSmartDropDownList_AC_UP_ARROW = 38;   // 向上方向键；
var JTongSmartDropDownList_AC_DOWN_ARROW = 40; // 向下方向键；
var JTongSmartDropDownList_AC_BACK = 8;        // 退格键；
var JTongSmartDropDownList_AC_DELETE = 46;     // 删除键；
var JTongSmartDropDownList_AC_HOME = 36;       // Home键；
var JTongSmartDropDownList_AC_END = 35;        // End键；

/*几个主要对象的含义
function JTongSmartDropDownList_getControl() {
    return $(".JTongSmartDropDownList").eq(0)[0];
}
function JTongSmartDropDownList_getDataBody(objID) {
    return $(".JTongSmartDropDownList .dataBody").eq(0)[0];
}
function JTongSmartDropDownList_getBottomBar() {
    return $(".JTongSmartDropDownList .bottomBar").eq(0)[0];
}
function JTongSmartDropDownList_getRemark() {
    return $(".JTongSmartDropDownList .remark").eq(0)[0];
}
function JTongSmartDropDownList_getRemarkText() {
    return $(".JTongSmartDropDownList .remark_TextWrapper").eq(0)[0];
*/

var JTongSmartDropDownList_inputObj;           //文本框对象；
var JTongSmartDropDownList_DataItemContainer;  //数据容器，一个div。即：<div class="dataBody"></div>
var JTongSmartDropDownList_DataItemPageNavBarObj; //页码导航条div；
var JTongSmartDropDownList_DataListTable;      //显示具体内容的表格；
var JTongSmartDropDownList_SelectedIndex = 0;  //当前选中的行的索引；
var JTongSmartDropDownList_DataItemCount = 0;  //数据表格内行的数量；
var JTongSmartDropDownList_DataPageURL = 0;    //无刷新获取数据的页面地址；
var JTongSmartDropDownList_IfLoadComplete = false;  //是否加载完毕数据；
var JTongSmartDropDownList_DataItemPageSize = 0;   //每页显示多少条数据；0表示不分页；
var JTongSmartDropDownList_UsePagination = false;   //标识启用分页，如果JTongSmartDropDownList_UsePagination为true，则表示启用分页，否则不启用分页；       
var JTongSmartDropDownList_ShowAllOnFocus = false;  //是否在获得焦点时候列出所有项（而不是当前输入项）；
var JTongSmartDropDownList_AutoHideWhenNoData = false;  //是否在没有数据时自动隐藏面板；
var JTongSmartDropDownList_TakeValueMode = "1";   //数据采集模式。1-只能从列表选择（如果输入的字符列表中不存在，则在丢失焦点的时候输入框自动被清空）；2-可以获取自由输入的文字（丢失焦点的时候输入框不会被清空）；
var JTongSmartDropDownList_TakeValueOnEnterWhenOnly1Row = true;   //如果数据源中只有1条数据，那么是否在敲击回车时自动提取该条数据；

//当通过给定的关键词找不到数据时，将当前关键词赋给该变量，
//当用户在该关键词后面输入更多的字符时，不再去读取服务器（因为如果用较少的关键词找不到
//数据的话，更多的内容肯定还是找不到数据）；
//当文本框获得焦点时，清空该变量值；
var JTongSmartDropDownList_OldKeywords = "";

//标记是否已从数据列表中选择了一个值。
//在 JTongSmartDropDownList_OnfocusHandler 中将该变量设置为 0 ；
//在 JTongSmartDropDownList_TakeValue 中，如果取到了有效值，则将该变量设置为 1 ；
//从列表中选择值时，会首先调用 JTongSmartDropDownList_TakeValue 方法，然后紧跟着触发
//JTongSmartDropDownList_OnblurHandler事件，在JTongSmartDropDownList_OnblurHandler事件中，
//可以根据该变量的值来确定用户是否从数据源中选择了有效的值，并作出相应的处理。
var JTongSmartDropDownList_HasTakeValueFromDataSource = "0"; //0-未取到有效值，1-已取到有效值；

//内部使用变量，控件对象；
var $JTongSmartDropDownList_Control = null;

$(function () {
    JTongSmartDropDownList_init();
});

function JTongSmartDropDownList_init() {
    //document.attachEvent("onclick", JTongSmartDropDownList_hideControl, false);  //在页面空白处单击，则隐藏数据面板；
    var $control = $(JTongSmartDropDownList_getControl());

    var $iframe = $("<iframe src='' style=\"position:absolute; visibility:inherit; top:0px; left:0px;   z-index:-1;   filter='progidXImageTransform.Microsoft.Alpha(style=0,opacity=0)';\"></iframe>");
    var $container = $("<div class='container'></div>");
    var $dataBody = $("<div class='dataBody'></div>");
    var $bottomBar = $("<div class='bottomBar'></div>");
    var $remark = $("<div class='remark'><div class='remark_TextWrapper' style='padding:3px;text-align:left;'></div></div>");

    $container.append($dataBody).append($bottomBar).append($remark);
    $control.append($iframe).append($container);

    $JTongSmartDropDownList_Control = $control; //控件对象

    /*最终构建出来的html
    <div class="JTongSmartDropDownList">
        <iframe src="" style="position:absolute; visibility:inherit; top:0px; left:0px;   z-index:-1;   filter='progidXImageTransform.Microsoft.Alpha(style=0,opacity=0)';"></iframe>
        <div class="container" >
            <div class="dataBody"></div>
            <div class="bottomBar"></div>
            <div class="remark"><div class="remark_TextWrapper" style="padding:3px;text-align:left;"></div></div>
        </div>
    </div>
    */
}

/**参数说明：
function JTongSmartDropDownList_OnfocusHandler(
1-inputObj, //dom对象
2-dataPageURL, //字符串。数据源页面地址，如："datasrc/GetCustomers_zonghe.aspx"
3-showOnFocus, //true | false。获得焦点时是否自动显示；
4-showAllOnFocus, //true | false。获得焦点时，数据源页面只加载输入框中的内容项，还是加载全部的数据（如：有些字典选择项，需要加载全数据）；
5-controlWidth, //整型。控件宽度
6-controlHeight, //整型。控件高度
7-pageSize, //可选，整型，分页大小。如果为0，则表示不分页。
8-autoHideWhenNoData, //可选,true | false。数据源中没有数据或没有检索到数据时，是否自动隐藏数据面板。对于可输可选情况，一般设置为true。
9-takeValueMode， //可选,字符串。数据采集模式。1-只能从列表选择（如果输入的字符列表中不存在，则在丢失焦点的时候输入框自动被清空）；2-可以获取自由输入的文字（丢失焦点的时候输入框不会被清空）；
10-takeValueOnEnterWhenOnly1Row， //可选,,true | false。如果数据源中只有1条数据，那么是否在敲击回车时自动提取该条数据；
)；
*/
function JTongSmartDropDownList_OnfocusHandler(event) {

    JTongSmartDropDownList_OldKeywords = "";
    JTongSmartDropDownList_HasTakeValueFromDataSource = "0";

    //由于是全局变量，所以每次获得焦点后都要重新初始化一下，以避免一个页面中有多个下拉筛选控件时，该变量值取成其他控件所赋予的值；
    JTongSmartDropDownList_AutoHideWhenNoData = false;
    JTongSmartDropDownList_TakeValueMode = "1";
    JTongSmartDropDownList_TakeValueOnEnterWhenOnly1Row = true;

    var inputObj = arguments[0]; //当前输入框对象；
    var dataPageURL = arguments[1]; //数据源页面；
    var showOnFocus = arguments[2]; //获得焦点时是否自动显示；
    var showAllOnFocus = arguments[3]; //获得焦点时自动显示全部；
    var controlWidth = arguments[4]; //控件宽度；
    var controlHeight = arguments[5]; //控件高度；
    var pageSize = arguments[6]; //每页大小；
    var autoHideWhenNoData = arguments[7]; //是否在没有数据时自动隐藏面板；
    var takeValueMode = arguments[8]; //数据采集模式。
    var takeValueOnEnterWhenOnly1Row = arguments[9]; //如果数据源中只有1条数据，那么是否在敲击回车时自动提取该条数据；

    if (arguments.length >= 7) {
        JTongSmartDropDownList_DataItemPageSize = arguments[6]; //每页大小；
    }
    if (arguments.length >= 8) {
        JTongSmartDropDownList_AutoHideWhenNoData = arguments[7];//是否在没有数据时自动隐藏面板；
    }
    if (arguments.length >= 9) {
        JTongSmartDropDownList_TakeValueMode = arguments[8];//数据采集模式；
    }
    if (arguments.length >= 10) {
        JTongSmartDropDownList_TakeValueOnEnterWhenOnly1Row = arguments[9]; //如果数据源中只有1条数据，那么是否在敲击回车时自动提取该条数据；
    }

    JTongSmartDropDownList_inputObj = inputObj;
    JTongSmartDropDownList_inputObj.onkeyup = function (event) { JTongSmartDropDownList_KeyupHandler(event); };
    JTongSmartDropDownList_inputObj.onkeydown = function (event) { JTongSmartDropDownList_KeydownHandler(event); };
    JTongSmartDropDownList_inputObj.autoComplete = "off";
    JTongSmartDropDownList_inputObj.onblur = JTongSmartDropDownList_OnblurHandler;

    //创建数据容器对象；
    if (JTongSmartDropDownList_DataItemContainer == null) {
        JTongSmartDropDownList_DataItemContainer = JTongSmartDropDownList_getDataBody();
    }

    //页面导航条div对象；
    if (JTongSmartDropDownList_DataItemPageNavBarObj == null) {
        JTongSmartDropDownList_DataItemPageNavBarObj = JTongSmartDropDownList_getBottomBar();
    }

    JTongSmartDropDownList_ShowAllOnFocus = showAllOnFocus;

    //指定全局JTongSmartDropDownList_DataPageURL的值；
    JTongSmartDropDownList_DataPageURL = dataPageURL;

    if (JTongSmartDropDownList_DataItemPageSize != 0) {

        //标记启用分页；
        JTongSmartDropDownList_UsePagination = true;
    }
    else {
        //标记不启用分页；
        JTongSmartDropDownList_UsePagination = false;
    }

    //定位数据容器的位置；
    JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());

    //清空数据容器内容并隐藏数据显示面板；
    if (JTongSmartDropDownList_DataItemContainer.innerHTML.length > 0) {
        JTongSmartDropDownList_ClearDataItemContaier();
        JTongSmartDropDownList_hideControl();
    }

    //设置控件宽度和高度；
    var $control = $(JTongSmartDropDownList_getControl());
    var $dataBody = $(JTongSmartDropDownList_getDataBody());
    $control.css("width", controlWidth);
    $control.css("height", controlHeight);
    $dataBody.css("height", controlHeight - 50); //50相当于 页码导航的高度 +  备注行的高度；

    if (showAllOnFocus) {
        //JTongSmartDropDownList_inputObj.onclick = JTongSmartDropDownList_ClickHandler;
        $(JTongSmartDropDownList_inputObj).click(function () {
            JTongSmartDropDownList_ClickHandler(showAllOnFocus);
        });
    }

    //获得焦点后自动显示；
    if (showOnFocus) {
        JTongSmartDropDownList_KeyupHandler(event);
    }
}

//文本框失去焦点后的处理程序；
function JTongSmartDropDownList_OnblurHandler() {

    if (!JTongSmartDropDownList_IfLoadComplete) { //如果数据尚未加载完毕
        JTongSmartDropDownList_getHiddenObj(JTongSmartDropDownList_inputObj).value = "-9999"; //如果数据库中没有相关项，则令隐藏文本域的值为“-9999”；
        JTongSmartDropDownList_hideControl(); //隐藏数据面板；
    }

    if (JTongSmartDropDownList_inputObj.value == "") {
        JTongSmartDropDownList_getHiddenObj(JTongSmartDropDownList_inputObj).value = "-9999"; //如果数据库中没有相关项，则令隐藏文本域的值为“-9999”；

        //如果此时隐藏数据面板，则将导致无法使用键盘方向键来选择数据，所以不能隐藏数据面板；
        //JTongSmartDropDownList_hideControl(); 
    }

    if (JTongSmartDropDownList_TakeValueMode == "1") { //数据采集模式：1-必须从列表中选择 

        if (JTongSmartDropDownList_HasTakeValueFromDataSource == "0") {  //如果没有列表中选择值；
            JTongSmartDropDownList_getHiddenObj(JTongSmartDropDownList_inputObj).value = "-9999";
            JTongSmartDropDownList_inputObj.value = "";
        }

    } else if (JTongSmartDropDownList_TakeValueMode == "2") { //数据采集模式：2-允许用户自由输入；
        //do nothing
    }

    if (JTongSmartDropDownList_HasTakeValueFromDataSource == "0") { //如果没有列表中选择值；
        //增加一个处理方法，文本框失去焦点而又没有从列表中选择值，则进行相关处理；
        try {
            JTongSmartDropDownList_OnBlur_ButNotTakeValue(JTongSmartDropDownList_inputObj.id);
        }
        catch (e) { }
    }
}

//将该方法暴露到客户端，由调用者重写；
//function JTongSmartDropDownList_OnBlur_ButNotTakeValue(JTongSmartDropDownList_inputObjID) {
//}

//键起；
function JTongSmartDropDownList_KeyupHandler(event) {
    var keyCode = event.keyCode;
    //console.log(event.type);
    if (keyCode == JTongSmartDropDownList_AC_HOME ||
        keyCode == JTongSmartDropDownList_AC_END) {
        return;
    }

    if (JTongSmartDropDownList_DataItemContainer == null) {
        JTongSmartDropDownList_DataItemContainer = JTongSmartDropDownList_getDataBody();
    }

    if (keyCode != JTongSmartDropDownList_AC_UP_ARROW && keyCode != JTongSmartDropDownList_AC_DOWN_ARROW && keyCode != JTongSmartDropDownList_AC_ENTER) {
        /*************************************************************************************/

        //定位数据容器的位置；
        JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());

        JTongSmartDropDownList_SelectedIndex = 0;

        var inputValue = encodeURI(JTongSmartDropDownList_inputObj.value);
        if (JTongSmartDropDownList_ShowAllOnFocus) {
            inputValue = "";
        }

        if (inputValue.length > JTongSmartDropDownList_OldKeywords.length &&
            JTongSmartDropDownList_OldKeywords != "" &&
            inputValue.indexOf(JTongSmartDropDownList_OldKeywords) != -1) {
            return;
        }

        var xmlHttp = GetXmlHttpRequestObj();

        //增加自定义参数
        var customParms = "";   //自定义参数；
        var customFieldObj = null;
        customFieldObj = JTongSmartDropDownList_$obj(JTongSmartDropDownList_inputObj.id + "_CustomParms");
        if (customFieldObj != undefined) {
            customParms = customFieldObj.value;
        }
        //alert(customParms);
        //显示返回结果；
        JTongSmartDropDownList_IfLoadComplete = false;
        JTongSmartDropDownList_showControl();
        JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;'>正在加载数据...</p>";
        JTongSmartDropDownList_DataItemPageNavBarObj.style.display = "none"; //在数据加载完毕让页码导航条不显示；

        //xmlHttp.open("Get", "GetCustomers.aspx?Keywords=" + inputValue + "&Random=" + Math.random(), true);
        xmlHttp.open("Get", JTongSmartDropDownList_DataPageURL + "?PageSize=" + JTongSmartDropDownList_DataItemPageSize + "&Page=1&Keywords=" + inputValue + "&" + customParms + "&Random=" + Math.random(), true);
        xmlHttp.onreadystatechange = function () {
            if (xmlHttp.readyState == 4) {
                if (xmlHttp.status == 200) {
                    var returnStr = xmlHttp.responseText;

                    if (!JTongSmartDropDownList_UsePagination)  //如果不启用分页功能；
                    {
                        //resultArray : 记录总数|数据列表的html代码
                        var resultArray = returnStr.split("|");

                        if (resultArray.length < 2) {
                            alert("数据来源页面的返回结果不正确！");
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                            //定位数据容器的位置；
                            JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                            return;
                        }

                        var rdCnt = resultArray[0];  //本次搜索结果数量；resultArray的第一个元素
                        var dataListContent = resultArray[1];  //输出的数据内容，通常是一段html代码；resultArray的第2个元素；
                        var remarkText = ""; //输出的备注说明文字；resultArray的第3个元素；如果数据源页面输出了该元素，且如果不为空，则在最下方显示该说明；

                        if (resultArray.length >= 3) //如果输出的有备注说明文字（第3个元素）
                        {
                            remarkText = resultArray[2];
                        }

                        //如果没有找到记录，则自动关闭下拉列表；
                        if (rdCnt == 0) {

                            //当通过给定的关键词找不到数据时，将当前关键词赋给该变量，
                            //当用户在该关键词后面输入更多的字符时，不再去读取服务器（因为如果用较少的关键词找不到
                            //数据的话，更多的内容肯定还是找不到数据）；
                            //当文本框获得焦点时，清空该变量值；
                            JTongSmartDropDownList_OldKeywords = inputValue;

                            if (JTongSmartDropDownList_AutoHideWhenNoData) {
                                JTongSmartDropDownList_hideControl();
                                return;
                            }
                        }

                        var JTongSmartDropDownList_DataItemPageNavBar = JTongSmartDropDownList_getBottomBar();

                        JTongSmartDropDownList_DataItemPageNavBar.innerHTML = "<div style='float:left;padding:3px;position:relative;'><span>共检索到" + rdCnt + "条结果</span></div>";
                        JTongSmartDropDownList_DataItemPageNavBar.innerHTML += "<div style='float:right;padding:3px;position:relative;'><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></div>";
                        JTongSmartDropDownList_DataItemPageNavBar.innerHTML += "<div style='clear:both;'></div>";

                        //如果返回数据为"error"；
                        if (returnStr.toLowerCase() == "error") {
                            JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;color:red;'>数据加载失败！</p>";
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                            //定位数据容器的位置；
                            JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                            return;
                        }

                        if (rdCnt == 0) {
                            JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;'>没有符合检索条件的数据！</p>";
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                            //定位数据容器的位置；
                            JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                            return;
                        }

                        //显示返回结果；
                        JTongSmartDropDownList_DataItemContainer.innerHTML = dataListContent;
                        JTongSmartDropDownList_IfLoadComplete = true; //标记数据已经加载完毕；
                        JTongSmartDropDownList_DataItemPageNavBarObj.style.display = "block"; //在数据加载完毕让页码导航条显示；

                        if (remarkText != "") {
                            JTongSmartDropDownList_getRemark().style.display = "block";
                            JTongSmartDropDownList_getRemarkText().innerHTML = remarkText;
                        } else {
                            JTongSmartDropDownList_getRemark().style.display = "none";
                        }

                        if (rdCnt == 0)//如果记录为0，则不显示用户自定义说明文字；
                        {
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                        }

                        //定位数据容器的位置；
                        JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                    }
                    else   //如果启用分页功能；
                    {
                        //resultArray : 记录总数|数据列表的html代码|当前页码|备注说明
                        var resultArray = returnStr.split("|");

                        if (resultArray.length < 3) {
                            alert("数据来源页面的返回结果不正确！");
                            return;
                        }

                        var rdCnt = resultArray[0];  //本次搜索结果数量；resultArray的第一个元素                            
                        var dataListContent = resultArray[1];  //输出的数据内容，通常是一段html代码；resultArray的第2个元素；
                        var currPage = resultArray[2]; //当前页面；
                        var remarkText = ""; //输出的备注说明文字；resultArray的第3个元素；如果数据源页面输出了该元素，且如果不为空，则在最下方显示该说明；

                        if (resultArray.length >= 4) //如果输出的有备注说明文字（第3个元素）
                        {
                            remarkText = resultArray[3];
                        }

                        //                            JTongSmartDropDownList_Trace(returnStr);
                        //                            return;

                        //如果返回数据为"error"；
                        if (returnStr.toLowerCase() == "error") {
                            JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;color:red;'>数据加载失败！</p>";
                            JTongSmartDropDownList_getBottomBar().innerHTML = "<center><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></center>";
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                            //定位数据容器的位置；
                            JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                            return;
                        }

                        if (rdCnt == 0) {
                            JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;'>没有符合检索条件的数据！</p>";
                            JTongSmartDropDownList_getBottomBar().innerHTML = "<center><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></center>";
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                            //定位数据容器的位置；
                            JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                            return;
                        }

                        var JTongSmartDropDownList_DataItemPageNavBar = JTongSmartDropDownList_getBottomBar();
                        JTongSmartDropDownList_DataItemPageNavBar.innerHTML = "<div style='float:left;padding:3px;position:relative;'><span id='pageNavInfo'></span></div>";
                        JTongSmartDropDownList_DataItemPageNavBar.innerHTML += "<div style='float:right;padding:3px;position:relative;'><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></div>";
                        JTongSmartDropDownList_DataItemPageNavBar.innerHTML += "<div style='clear:both;'></div>";


                        /*****返回的数据列表分页.BEGIN*******************/
                        var pageSize = JTongSmartDropDownList_DataItemPageSize;
                        var pageCount = rdCnt % pageSize == 0 ? rdCnt / pageSize : parseInt(rdCnt / pageSize) + 1;

                        if (rdCnt > 0) {
                            var firstPage = 1;
                            var prePage = parseInt(currPage) - 1;
                            var nextPage = parseInt(currPage) + 1;
                            var lastPage = parseInt(pageCount);

                            //var firstPageStr = "<a href='javascript:JTongSmartDropDownList_PageTo(" + firstPage + ");'>首页</a>";
                            var prePageStr = "<a href='javascript:JTongSmartDropDownList_PageTo(" + prePage + ");' class='JTongSmartDropDownList_PageNav'>上一页</a>";
                            var nextPageStr = "<a href='javascript:JTongSmartDropDownList_PageTo(" + nextPage + ");' class='JTongSmartDropDownList_PageNav'>下一页</a>";
                            //var lastPageStr  = "<a href='javascript:JTongSmartDropDownList_PageTo(" + lastPage + ");'>末页</a>";

                            if (currPage <= 1) {
                                prePageStr = "<span style='color:#aaaaaa;'>上一页</span>";
                            }

                            if (currPage >= pageCount) {
                                nextPageStr = "<span style='color:#aaaaaa;'>下一页</span>";
                            }

                            var pageNavInfo = JTongSmartDropDownList_$obj("pageNavInfo");
                            pageNavInfo.innerHTML = "共检索到" + rdCnt + "条结果，每页显示" + pageSize + "条，分页：<span style='color:red;'>" + currPage + "</span>/" + pageCount + "&nbsp;";
                            //pageNavInfo.innerHTML += "&nbsp;" + firstPageStr;
                            pageNavInfo.innerHTML += "&nbsp;" + prePageStr;
                            pageNavInfo.innerHTML += "&nbsp;" + nextPageStr;
                            //pageNavInfo.innerHTML += "&nbsp;" + lastPageStr;		      
                        }
                        /*****返回的数据列表分页.BEGIN*******************/

                        //显示返回结果；
                        JTongSmartDropDownList_DataItemContainer.innerHTML = dataListContent;
                        JTongSmartDropDownList_IfLoadComplete = true; //标记数据已经加载完毕；
                        JTongSmartDropDownList_DataItemPageNavBarObj.style.display = "block"; //在数据加载完毕让页码导航条显示；

                        if (remarkText != "") {
                            JTongSmartDropDownList_getRemark().style.display = "block";
                            JTongSmartDropDownList_getRemarkText().innerHTML = remarkText;
                        } else {
                            JTongSmartDropDownList_getRemark().style.display = "none";
                        }

                        if (rdCnt == 0)//如果记录为0，则不显示用户自定义说明文字；
                        {
                            JTongSmartDropDownList_getRemark().style.display = "none";
                            JTongSmartDropDownList_getRemarkText().innerHTML = "";
                        }

                        //定位数据容器的位置；
                        JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                    }
                }
            }
        }
        xmlHttp.send(null);

        /*************************************************************************************/
    }

    if (!JTongSmartDropDownList_IfLoadComplete) {
        return;
    }

    JTongSmartDropDownList_DataListTable = JTongSmartDropDownList_DataItemContainer.childNodes[0];
    if (JTongSmartDropDownList_DataListTable == null) {
        JTongSmartDropDownList_Trace("JTongSmartDropDownList_KeyupHandler() : table is null");
        return;
    }

    var childNodeLength = JTongSmartDropDownList_DataListTable.rows.length; //这个length包含了thead；
    if (childNodeLength >= 1) {
        childNodeLength = childNodeLength - 1; //减去thead
    }

    //自动选中输入框中的项；
    var keywords = encodeURI(JTongSmartDropDownList_inputObj.value);
    if (JTongSmartDropDownList_ShowAllOnFocus && keywords != "") {

        for (var i = 1; i <= childNodeLength; i++) {
            var dataItem = JTongSmartDropDownList_DataListTable.rows[i];
            var keyValue = encodeURI(dataItem.cells[1].innerHTML);
            //alert(keywords + "|" + keyValue);
            if (keywords == keyValue) {
                JTongSmartDropDownList_SelectedIndex = i;
                dataItem.className = "dataItem_hover";
                JTongSmartDropDownList_adjustListDivScroll();
                break;
            }
        }
    }

    JTongSmartDropDownList_DataItemCount = childNodeLength;
    //JTongSmartDropDownList_Trace("kup1,JTongSmartDropDownList_DataItemCount : " + JTongSmartDropDownList_DataItemCount + "，JTongSmartDropDownList_SelectedIndex : " + JTongSmartDropDownList_SelectedIndex);

    //响应向上光标键或向下光标键；
    if (keyCode == JTongSmartDropDownList_AC_UP_ARROW || keyCode == JTongSmartDropDownList_AC_DOWN_ARROW) {
        for (var i = 1; i <= childNodeLength; i++) {
            var dataItem = JTongSmartDropDownList_DataListTable.rows[i];
            if (i == JTongSmartDropDownList_SelectedIndex) {
                dataItem.className = "dataItem_hover";
            }
            else {
                dataItem.className = "dataItem_default";
            }
        }
    }

    //2008-10-13 该提取数据的代码转移到 JTongSmartDropDownList_KeydownHandler 中
    ////响应回车键；
    //if (keyCode == JTongSmartDropDownList_AC_ENTER) {
    //    if (JTongSmartDropDownList_SelectedIndex != 0) {
    //        var dataItem = JTongSmartDropDownList_DataListTable.rows[JTongSmartDropDownList_SelectedIndex];
    //        JTongSmartDropDownList_TakeValue(dataItem);
    //    }
    //}
}

//键落；
function JTongSmartDropDownList_KeydownHandler(event) {

    //只要发生键盘事件，即将该变量的值设置为false，否则会造成keyup事件中inputValue始终为空；
    JTongSmartDropDownList_ShowAllOnFocus = false;

    var keyCode = event.keyCode;

    if (keyCode == JTongSmartDropDownList_AC_BACK ||
        keyCode == JTongSmartDropDownList_AC_DELETE ||
        keyCode == JTongSmartDropDownList_AC_HOME ||
        keyCode == JTongSmartDropDownList_AC_END) {
        return;
    }

    if (JTongSmartDropDownList_DataItemContainer == null) {
        JTongSmartDropDownList_DataItemContainer = JTongSmartDropDownList_getDataBody();
    }
    JTongSmartDropDownList_Trace("kdown,JTongSmartDropDownList_DataItemCount : " + JTongSmartDropDownList_DataItemCount);

    if (!JTongSmartDropDownList_IfLoadComplete) {
        return;
    }

    JTongSmartDropDownList_DataListTable = JTongSmartDropDownList_DataItemContainer.childNodes[0];
    if (JTongSmartDropDownList_DataListTable == null) {
        JTongSmartDropDownList_Trace("JTongSmartDropDownList_KeydownHandler() : table is null");
        return;
    }

    var childNodeLength = JTongSmartDropDownList_DataListTable.rows.length;
    if (childNodeLength >= 1) {
        childNodeLength = childNodeLength - 1;
    }

    if (keyCode == JTongSmartDropDownList_AC_UP_ARROW) {
        JTongSmartDropDownList_SelectedIndex--;
        if (JTongSmartDropDownList_SelectedIndex <= 1) {
            JTongSmartDropDownList_SelectedIndex = 1;
        }
    }

    if (keyCode == JTongSmartDropDownList_AC_DOWN_ARROW) {
        JTongSmartDropDownList_SelectedIndex++;

        if (childNodeLength > 0 && JTongSmartDropDownList_SelectedIndex > childNodeLength) {
            JTongSmartDropDownList_SelectedIndex = childNodeLength;
        }

    }

    if (keyCode == JTongSmartDropDownList_AC_UP_ARROW || keyCode == JTongSmartDropDownList_AC_DOWN_ARROW) {
        for (var i = 1; i <= childNodeLength; i++) {
            var dataItem = JTongSmartDropDownList_DataListTable.rows[i];
            if (i == JTongSmartDropDownList_SelectedIndex) {
                dataItem.className = "dataItem_hover";
            }
            else {
                dataItem.className = "dataItem_default";
            }
        }

    }

    if (keyCode == JTongSmartDropDownList_AC_ENTER) {
        if (JTongSmartDropDownList_TakeValueOnEnterWhenOnly1Row) { //如果配置为当只有1条数据时敲击回车键自动提取数据。
            if (childNodeLength == 1)  //如果只有一行结果，说明已经筛选到所需要的结果，此时敲击回车键视为取值操作；
            {
                var trobj = JTongSmartDropDownList_DataListTable.rows[1];  //数据行对象；
                JTongSmartDropDownList_TakeValue(trobj);
            }
        }

        //如果加上return false，那么当数据提取模式为"2-允许用户自由输入"时，敲击回车后，无法执行客户端所添加的焦点自动切换逻辑， 
        //故取消 return false 语句。 2008-10-13
        //return false;
    }

    //响应回车键；
    if (keyCode == JTongSmartDropDownList_AC_ENTER) {
        if (JTongSmartDropDownList_SelectedIndex != 0) {
            var dataItem = JTongSmartDropDownList_DataListTable.rows[JTongSmartDropDownList_SelectedIndex];
            JTongSmartDropDownList_TakeValue(dataItem);
        }
    }

    ////调试代码
    //JTongSmartDropDownList_Trace("b|" + JTongSmartDropDownList_SelectedIndex + "|" + JTongSmartDropDownList_DataItemCount);

    JTongSmartDropDownList_adjustListDivScroll();
}

function JTongSmartDropDownList_PageTo(pageIndex) {
    JTongSmartDropDownList_SelectedIndex = 0;

    var inputValue = encodeURI(JTongSmartDropDownList_inputObj.value);
    //if (inputValue == "") return;

    //增加自定义参数
    var customParms = "";   //自定义参数；
    var customFieldObj = null;
    customFieldObj = JTongSmartDropDownList_$obj(JTongSmartDropDownList_inputObj.id + "_CustomParms");
    if (customFieldObj != undefined) {
        customParms = customFieldObj.value;
    }

    var xmlHttp = GetXmlHttpRequestObj();

    JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;'>正在加载...</p>";

    xmlHttp.open("Get", JTongSmartDropDownList_DataPageURL + "?PageSize=" + JTongSmartDropDownList_DataItemPageSize + "&Page=" + pageIndex + "&Keywords=" + inputValue + "&" + customParms + "&Random=" + Math.random(), true);
    xmlHttp.onreadystatechange = function () {
        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                var returnStr = xmlHttp.responseText;

                //resultArray : 记录总数|数据列表的html代码|当前页码|备注说明
                var resultArray = returnStr.split("|");
                var rdCnt = resultArray[0];  //本次搜索结果数量；
                var dataListContent = resultArray[1];
                var currPage = resultArray[2]; //当前页面；                    

                //如果返回数据为"error"；
                if (returnStr.toLowerCase() == "error") {
                    JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;color:red;'>数据加载失败！</p>";
                    JTongSmartDropDownList_getBottomBar().innerHTML = "<center><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></center>";
                    //定位数据容器的位置；
                    JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                    return;
                }

                //如果返回数据为空则暂停程序执行；
                if (rdCnt == 0) {
                    JTongSmartDropDownList_DataItemContainer.innerHTML = "<p style='padding:20px;font-size:14px;'>没有符合检索条件的数据！</p>";
                    JTongSmartDropDownList_getBottomBar().innerHTML = "<center><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></center>";
                    //定位数据容器的位置；
                    JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
                    return;
                }

                var JTongSmartDropDownList_DataItemPageNavBar = JTongSmartDropDownList_getBottomBar();
                JTongSmartDropDownList_DataItemPageNavBar.innerHTML = "<div style='float:left;padding:3px;position:relative;'><span id='pageNavInfo'></span></div>";
                JTongSmartDropDownList_DataItemPageNavBar.innerHTML += "<div style='float:right;padding:3px;position:relative;'><a href='#' onclick='javascript:JTongSmartDropDownList_hideControl();' class='JTongSmartDropDownList_PageNav'>[关闭]</a></div>";
                JTongSmartDropDownList_DataItemPageNavBar.innerHTML += "<div style='clear:both;'></div>";

                /*****返回的数据列表分页.BEGIN*******************/

                var pageSize = JTongSmartDropDownList_DataItemPageSize;
                var pageCount = rdCnt % pageSize == 0 ? rdCnt / pageSize : parseInt(rdCnt / pageSize) + 1;

                if (rdCnt > 0) {
                    var firstPage = 1;
                    var prePage = parseInt(currPage) - 1;
                    var nextPage = parseInt(currPage) + 1;
                    var lastPage = parseInt(pageCount);

                    //var firstPageStr = "<a href='javascript:JTongSmartDropDownList_PageTo(" + firstPage + ");'>首页</a>";
                    var prePageStr = "<a href='javascript:JTongSmartDropDownList_PageTo(" + prePage + ");' class='JTongSmartDropDownList_PageNav'>上一页</a>";
                    var nextPageStr = "<a href='javascript:JTongSmartDropDownList_PageTo(" + nextPage + ");' class='JTongSmartDropDownList_PageNav'>下一页</a>";
                    //var lastPageStr  = "<a href='javascript:JTongSmartDropDownList_PageTo(" + lastPage + ");'>末页</a>";

                    if (currPage <= 1) {
                        prePageStr = "<span style='color:#aaaaaa;'>上一页</span>";
                    }

                    if (currPage >= pageCount) {
                        nextPageStr = "<span style='color:#aaaaaa;'>下一页</span>";
                    }

                    var pageNavInfo = JTongSmartDropDownList_$obj("pageNavInfo");
                    pageNavInfo.innerHTML = "共检索到" + rdCnt + "条结果，每页显示" + pageSize + "条，分页：<span style='color:red;'>" + currPage + "</span>/" + pageCount + "&nbsp;";
                    //pageNavInfo.innerHTML += "&nbsp;" + firstPageStr;
                    pageNavInfo.innerHTML += "&nbsp;" + prePageStr;
                    pageNavInfo.innerHTML += "&nbsp;" + nextPageStr;
                    //pageNavInfo.innerHTML += "&nbsp;" + lastPageStr;
                }
                /*****返回的数据列表分页.BEGIN*******************/

                //显示返回结果；
                JTongSmartDropDownList_DataItemContainer.innerHTML = dataListContent;
                JTongSmartDropDownList_IfLoadComplete = true; //标记数据已经加载完毕；

                //定位数据容器的位置；
                JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, JTongSmartDropDownList_getControl());
            }
        }
    }
    xmlHttp.send(null);
}

function JTongSmartDropDownList_ClickHandler(showAllOnFocus) {
    if (showAllOnFocus) {
        if ($(JTongSmartDropDownList_getControl()).css("display") == "none") {
            JTongSmartDropDownList_ShowAllOnFocus = showAllOnFocus;
            JTongSmartDropDownList_KeyupHandler();
        }
    }
}

function JTongSmartDropDownList_TakeValue(trobj) {

    //增加一个处理方法，在选中一项前，做相应的处理；
    try {
        var result = JTongSmartDropDownList_BeforeTakeValue(JTongSmartDropDownList_inputObj.id, trobj);
        if (!result) {
            return;
        }
    }
    catch (e) { }

    if (trobj != null && trobj != undefined) {
        var firstTd = trobj.cells[0]; //第一个单元格保存主键值；
        var secondTd = trobj.cells[1]; //第二个单元格保存主键名；

        JTongSmartDropDownList_inputObj.value = secondTd.innerHTML;
        JTongSmartDropDownList_getHiddenObj(JTongSmartDropDownList_inputObj).value = firstTd.innerHTML;

        //标记已取到了有效值，然后可以在 JTongSmartDropDownList_OnblurHandler 中相应的处理。
        JTongSmartDropDownList_HasTakeValueFromDataSource = "1";
    }

    //释放对象；
    JTongSmartDropDownList_Dispose();

    //增加一个处理方法，当选中一项后，做相应的处理；
    try {
        JTongSmartDropDownList_AfterTakeValue(JTongSmartDropDownList_inputObj.id, trobj);
    }
    catch (e) { }
}

/*
//在选中一项前；
function JTongSmartDropDownList_BeforeTakeValue(JTongSmartDropDownList_inputObjID, selectedRow) {
    alert("before");
    return false;
}
*/

/*
当选中一项后；
function JTongSmartDropDownList_AfterTakeValue(JTongSmartDropDownList_inputObjID, selectedRow) { 

}
*/

function JTongSmartDropDownList_Dispose() {
    JTongSmartDropDownList_ClearDataItemStyle();
    JTongSmartDropDownList_hideControl();
    JTongSmartDropDownList_ClearDataItemContaier();
    JTongSmartDropDownList_DataListTable = null;
    JTongSmartDropDownList_SelectedIndex = 0;
    JTongSmartDropDownList_DataItemCount = 0;
}

function JTongSmartDropDownList_ClearDataItemStyle() {
    JTongSmartDropDownList_DataListTable = JTongSmartDropDownList_DataItemContainer.childNodes[0];
    if (JTongSmartDropDownList_DataListTable == null) {
        JTongSmartDropDownList_Trace("JTongSmartDropDownList_ClearDataItemStyle() : table is null");
        return;
    }
    var childNodeLength = JTongSmartDropDownList_DataListTable.rows.length;  //这个length包含了thead；
    if (childNodeLength >= 1) {
        childNodeLength = childNodeLength - 1; //减去thead
    }

    for (var i = 1; i <= childNodeLength; i++) {
        var dataItem = JTongSmartDropDownList_DataListTable.rows[i];
        dataItem.className = "dataItem_default";
    }
}

function JTongSmartDropDownList_ClearDataItemContaier() {
    if (JTongSmartDropDownList_DataItemContainer != null) {
        JTongSmartDropDownList_DataItemContainer.innerHTML = "";
    }
}

function JTongSmartDropDownList_DataItem_MouseOverHandler(trobj) {
    JTongSmartDropDownList_ClearDataItemStyle();
    trobj.className = "dataItem_hover";

    var firstTd = trobj.cells[0];
    JTongSmartDropDownList_SelectedIndex = JTongSmartDropDownList_FindSelectedIndexByMouse(firstTd.innerHTML);
}

function JTongSmartDropDownList_DataItem_MouseOutHandler(trobj) {
    trobj.className = "dataItem_default";
}

function JTongSmartDropDownList_DataItem_MouseDownHandler(trobj) {
    JTongSmartDropDownList_TakeValue(trobj);
}

function JTongSmartDropDownList_FindSelectedIndexByMouse(keyFieldValue) {
    JTongSmartDropDownList_DataListTable = JTongSmartDropDownList_DataItemContainer.childNodes[0];
    if (JTongSmartDropDownList_DataListTable == null) {
        JTongSmartDropDownList_Trace("JTongSmartDropDownList_ClearDataItemStyle() : table is null");
        return -1;
    }
    var childNodeLength = JTongSmartDropDownList_DataListTable.rows.length;  //这个length包含了thead；
    if (childNodeLength >= 1) {
        childNodeLength = childNodeLength - 1; //减去thead
    }

    for (var i = 1; i <= childNodeLength; i++) {
        var dataItem = JTongSmartDropDownList_DataListTable.rows[i];
        if (keyFieldValue == dataItem.cells[0].innerHTML) {

            return i;
        }
    }
    return -1;
}

function JTongSmartDropDownList_showControl() {
    JTongSmartDropDownList_getControl().style.display = "block";
}

function JTongSmartDropDownList_hideControl() {
    JTongSmartDropDownList_getControl().style.display = "none";
}

function JTongSmartDropDownList_adjustListDivScroll() {
    if (JTongSmartDropDownList_DataItemContainer == null || JTongSmartDropDownList_SelectedIndex == 0) return;

    var table = JTongSmartDropDownList_DataItemContainer.childNodes[0];
    if (table == null) return;
    var childNodeLength = table.rows.length;
    if (childNodeLength >= 1) {
        childNodeLength = childNodeLength - 1;
    }

    var dataItem = table.rows[JTongSmartDropDownList_SelectedIndex];

    try {

        JTongSmartDropDownList_DataItemContainer.scrollTop = dataItem.cells[0].offsetTop - JTongSmartDropDownList_DataItemContainer.style.height.toLowerCase().replace("px", "") / 2;
    }
    catch (e) { }
}

//获取对象； 
function JTongSmartDropDownList_$obj(objID) {
    return document.getElementById(objID);
}

//得到与输入文本框对应的隐藏文本域对象；
function JTongSmartDropDownList_getHiddenObj(intputObj) {
    return JTongSmartDropDownList_$obj(intputObj.id + "_hiddenValue");
}

function JTongSmartDropDownList_getControl() {
    return $(".JTongSmartDropDownList").eq(0)[0];
}
function JTongSmartDropDownList_getDataBody(objID) {
    return $(".JTongSmartDropDownList .dataBody").eq(0)[0];
}
function JTongSmartDropDownList_getBottomBar() {
    return $(".JTongSmartDropDownList .bottomBar").eq(0)[0];
}
function JTongSmartDropDownList_getRemark() {
    return $(".JTongSmartDropDownList .remark").eq(0)[0];
}
function JTongSmartDropDownList_getRemarkText() {
    return $(".JTongSmartDropDownList .remark_TextWrapper").eq(0)[0];
}

//得到div的绝对位置；
function JTongSmartDropDownList_PositionDiv(JTongSmartDropDownList_inputObj, divObj) {

    var left = 0;
    var top = 0;

    var $JTongSmartDropDownList_Position_Left = $("#" + JTongSmartDropDownList_inputObj.id + "_Position_Left");
    var $JTongSmartDropDownList_Position_Top = $("#" + JTongSmartDropDownList_inputObj.id + "_Position_Top");

    if ($JTongSmartDropDownList_Position_Left.length > 0) { //手动定位
        left = parseInt($JTongSmartDropDownList_Position_Left.val());
    } else { //自动定位

        var $inputObj = $(JTongSmartDropDownList_inputObj);

        //获得元素的左偏移量
        left = $inputObj.offset().left;

        //如果超出屏幕，则自动适应；
        if (left + $(divObj).width() > $(window).width()) {
            left = ($inputObj.offset().left + $inputObj.width() - $(divObj).width() + 4)
        }
    }

    if ($JTongSmartDropDownList_Position_Top.length > 0) { //手动定位
        top = parseInt($JTongSmartDropDownList_Position_Top.val());
    } else { //自动定位

        var $inputObj = $(JTongSmartDropDownList_inputObj);

        //获得元素的顶端偏移量
        top = $inputObj.offset().top;
        top = top + $inputObj.outerHeight();

        //如果超出屏幕，则自动适应；
        if (top + $(divObj).height() > $(window).height()) {

            var $JTongSmartDropDownList_RemarkBar = $(JTongSmartDropDownList_getRemark());
            var JTongSmartDropDownList_ControlHeight = $(divObj).outerHeight();
            var JTongSmartDropDownList_RemarkBarHeight = 25;

            //这样会导致外层div遮挡住输入框，导致无法输入。
            //if ($JTongSmartDropDownList_RemarkBar.css("display").toLowerCase() != "block") {
            //    JTongSmartDropDownList_ControlHeight = JTongSmartDropDownList_ControlHeight - JTongSmartDropDownList_RemarkBarHeight;
            //}

            top = top - $inputObj.outerHeight() - JTongSmartDropDownList_ControlHeight - 1;
        }
    }

    //注意：css方法的第二个参数有两种书写形式：第1种：直接输入整数，第2种：输入字符串，但是需要加px，如："100px"
    $(divObj).css("left", left);
    $(divObj).css("top", top);
}

//跟踪调试信息；
function JTongSmartDropDownList_Trace(msg) {
    //JTongSmartDropDownList_$obj("spanTest1").innerHTML = msg;
}

//    //设置控件样式；
//    function JTongSmartDropDownList_SetStyle(borderColor, bgColor) {
//        var $dataBody = $(JTongSmartDropDownList_getDataBody());
//        var $bottomBar = $(JTongSmartDropDownList_getBottomBar());
//        var $remark = $(JTongSmartDropDownList_getRemark());

//        $dataBody.css("border-color", borderColor);
//        $bottomBar.css("border-color", borderColor);
//        $remark.css("border-color", borderColor);
//        $remark.css("background-color", bgColor);
//    }

//在空白处点击鼠标，则隐藏控件；
$(function () {
    $(this).mousedown(function (e) {
        if (e.which == 1 ||
           e.which == 3) {
            JTongSmartDropDownList_hideControl2();
        }
    });


    //        JTongSmartDropDownList_SetStyle('red', 'green');
});
function JTongSmartDropDownList_hideControl2() {
    var oEvent = window.event;
    var srcElement = oEvent.srcElement;
    var x = oEvent.clientX;
    var y = oEvent.clientY;

    var mainContainer = JTongSmartDropDownList_getControl();
    var mainContainerWidth = mainContainer.style.width.toLocaleLowerCase().replace("px", "");
    var mainContainerHeight = mainContainer.style.height.toLocaleLowerCase().replace("px", "");

    var obj = mainContainer;

    // 获得元素的左偏移量
    var left = obj.offsetLeft;

    // 获得元素的顶端偏移量
    var top = obj.offsetTop;

    // 循环获得元素的父级控件，累加左和顶端偏移量
    while (obj = obj.offsetParent) {
        left += obj.offsetLeft;
        top += obj.offsetTop;
    }

    var rect_x_begin = left;
    var rect_x_end = parseInt(left) + parseInt(mainContainerWidth);
    var rect_y_begin = top;
    var rect_y_end = parseInt(top) + parseInt(mainContainerHeight);

    if (JTongSmartDropDownList_inputObj != undefined && JTongSmartDropDownList_inputObj.id != srcElement.id) {
        if (mainContainer.style.display.toLocaleLowerCase() != "none") {
            if (x < rect_x_begin || x > rect_x_end || y < rect_y_begin || y > rect_y_end) {
                mainContainer.style.display = "none";
            }
        }
    }
}

//注意：对此脚本文件的引用应放在所有使用了ajax技术的脚本的前面，否则会出现“找不到对象”的错误。
function GetXmlHttpRequestObj() {
    var xmlHttp;

    if (window.ActiveXObject) //IE
    {
        try {
            xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch (e) {
            try {
                xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
            }
            catch (e) { alert("您的浏览器不能创建XMLHttpRequest对象，无法使用此程序!"); return; }
        }
    }
    else if (window.XMLHttpRequest) // Mozilla, Safari, ...
    {
        try {
            xmlHttp = new XMLHttpRequest();
            if (xmlHttp.overrideMimeType) {
                xmlHttp.overrideMimeType("text/html");
            }
        }
        catch (e) { alert("您的浏览器不能创建XMLHttpRequest对象，无法使用此程序!"); return; }
    }

    return xmlHttp;
}

//</script>